
 ChangeLog for LAME
-==================-

 - All dates/times are in GMT.
 - This file contains the complete changelog, even commit logs of
   non official branches. An entry of the form "filename (branchname):"
   may not apply to the source you get with this package.
 - Generated from cvs log entries
   (cvs2cl --gmt -S --branches --no-wrap --header ChangeLog.header)

-- 

2012-02-19 00:02  robert

	* libmp3lame/: gain_analysis.c, machine.h:

	rearranging gain analysis kernel table and calc loops to allow better code vectorization

2012-02-18 13:08  robert

	* frontend/get_audio.c, frontend/lame_main.c, frontend/main.c,
	  frontend/parse.c, libmp3lame/mpglib_interface.c, mpglib/layer2.c:

	removing VC11 x86-64 compiler warnings

2012-02-14 14:24  robert

	* libmp3lame/: VbrTag.c, bitstream.c, encoder.c, id3tag.c, lame.c,
	  machine.h, mpglib_interface.c, psymodel.c, util.c, util.h:

	some code refactorings

2012-02-14 11:06  robert

	* ChangeLog, doc/html/history.html (lame3_99), ChangeLog,
	  doc/html/history.html:

	updating history/changelog

2012-02-11 12:11  robert

	* frontend/get_audio.c:

	Bug fix for tracker item ID: 3486753 Artifacts at the beginning of decoded file

2012-02-11 12:10  robert

	* mpglib/layer3.c:

	some hidden global temporary variable removed, could have been some multi threading issue

2012-02-11 12:00  robert

	* frontend/get_audio.c (lame3_99):

	Bug fix for tracker item ID: 3486753 Artifacts at the beginning of decoded file

2012-02-11 11:03  robert

	* mpglib/layer3.c (lame3_99):

	some hidden global temporary variable removed, could have been some multi threading issue

2012-02-10 18:13  rbrito

	* config.h.in, configure.in:

	autotools: Fix compilation on alpha using proper ifdef guards.

	Thanks to Andres Mejia <amejia004@gmail.com> for the patch (with minor
	whitespace adjustments).

2012-02-10 18:11  rbrito

	* doc/html/history.html:

	doc: Correctly spell Fabian Greffrath's name to give proper credit.

2012-02-10 18:06  rbrito

	* config.h.in, configure.in (lame3_99):

	autotools: Fix compilation on alpha using proper ifdef guards.

	Thanks to Andres Mejia <amejia004@gmail.com> for the patch (with minor
	whitespace adjustments).

2012-02-10 18:05  rbrito

	* doc/html/history.html (lame3_99):

	doc: Correctly spell Fabian Greffrath's name to give proper credit.

2012-02-07 13:52  robert

	* configMS.h (lame3_99), configMS.h:

	reduce compiler warnings for SSE2 build with VC 11

2012-02-07 13:40  robert

	* configMS.h, frontend/parse.c, libmp3lame/l3side.h,
	  libmp3lame/machine.h, libmp3lame/quantize_pvt.c,
	  libmp3lame/vbrquantize.c, libmp3lame/version.h (lame3_99):

	- workaround for cygwin build problem
	- fix "fast floating point math" problem (possible bitrate bloat on quiet pieces)

2012-02-07 13:36  robert

	* configMS.h, libmp3lame/l3side.h, libmp3lame/machine.h,
	  libmp3lame/quantize_pvt.c, libmp3lame/vbrquantize.c:

	- workaround for cygwin build problem
	- fix "fast floating point math" problem (possible bitrate bloat on quiet pieces)

2012-01-25 13:01  robert

	* ChangeLog, doc/html/history.html:

	updating Changelog and History

2012-01-25 12:47  robert

	* configure, configure.in, testcase.mp3 (lame3_99):

	Bug-fix release 3.99.4

2012-01-25 12:33  robert

	* ChangeLog, testcase.mp3, doc/html/history.html (lame3_99):

	updating history and changelog

2012-01-19 14:27  robert

	* frontend/parse.c (lame3_99):

	fix for tracker item ID: 3475581 - lame crashes at .w64 input file

2012-01-19 12:15  robert

	* frontend/parse.c:

	fix for tracker item ID: 3475581 - lame crashes at .w64 input file

2012-01-08 23:49  robert

	* include/lame.h, libmp3lame/id3tag.c, libmp3lame/id3tag.h,
	  libmp3lame/quantize.c, libmp3lame/quantize_pvt.c,
	  libmp3lame/util.c, libmp3lame/version.h (lame3_99),
	  include/lame.h, libmp3lame/id3tag.c, libmp3lame/id3tag.h,
	  libmp3lame/quantize_pvt.c, libmp3lame/util.c:

	Addressing things brought to attention by tracker item ID: 3463197: 3.99.x problem WFED and PCST frames

	+ WFED and PCST frames can now be added, to tag podcasts iTunes recognizes
	+ USER frames are now supported
	+ COMM frames can now have a description, when passed via --tv "COMM=<description>=<full text>"

	- possible divide-by-zero exception should be fixed
	- adding malformed user-defined-frames could result in abnormal program termination, fixed

2011-12-04 12:35  robert

	* libmp3lame/: lame.rc (lame3_99), lame.rc:

	re tracker ID: 3449748 Incomplete resource definition file
	A translation value seems to be mandatory by convention.

2011-11-26 19:49  robert

	* ChangeLog, configure, configure.in (lame3_99):

	releasing 3.99.3

2011-11-26 18:26  robert

	* doc/html/history.html, libmp3lame/id3tag.c:

	bug fix for tracker item ID: 3441349: --tg does not handle genre number when adding unicode tag

2011-11-26 18:15  robert

	* doc/html/history.html, libmp3lame/id3tag.c, libmp3lame/version.h
	  (lame3_99):

	bug fix for tracker item ID: 3441349: --tg does not handle genre number when adding unicode tag

2011-11-18 09:51  robert

	* doc/html/history.html, libmp3lame/VbrTag.c, libmp3lame/version.c:

	merge with 3.99 branch modifications

2011-11-18 09:39  robert

	* ChangeLog (lame3_99):

	releasing 3.99.2

2011-11-18 09:30  robert

	* configure, configure.in (lame3_99):

	releasing 3.99.2 stable

2011-11-18 09:18  robert

	* testcase.mp3, doc/html/history.html, libmp3lame/VbrTag.c,
	  libmp3lame/version.c, libmp3lame/version.h (lame3_99):

	Due to some bugs in 3rd party HW/SW decoders, those were not
	be able to make use of LAME's extended info tag anymore,
	resulting in problems with things like gapless playback.

2011-11-18 08:38  robert

	* frontend/: get_audio.c, get_audio.h, lame_main.c (lame3_99):

	copy old id3v2 tag

2011-11-10 21:39  robert

	* libmp3lame/version.c (lame3_99):

	small fix

2011-11-10 18:46  robert

	* libmp3lame/version.c:

	small fix

2011-11-10 13:19  robert

	* frontend/: get_audio.c, get_audio.h, lame_main.c:

	when transcoding, copy old id3v2 tag. feature requests:
	 ID: 1985551 lame --pass-ID3-tags-unscathed
	 ID: 977304 ID3 tags lost when transcoding

2011-11-09 00:15  robert

	* libmp3lame/: quantize.c, quantize_pvt.c:

	aiming for a more balanced bit reservoir usage

2011-11-08 19:36  robert

	* libmp3lame/quantize_pvt.c:

	at lower sample rates, make a cut at last usable scalefactor band

2011-11-08 18:19  robert

	* libmp3lame/quantize.c:

	8kHz mpeg2.5 uses fewer scale factor bands.

2011-11-06 18:34  robert

	* libmp3lame/encoder.c:

	use same meaning of PE in cbr and vbr modes

2011-11-05 17:53  robert

	* configure, configure.in, doc/html/history.html,
	  libmp3lame/version.h:

	main-branch open for next development cycle

2011-11-05 17:33  robert

	* ChangeLog, configure, configure.in (lame3_99):

	releasing 3.99.1

2011-11-05 17:00  robert

	* doc/html/history.html, libmp3lame/version.h (lame3_99):

	releasing 3.99.1 stable

2011-11-05 16:32  robert

	* misc/: Makefile.am, Makefile.in:

	adding mk_mp3.sh to dist files

2011-11-02 00:20  robert

	* Makefile.MSVC, libmp3lame/machine.h:

	fixing vc6 compile problem, VC6 seems to miss exporting some inline functions from math.h.

2011-11-01 19:50  robert

	* libmp3lame/id3tag.c:

	oops, fixing writing unicode strings in id3tags

2011-11-01 16:59  robert

	* doc/html/history.html, frontend/parse.c, libmp3lame/id3tag.c:

	Fixes for several issues with ID3v2 unicode tags, using Big-Endian text
	encodings. Because of several other software (like Windows Media Player),
	LAME writes Little-Endian unicode tags only.
	Thanks to Taihei Monma, for reporting these issues.
	Tracker items: [ 3431203, 3431222, 3431241 ]

2011-10-18 21:54  robert

	* Dll/BladeMP3EncDLL.h:

	Fixing typedef HBE_STREAM, has to be a pointer type.

2011-10-18 21:51  robert

	* libmp3lame/: lame.c, util.c:

	Fixing a small display problem for x64 platform

2011-10-17 23:15  robert

	* libmp3lame/id3tag.c:

	bug fix: ID3 tags are always added

2011-10-16 13:09  robert

	* frontend/: Makefile.am, Makefile.in:

	file rtp.h was missing in distribution list

2011-10-15 15:46  robert

	* doc/html/history.html:

	Updating history

2011-10-15 14:37  robert

	* ChangeLog:

	updating Changelog

2011-10-15 14:31  robert

	* testcase.mp3, debian/Makefile.am, debian/Makefile.in,
	  doc/html/detailed.html, libmp3lame/version.h:

	preparing release

2011-10-15 12:38  robert

	* misc/mk_mp3.sh:

	updating script for building mp3 collection from lossless archive

2011-10-06 23:12  robert

	* ChangeLog:

	updating changelog

2011-10-06 23:07  robert

	* frontend/: get_audio.c, parse.c:

	let iconv use transliteration

2011-10-04 15:37  robert

	* frontend/parse.c:

	fixing compiler warning

2011-10-04 11:42  robert

	* frontend/: get_audio.c, lame_main.c, main.h, parse.c:

	using our input file reading functions when reading from stdin
	allow -s to overwrite input samplerate for non RAW input files too

2011-10-03 13:28  robert

	* doc/html/history.html, frontend/lame_main.c:

	fix for tracker item ID: 3034259 Fix for confusing fatal error: can't update LAME-tag frame!

2011-10-03 13:22  robert

	* libmp3lame/id3tag.c, frontend/parse.c:

	making sure, the id3v1 tags get filled

2011-10-02 21:45  robert

	* doc/html/history.html, frontend/get_audio.c:

	Bug fix for tracker item ID: 3368977 Wave Parser doesn't pad chunks

2011-10-02 18:39  robert

	* frontend/: portableio.c, portableio.h:

	removing portableio.[ch] files, not needed anymore

2011-10-02 18:24  robert

	* frontend/parse.c, libmp3lame/id3tag.c:

	fixing some compiler warnings

2011-10-02 17:13  robert

	* Makefile.MSVC, frontend/Makefile.am, frontend/Makefile.in,
	  frontend/get_audio.c, frontend/mp3rtp.c, Makefile.unix,
	  vc_solution/vc9_lame_lame.vcproj,
	  vc_solution/vc9_lame_mp3rtp.vcproj,
	  vc_solution/vc9_lame_mp3x.vcproj:

	replacing "portableio" by own code in get_audio.c

2011-10-02 14:52  robert

	* doc/html/detailed.html, doc/man/lame.1, libmp3lame/id3tag.c,
	  frontend/main.c, frontend/main.h, frontend/parse.c,
	  include/lame.def, include/lame.h:

	clearify, unicode tags are utf-16

2011-09-28 19:11  robert

	* doc/html/history.html, libmp3lame/id3tag.c, frontend/parse.c,
	  vc_solution/vc9_lame.sln, vc_solution/vc9_lame_lame.vcproj,
	  vc_solution/vc9_lame_mp3rtp.vcproj,
	  vc_solution/vc9_lame_mp3x.vcproj,
	  vc_solution/vc9_libmp3lame.vcproj,
	  vc_solution/vc9_libmp3lame_dll.vcproj,
	  vc_solution/vc9_mpglib.vcproj:

	bug fix for tracker item  3395813: id3tag_set_fieldvalue for URL link frames Broken

	now one can add URL link frames to the ID3v2 tag, like:
	--tv "WOAR=www.mypage.com" --tv "WXXX=get remixes here=www.dj.org"

2011-09-25 17:08  robert

	* libmp3lame/version.h:

	increasing patch level

2011-07-26 11:48  rbrito

	* frontend/parse.c:

	frontend: Update licensing message.

	Patch supplied by Andres Mejia <mcitadel@gmail.com> according to previous
	discussions in the mailing lists `lame-dev` and `pkg-multimedia-maintainers`.

	    http://lists.alioth.debian.org/pipermail/pkg-multimedia-maintainers/2011-July/020417.html

2011-06-17 06:22  aleidinger

	* Makefile.am.global:

	Remove ansi2knr part. It will be deprecated and subsequently removed from
	automake.

	Notified by:	Stefano Lattarini <stefano.lattarini@gmail.com>

2011-05-24 20:45  robert

	* Makefile.unix, libmp3lame/psymodel.c, libmp3lame/quantize_pvt.c:

	small change in addition of simultaneous maskings

2011-05-24 20:40  robert

	* mpglib/layer2.c:

	workaround for tracker item 3301963:"assertion failed in layer 2 decoding"

2011-05-07 16:05  rbrito

	* README, Dll/BladeMP3EncDLL.c, Dll/BladeMP3EncDLL.h,
	  Dll/Example.cpp, debian/copyright, frontend/brhist.c,
	  frontend/brhist.h, frontend/get_audio.c, frontend/get_audio.h,
	  frontend/gpkplotting.c, frontend/gpkplotting.h,
	  frontend/gtkanal.c, frontend/gtkanal.h, frontend/lame_main.c,
	  frontend/lametime.c, frontend/lametime.h, frontend/main.c,
	  frontend/main.h, frontend/mp3rtp.c, frontend/parse.c,
	  frontend/rtp.c, frontend/rtp.h, frontend/timestatus.c,
	  frontend/timestatus.h, include/lame.h, libmp3lame/VbrTag.c,
	  libmp3lame/VbrTag.h, libmp3lame/bitstream.c,
	  libmp3lame/bitstream.h, libmp3lame/encoder.c,
	  libmp3lame/encoder.h, libmp3lame/fft.h, libmp3lame/id3tag.c,
	  libmp3lame/l3side.h, libmp3lame/lame-analysis.h,
	  libmp3lame/lame.c, libmp3lame/machine.h,
	  libmp3lame/mpglib_interface.c, libmp3lame/newmdct.c,
	  libmp3lame/newmdct.h, libmp3lame/presets.c,
	  libmp3lame/psymodel.c, libmp3lame/psymodel.h,
	  libmp3lame/quantize.c, libmp3lame/quantize.h,
	  libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	  libmp3lame/reservoir.c, libmp3lame/reservoir.h,
	  libmp3lame/set_get.c, libmp3lame/set_get.h, libmp3lame/tables.c,
	  libmp3lame/tables.h, libmp3lame/takehiro.c, libmp3lame/util.c,
	  libmp3lame/util.h, libmp3lame/vbrquantize.c,
	  libmp3lame/vbrquantize.h, libmp3lame/version.c,
	  libmp3lame/version.h, libmp3lame/vector/lame_intrin.h,
	  libmp3lame/vector/xmm_quantize_sub.c, test/lame_test.cpp:

	Make explicit that the licence is the Library GPLv2.

	According to Jonas Smedegaard, there is no Lesser GPLv2, only Lesser GPLv2.1.

	Thanks to Andres.

2011-05-07 15:56  rbrito

	* frontend/parse.c:

	Fix some warnings in 64-bit arches. Changing s/size_t/unsigned int/

	This should not be a problem with the variables in question, as they can't
	be much larger than what an unsigned int is able to hold.

	Patch from:

	    http://git.debian.org/?p=pkg-multimedia/lame.git;a=blob;f=debian/patches/07-field-width-fix.patch

	Sent by Andres.

2011-05-07 15:44  rbrito

	* configure.in:

	Work round buggy softfloat optimization in ARM EABI compilers.

	A bug present in gcc-4.[123] up to 4.3.3 makes a buggy optimization
	for single-precision floats when -ffinite-math-only (enabled by -ffast-math)
	Refer to the following.

	https://sourceforge.net/tracker/index.php?func=detail&aid=2681646&group_id=290&atid=100290
	https://trac.xiph.org/ticket/1526
	http://gcc.gnu.org/bugzilla/show_bug.cgi?id=39501

	Thanks to Andres Mejia. This fixes SF bug 2681646.

2011-05-07 15:35  rbrito

	* libmp3lame/i386/nasm.h:

	Disable executable patch.

	Patch from Russell Coker to disable executable stack from Christian
	Marillat's packaging. Sent by Andres Mejia.

2011-05-07 01:23  rbrito

	* README:

	Tweak slightly the disclaimer of patents from the README file.

	This change was proposed by me with suggestions made by Andres Mejia.

2011-05-06 20:14  rbrito

	* libmp3lame/lame.c:

	libmp3lame: lame: Put some parentheses to shut up some static analysis tools.

	The statement

	        frames_left -= ((frame_num != gfc->ov_enc.frame_number) ? 1 : 0);

	could probably be written as

	        frames_left -= (frame_num != gfc->ov_enc.frame_number);

	unless we know of some platform where a boolean evaluation does not result
	in a 1 in case of it being true.

2011-05-06 19:59  rbrito

	* README:

	Remove problematic restriction to the LGPL, to make it legally OK.

	Also update the copyright years of the LAME team.

2011-04-20 13:03  aleidinger

	* config.rpath:

	looks like this is needed now

2011-04-20 12:52  aleidinger

	* aclocal.m4, Makefile.in, configure, ACM/Makefile.in,
	  ACM/ADbg/Makefile.in, ACM/ddk/Makefile.in,
	  ACM/tinyxml/Makefile.in, Dll/Makefile.in, debian/Makefile.in,
	  doc/Makefile.in, doc/html/Makefile.in, doc/man/Makefile.in,
	  dshow/Makefile.in, frontend/Makefile.in, include/Makefile.in,
	  libmp3lame/Makefile.in, libmp3lame/i386/Makefile.in,
	  libmp3lame/vector/Makefile.in, mac/Makefile.in,
	  macosx/Makefile.in, macosx/English.lproj/Makefile.in,
	  macosx/LAME.xcodeproj/Makefile.in, misc/Makefile.in,
	  mpglib/Makefile.in, vc_solution/Makefile.in, config.h.in:

	regen

2011-04-20 12:51  aleidinger

	* configure.in:

	- correct the VBR check message to something more correct (curses)
	- check for libiconv and use it in the frontend

2011-04-19 15:36  robert

	* doc/man/lame.1, frontend/parse.c:

	lame(1) manpage patch - ID: 3161674
	Typo in --longhelp - ID: 3288886
	replaced strnicmp, isn't portable

2011-04-15 20:17  robert

	* libmp3lame/lame.c:

	Bug fix: when aborting an encode before any samples were fed into the encoder, an assert was falsely triggered.

2011-04-14 20:48  robert

	* frontend/parse.c:

	Allow -Z switch in none alpha builds (for now)

2011-04-14 19:36  robert

	* doc/html/history.html, frontend/parse.c, libmp3lame/presets.c,
	  libmp3lame/version.h:

	3.99 beta phase

2011-04-08 23:50  robert

	* misc/mk_mp3.sh:

	mk_mp3.sh - script to encode and tag CDs

2011-04-08 22:55  robert

	* libmp3lame/psymodel.c:

	some code cleanup: unused vars, defines, etc.

2011-04-08 19:26  robert

	* frontend/: lame_main.c, main.c, main.h:

	Unicode support for extra options passed via environment varialbe LAMEOPT

2011-04-07 23:03  robert

	* frontend/get_audio.c:

	quick fix for tracker item 3277412: Segmentation fault at layer2.c:105 with
	--decode
	(problem sample contains multiple ID3v2 tags)

2011-04-07 23:01  robert

	* libmp3lame/: psymodel.c, util.h:

	- some code cleanup
	- calculate short block thm from long blocks, in case we eventually
	  may need it for pre-echo control of the next granule

2011-04-05 19:17  jaz001

	* doc/html/detailed.html:

	corrected spelling.

2011-04-04 19:40  robert

	* libmp3lame/psymodel.c:

	small update for the pre-echo control

2011-04-04 11:49  aleidinger

	* ChangeLog:

	Update upto now.

2011-04-04 11:48  aleidinger

	* make_changelog.sh:

	Add the script to generate the changelog, not added to Makefile.am as it
	does not make sense to distribute it.

	I keep the "cvs log" output in '../log_output', the script expects it there.

2011-04-04 09:54  aleidinger

	* Makefile.in, config.h.in, configure, ACM/Makefile.in,
	  ACM/ADbg/Makefile.in, ACM/ddk/Makefile.in,
	  ACM/tinyxml/Makefile.in, Dll/Makefile.in, debian/Makefile.in,
	  doc/Makefile.in, doc/html/Makefile.in, doc/man/Makefile.in,
	  dshow/Makefile.in, frontend/Makefile.in, include/Makefile.in,
	  libmp3lame/Makefile.in, libmp3lame/i386/Makefile.in,
	  libmp3lame/vector/Makefile.in, mac/Makefile.in,
	  macosx/Makefile.in, macosx/English.lproj/Makefile.in,
	  macosx/LAME.xcodeproj/Makefile.in, misc/Makefile.in,
	  mpglib/Makefile.in, vc_solution/Makefile.in:

	regen

2011-04-04 09:51  aleidinger

	* aclocal.m4:

	regen

2011-04-04 09:49  aleidinger

	* configure.in:

	- depend upon at least autoconf 2.68, this should fix the variable type
	  size check in configure on Windows (mingw)
	- readd check for termcap lib (needed for brhist)
	- remove float8 (requested by Robert Hegemann)
	- my gcc moans about -march=generic not being supported (anymore), use
	  'native' instead of 'generic' in one place

2011-04-04 09:45  aleidinger

	* Makefile.am.global:

	Depend upon automake 1.11.

2011-04-04 09:42  aleidinger

	* libmp3lame/i386/Makefile.am:

	Create the directory in any case, seems to prevent a race condition.

2011-04-04 09:41  aleidinger

	* configMS.h:

	Remove superflous brhist define.

2011-04-04 09:40  aleidinger

	* INSTALL:

	Remove superflous explication about brhist switch.

2011-04-04 09:36  aleidinger

	* depcomp, install-sh, ltmain.sh, missing, frontend/depcomp,
	  libmp3lame/depcomp, misc/depcomp, mpglib/depcomp:

	Update files from automake 1.11 and libtool 2.2.10.

2011-04-03 22:26  robert

	* libmp3lame/: psymodel.c, version.h:

	pre-echo control for short blocks is dependent on previous frame.
	maybe we can relax it later, to speed-up things again.

2011-03-25 19:57  robert

	* frontend/parse.c:

	dropping note about mpglib being GPL, because we use HIP for decoding.

2011-03-24 20:19  robert

	* doc/html/detailed.html, doc/man/lame.1, frontend/parse.c,
	  libmp3lame/id3tag.c:

	new switches controlling the string encoding mode for ID3v2 tags:
	--id3v2-latin1  turns on ID3v2 tags, text encoding ISO-8859-1
	--id3v2-ucs2  turns on ID3v2 only tags, text encoding UCS-2

	Similar experimental switches removed.

2011-03-24 10:25  robert

	* doc/html/history.html:

	fixing glitch in Joseph's name

2011-03-24 10:21  robert

	* doc/html/history.html:

	updating history with info about latest changes

2011-03-22 20:35  robert

	* ChangeLog, libmp3lame/version.h:

	updating ChangeLog

2011-03-05 20:05  robert

	* libmp3lame/: presets.c, quantize_pvt.c:

	adapting some parameters for vbr-old/cbr/abr, because of the now used psy model

2011-03-05 18:54  robert

	* libmp3lame/: encoder.c, presets.c, psymodel.c, quantize_pvt.c:

	now all modes use the same (latest) psy model

	code cleanup

2011-03-05 14:06  robert

	* mpglib/layer3.c:

	fix for a possible out of bounds array access

	re ID: 3091776 crash at III_dequantize_sample
	This bug may be fixed now, don't have original problem sample to be sure.

2011-03-02 16:56  rbrito

	* debian/changelog:

	debian: Update changelog.

2011-03-02 16:56  rbrito

	* debian/changelog:

	Put my SF email or we get warnings from lintian.

2011-03-02 16:54  rbrito

	* debian/control:

	Verified that the packaging conforms to the Policy version 3.9.1

2011-03-02 16:54  rbrito

	* debian/control:

	Verified that the packaging conforms to the Policy version 3.9.0

2011-03-02 16:54  rbrito

	* debian/control:

	Remove unused Conflicts: and Replaces: fields.

	They were never part of any stable release and 3rd party sites were,
	perhaps, faster than us in providing changed packages (when the packaging
	was not up-to-date).

2011-03-02 16:53  rbrito

	* debian/control:

	Verified that the packaging conforms to the Policy version 3.8.4

2011-03-02 16:53  rbrito

	* debian/control:

	Verified that the packaging conforms to the Policy version 3.8.3

2011-03-02 16:52  rbrito

	* debian/control:

	Verified that the packaging conforms to the Policy version 3.8.2

2011-03-02 16:52  rbrito

	* debian/control:

	Verified that the packaging conforms to the Policy version 3.8.1.0

2011-03-02 16:52  rbrito

	* debian/control:

	Fix lintian's debhelper-but-no-misc-depends from the binary packages.

2011-03-02 16:51  rbrito

	* debian/changelog:

	Update debian/changelog.

2011-03-02 16:50  rbrito

	* debian/control:

	debian/control: Change B-D on nasm to allow any i386 platform (no amd64, though).

2011-03-02 16:50  rbrito

	* debian/control:

	debian/control: Rewrap the Build-Depends field for legibility.

	This also buys us some diff-friendliness.

2011-03-02 16:48  rbrito

	* debian/: changelog, rules:

	debian: Transition to the debhelper 7 format.

	This format is easier to manage and other people should find it easy to
	adapt to downstream necessities.

2011-03-01 00:34  robert

	* testcase.mp3, libmp3lame/lame.c, libmp3lame/vbrquantize.c:

	- new VBR: mpeg2.5 at 8 kHz doesn't use some scalefactor bands

2011-02-27 21:08  robert

	* libmp3lame/lame.c:

	small update for q_map

2011-02-27 01:52  robert

	* libmp3lame/: lame.c, presets.c:

	last patch made manual lowpass setting impossable (for VBR)

2011-02-27 00:52  robert

	* Makefile.unix, libmp3lame/lame.c, libmp3lame/presets.c,
	  libmp3lame/psymodel.c, libmp3lame/version.h:

	make use of resampling at lower VBR quality levels

2011-02-22 19:00  robert

	* libmp3lame/: bitstream.c, encoder.c, lame.c, psymodel.c,
	  quantize.c, quantize_pvt.c, version.h:

	Starting to use newer VBR psy-model for CBR and ABR encoding too

	bug tracker ID: 3187397 - Strange compression behavior

2011-02-22 17:58  robert

	* libmp3lame/: bitstream.c, lame.c, presets.c, psymodel.c,
	  quantize_pvt.c, version.c:

	some code cleanup

2011-02-13 22:54  rbrito

	* frontend/brhist.c:

	frontend: remove unused variable and computation from brhist.c

2011-02-13 16:36  robert

	* libmp3lame/: lame.c, quantize.c, quantize_pvt.c, version.h:

	make vbr_mt the default vbr mode

2011-02-13 13:50  robert

	* frontend/parse.c, include/lame.h, libmp3lame/lame.c,
	  libmp3lame/presets.c, libmp3lame/set_get.c:

	new mono encoding switches:
	-ml encodes left channel only
	-mr encodes right channel only

2011-02-12 16:16  robert

	* frontend/main.h, libmp3lame/presets.c, libmp3lame/vbrquantize.c:

	small fixes for compiler warnings
	(vbrquantize.c) bug fix, out of bounds memory write

2011-02-11 20:17  robert

	* libmp3lame/: lame.c, presets.c, psymodel.c, quantize.c,
	  vbrquantize.c, version.h:

	- reintroduction of fast encoding mode (-q7 / -f)  (vbr_mt / vbr_mtrh)
	- minor fix for sfb21 encoding (vbr_mt / vbr_mrth)
	- small tunings

2010-12-08 15:28  robert

	* Dll/: BladeMP3EncDLL.c, BladeMP3EncDLL.h:

	fixing some compile issues when compiling as C++ code

	bug tracker ID: 3125235: make -f Makefile.mingw32 fails

2010-12-05 12:25  robert

	* Dll/BladeMP3EncDLL.c:

	fixing some compile issues when compiling as C++ code

	bug tracker ID: 3125235: make -f Makefile.mingw32 fails

2010-12-04 20:43  jaz001

	* doc/html/detailed.html:

	spelling and better description on -b, -F and -t settings

2010-12-04 13:30  robert

	* libmp3lame/gain_analysis.h:

	fixing some compile issues with strict compiler settings.

	bug tracker ID:  3025801: gain_analysis.h needs int constants

2010-12-04 12:55  robert

	* Dll/BladeMP3EncDLL.c:

	fixing some compile issues with strict compiler settings.

	bug tracker ID: 3125235: make -f Makefile.mingw32 fails

2010-12-03 19:46  jaz001

	* doc/html/about.html:

	fixed listening tests URL.

2010-11-21 20:45  jaz001

	* doc/html/: detailed.html, usage.html:

	yet more small detail changes.

2010-11-21 20:31  jaz001

	* doc/html/detailed.html:

	more details about the q switch and the vbr-new/old
	some formating changes

2010-11-21 20:07  jaz001

	* doc/html/: abr.html, cbr.html, detailed.html, usage.html:

	updates/fixes to the documentation.

2010-10-30 13:21  robert

	* Makefile.am, Makefile.in, lame_vc8.sln, Dll/LameDll_vc8.vcproj,
	  Dll/Makefile.am, Dll/Makefile.in, frontend/Makefile.am,
	  frontend/Makefile.in, frontend/lame_vc8.vcproj,
	  frontend/mp3x_vc8.vcproj, libmp3lame/Makefile.am,
	  libmp3lame/Makefile.in, libmp3lame/libmp3lame_vc8.vcproj,
	  mpglib/Makefile.am, mpglib/Makefile.in, mpglib/mpglib_vc8.vcproj,
	  vc_solution/vc9_libmp3lame_dll.vcproj:

	VC8 no more

2010-09-30 20:58  jaz001

	* doc/html/: Makefile.am, Makefile.in:

	fixed the erroneous naming of files. (fixes: 3078255)

2010-08-29 05:45  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	reduce table size by merging escHB[512](short) and escLen[512](char) into
	escHBL[512](unsigned short).

2010-08-29 05:16  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	move code to update bitstream position out of loop.

2010-08-17 23:39  rbrito

	* README:

	Put a notice that Mark Taylor is not the current maintainer, but The
	LAME team is.

2010-08-17 23:36  rbrito

	* README:

	Update the URL to point to the Sourceforge webpage.

2010-08-17 23:35  rbrito

	* README:

	Update the date of the README file.

2010-08-17 23:34  rbrito

	* README:

	Cosmetic: delete trailing whitespaces.

2010-08-17 23:32  rbrito

	* README:

	Remove duplicate copyright entry for Mark Taylor.

2010-08-17 23:32  rbrito

	* README:

	Update copyright years of the LAME Project.

2010-07-09 18:59  jaz001

	* doc/html/: basic.html, examples.html, id3.html, lame.css,
	  modes.html, node6.html, switchs.html:

	delete old documentation

2010-07-09 18:58  jaz001

	* doc/html/detailed.html:

	added anchors to the descriptions, so that one can link to them with an URL.
	Corrected a few errors.

2010-06-11 17:44  jaz001

	* doc/html/: Makefile.am, about.html, abr.html, cbr.html,
	  contact.html, contributors.html, detailed.html, index.html,
	  introduction.html, links.html, list.html, ms_stereo.html,
	  usage.html, vbr.html, images/logo.gif, images/valid-css.png,
	  images/valid-xhtml10.png, styles/lame.css:

	Initial commit of  the new documentation. Makefile.in should be regenerated.

2010-06-07 00:18  robert

	* libmp3lame/: presets.c, psymodel.c:

	something to try later

2010-06-06 19:20  robert

	* frontend/rtp.c:

	fix compile problem on Linux system

2010-06-06 01:04  robert

	* libmp3lame/: encoder.c, lame.c, lame_global_flags.h, presets.c,
	  psymodel.c, quantize.c, quantize_pvt.c, set_get.c, util.h,
	  version.h:

	some further tweaking of vbr new

2010-06-01 21:55  robert

	* libmp3lame/: lame.c, presets.c, quantize.c, quantize_pvt.c,
	  quantize_pvt.h, util.h, version.h:

	more tuning on vbr_mt

2010-06-01 18:51  robert

	* libmp3lame/: bitstream.c, lame.c:

	changing default buffer constraint for vbr_mt

2010-06-01 16:21  robert

	* libmp3lame/lame.c:

	fixing some compiler warnings

2010-06-01 15:59  robert

	* frontend/get_audio.c, frontend/get_audio.h, frontend/lametime.c,
	  frontend/lametime.h, libmp3lame/lame.c, libmp3lame/presets.c,
	  libmp3lame/quantize.c, libmp3lame/quantize_pvt.c,
	  libmp3lame/util.c, libmp3lame/util.h, libmp3lame/version.h:

	some work on VBR scale tuning, accessible with --vbr-new

2010-05-02 20:29  robert

	* frontend/get_audio.c, frontend/get_audio.h, frontend/gtkanal.c,
	  libmp3lame/lame.c, libmp3lame/presets.c, libmp3lame/util.c,
	  libmp3lame/version.h:

	work-in-progress: VBR scale tuning

2010-04-29 00:29  robert

	* libmp3lame/lame.c, libmp3lame/presets.c, libmp3lame/psymodel.c,
	  libmp3lame/quantize.c, frontend/parse.c,
	  libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	  libmp3lame/util.h, libmp3lame/version.h:

	some work on VBR scale tuning, accessible with --vbr-new

2010-04-15 10:44  robert

	* libmp3lame/: lame.c, VbrTag.c, util.h:

	- calculate input transform matrix once on initialization
	- calculate clip detect even when scaling was set; else one doesn't notice that clipping still might happen.

2010-04-14 09:38  robert

	* libmp3lame/i386/: Makefile.in (lame3_98), Makefile.in:

	Bug fix for tracker item ID: 2986823: Error when building Lame with NASM support -still exists

2010-04-11 15:46  robert

	* Makefile.MSVC, libmp3lame/lame.rc, libmp3lame/set_get.h:

	adding version/icon resource to VC6 binary builds

2010-04-11 13:07  robert

	* libmp3lame/lame.c, include/lame.def, include/lame.h:

	add encoding functions passing double precision pcm values ( +/- 1 fulll scale)

2010-04-09 21:51  robert

	* doc/html/switchs.html, doc/man/lame.1, frontend/get_audio.c,
	  frontend/main.h, frontend/parse.c:

	- unicode filenames now working with libsndfile on MS-Windows
	- presets use the default VBR engine, no need for extra parameter "fast"

2010-04-08 11:07  robert

	* frontend/get_audio.c, frontend/get_audio.h, frontend/lame_main.c,
	  frontend/mp3rtp.c, frontend/mp3x.c, frontend/parse.c,
	  libmp3lame/id3tag.c, libmp3lame/version.h:

	enabling to read OGG Vorbis files via libsndfile

2010-04-06 11:13  robert

	* libmp3lame/id3tag.c, frontend/lame_main.c, libmp3lame/lame.c,
	  frontend/get_audio.h, frontend/parse.c, include/lame.def,
	  include/lame.h:

	- preparing to use ieee float [-1,+1] as internal pcm sample representation in LAME frontend
	- removing id3v2 picture size limit
	- fixing id3v2 TXXX frame storage

2010-03-23 11:22  robert

	* include/lame.h:

	small typo

2010-03-22 23:12  robert

	* libmp3lame/: quantize.c, version.h:

	vbrnew: pad frame to build up bitrservoir

2010-03-22 20:48  robert

	* ChangeLog (lame3_98):

	updating Changelog

2010-03-22 20:28  robert

	* doc/html/: history.html (lame3_98), history.html:

	updating latest changes

2010-03-22 20:25  robert

	* configure, configure.in (lame3_98):

	Update version number in preparation for release.

2010-03-22 20:19  robert

	* doc/html/: history.html (lame3_98), history.html:

	updating latest changes

2010-03-22 20:08  robert

	* dshow/: Mpegac.cpp, Mpegac.h, Property.rc, README (lame3_98):

	Joseph Flynn's direct show improvements

2010-03-22 19:44  robert

	* vc_solution/vc9_mpglib.vcproj:

	adding header file to project

2010-03-22 14:43  robert

	* mpglib/: README (lame3_98), AUTHORS, README:

	update licence information/header in decoder files

2010-03-22 14:30  robert

	* mpglib/common.c (lame3_98), LICENSE, mpglib/Makefile.am,
	  mpglib/Makefile.in, mpglib/common.c, mpglib/common.h,
	  mpglib/dct64_i386.c, mpglib/dct64_i386.h, mpglib/decode_i386.c,
	  mpglib/decode_i386.h, mpglib/huffman.h, mpglib/interface.c,
	  mpglib/interface.h, mpglib/l2tables.h, mpglib/layer1.c,
	  mpglib/layer1.h, mpglib/layer2.c, mpglib/layer2.h,
	  mpglib/layer3.c, mpglib/layer3.h, mpglib/mpg123.h,
	  mpglib/mpglib.h, mpglib/tabinit.c, mpglib/tabinit.h:

	update licence information/header in decoder files

2010-03-22 14:17  robert

	* mpglib/AUTHORS, mpglib/Makefile.am, mpglib/Makefile.in,
	  mpglib/common.c, mpglib/common.h, mpglib/dct64_i386.c,
	  mpglib/dct64_i386.h, mpglib/decode_i386.c, mpglib/decode_i386.h,
	  mpglib/huffman.h, mpglib/interface.c, mpglib/interface.h,
	  mpglib/l2tables.h, mpglib/layer1.c, mpglib/layer1.h,
	  mpglib/layer2.c, mpglib/layer2.h, mpglib/layer3.c,
	  mpglib/layer3.h, mpglib/mpg123.h, mpglib/mpglib.h,
	  mpglib/tabinit.c, mpglib/tabinit.h, LICENSE (lame3_98):

	update licence information/header in decoder files

2010-03-22 11:49  robert

	* vc_solution/vc9_mpglib.vcproj (lame3_98):

	adding header file to project

2010-03-21 22:22  robert

	* frontend/parse.c, libmp3lame/set_get.c, mpglib/common.c,
	  mpglib/layer3.c:

	minor changes

2010-03-21 22:18  robert

	* libmp3lame/reservoir.c:

	Bug fix for tracker item ID: 2973877: A problem regarding the new drain code

2010-03-21 12:34  robert

	* libmp3lame/version.h (lame3_98):

	Update version number in preparation for release.

2010-03-21 12:28  robert

	* debian/: Makefile.am, Makefile.in (lame3_98):

	Bug fix for tracker item ID: 2964898: Missing debian/compat

2010-03-21 12:15  robert

	* libmp3lame/util.c (lame3_98):

	Bug fix for tracker item ID 2963080: Missing #ifdef/#endif in util.c ?

2010-03-21 12:11  robert

	* libmp3lame/reservoir.c (lame3_98):

	Bug fix for tracker item ID: 2973877: A problem regarding the new drain code

2010-03-15 01:32  robert

	* frontend/gtkanal.c, vc_solution/vc9_lame.sln,
	  vc_solution/vc9_lame_mp3x.vcproj:

	it makes no sense, to link mp3x against libmp3lame.dll, because of strong dependencies between them. (pinfo struct)

2010-03-15 01:07  robert

	* libmp3lame/bitstream.c, libmp3lame/lame.c, frontend/parse.c,
	  include/lame.def, include/lame.h, libmp3lame/VbrTag.c,
	  libmp3lame/tables.c, libmp3lame/tables.h, libmp3lame/util.c:

	access functions for bitrate and samplerate tables. exporting of global vars doesn't work well with DLLs.

2010-03-14 22:47  robert

	* frontend/get_audio.c, frontend/lame_main.c, frontend/main.c,
	  frontend/main.h, frontend/parse.c, frontend/timestatus.c,
	  libmp3lame/set_get.h, vc_solution/vc9_lame.sln:

	some code refactorings

2010-03-14 19:48  robert

	* frontend/timestatus.c, libmp3lame/lame.rc,
	  vc_solution/vc9_lame_mp3x.vcproj:

	adding resource file containing version and program icon to MP3x project

2010-03-14 17:23  robert

	* Makefile.MSVC, Makefile.unix, configure.in, frontend/Makefile.am,
	  frontend/Makefile.in, frontend/brhist.c, frontend/lame_main.c,
	  frontend/timestatus.c, include/Makefile.am,
	  include/libmp3lame.sym, vc_solution/Makefile.am:

	BRHIST is mandatory
	Layer1 and Layer2 decoding is mandatory
	adding libmp3lame.sym file, to use with libtool, declares exported symbols

2010-03-14 16:15  robert

	* frontend/mp3rtp.c, libmp3lame/set_get.c:

	fixing some compiler warnings

2010-03-14 15:39  robert

	* testcase.mp3, frontend/main.c, frontend/timestatus.c,
	  libmp3lame/encoder.c, libmp3lame/psymodel.c,
	  libmp3lame/quantize.c, libmp3lame/set_get.c, libmp3lame/util.h:

	trying to get rid of remaining GCC compiler warnings

2010-03-13 21:10  robert

	* Makefile.MSVC:

	additional target mp3rtp

2010-03-13 20:45  robert

	* frontend/Makefile.am, frontend/lame_main.c, frontend/main.c,
	  Makefile.MSVC, Makefile.unix, frontend/Makefile.in,
	  frontend/lame_vc8.vcproj, frontend/mp3rtp.c, frontend/mp3x.c,
	  frontend/mp3x_vc8.vcproj, vc_solution/vc9_lame.sln,
	  vc_solution/vc9_lame_lame.vcproj,
	  vc_solution/vc9_lame_mp3rtp.vcproj,
	  vc_solution/vc9_lame_mp3x.vcproj:

	main.c is now entry point for all frontend programs
	similar to mp3x and mp3rtp, there is now lame_main.c for lame

2010-03-13 01:49  robert

	* doc/html/history.html:

	support for WAVE_FORMAT_IEEE_FLOAT

2010-03-13 01:17  robert

	* frontend/get_audio.c:

	support for WAVE_FORMAT_IEEE_FLOAT (for reading via libsndfile)

2010-03-12 14:00  robert

	* frontend/get_audio.c:

	support for WAVE_FORMAT_IEEE_FLOAT (for reading)

2010-03-11 00:59  robert

	* frontend/console.c, frontend/get_audio.c, frontend/main.c,
	  frontend/main.h, frontend/mp3rtp.c, frontend/parse.c,
	  frontend/rtp.c, frontend/timestatus.c, include/lame.def,
	  include/lame.h, libmp3lame/id3tag.h:

	experimental unicode support on Windows OS

2010-03-10 01:41  robert

	* frontend/: main.c, timestatus.c:

	Starting with Unicode support for LAME on Windows

2010-03-10 00:43  robert

	* frontend/timestatus.c:

	small fix for time status display during encoding

2010-03-10 00:35  robert

	* frontend/: get_audio.c, main.c, timestatus.c, timestatus.h:

	display of estimated number of frames should be more accurate now, even when re-encoding mp3->mp3

2010-03-09 00:03  robert

	* libmp3lame/set_get.c:

	calculation of totalframes more in line with current enc-delay+padding

2010-03-08 00:17  robert

	* frontend/get_audio.c, frontend/main.c, frontend/timestatus.c,
	  libmp3lame/bitstream.c, libmp3lame/util.h:

	- reducing some warnings
	- lame_get_totalframes still returns wrong estimate when re-encoding

2010-03-07 21:14  robert

	* frontend/: get_audio.c, get_audio.h, main.c, mp3rtp.c, mp3x.c,
	  timestatus.c:

	some more code refactoring to clean up encoder/decoder loops

2010-03-06 21:34  robert

	* doc/html/history.html:

	Bug fix for tracker item ID: 2962223: Encoder delay and padding values ignored when transcoding

2010-03-06 21:30  robert

	* frontend/: get_audio.c, main.c:

	Bug fix for tracker item ID: 2962223: Encoder delay and padding values ignored when transcoding

2010-03-06 02:15  robert

	* frontend/: get_audio.c, get_audio.h, main.c, parse.c:

	some code refactorings

2010-03-05 02:01  robert

	* doc/html/history.html:

	updating history text

2010-03-04 21:37  robert

	* frontend/rtp.c:

	cleanup some pre-processor code

2010-03-04 20:03  robert

	* frontend/rtp.c:

	more work on mp3rtp

2010-03-04 19:42  robert

	* frontend/: mp3rtp.c, rtp.c, rtp.h:

	more work on mp3rtp
	should compile with VC9 and GCC now

2010-03-04 16:38  robert

	* frontend/mp3rtp.c, include/lame.def, frontend/rtp.c,
	  frontend/rtp.h, vc_solution/vc9_lame.sln,
	  vc_solution/vc9_lame_mp3rtp.vcproj:

	mp3rtp compiles with VC9 now

2010-03-04 09:32  robert

	* vc_solution/vc9_lame_mp3rtp.vcproj:

	adding mp3rtp project to VC solution

2010-03-04 09:23  robert

	* vc_solution/vc9_lame.sln:

	adding mp3rtp project to VC solution

2010-03-03 00:32  robert

	* mpglib/: layer3.c, mpglib.h:

	Eliminated some remaining global variable in layer3 decoder code.

2010-03-02 01:21  robert

	* frontend/: brhist.h, console.h, get_audio.c, gtkanal.c,
	  lametime.h, main.c, main.h, mp3rtp.c, parse.c, parse.h,
	  portableio.h, timestatus.c, timestatus.h:

	some code refactoring

2010-02-28 17:22  robert

	* ChangeLog:

	updating Changelog

2010-02-28 16:52  robert

	* libmp3lame/bitstream.c:

	For free format mp3 above 320 kbps, the maximum allowed bits was limited too far.

2010-02-27 03:57  robert

	* dshow/: dshow.dsp, dshow.dsw (lame3_98):

	Fixing line ending problem in VC project files, when checked out via make dist.

2010-02-27 03:18  robert

	* doc/html/history.html:

	updating history text

2010-02-27 02:58  robert

	* ChangeLog (lame3_98):

	updating Changelog

2010-02-27 02:51  robert

	* doc/html/history.html (lame3_98):

	updating history text

2010-02-26 23:23  robert

	* Dll/: Example_vc6.dsp, LameDll_vc6.dsp (lame3_98):

	Bug fix for tracker ID: 2688413
	lib name problem in VS6

2010-02-26 22:59  robert

	* dshow/dshow.dsw (lame3_98):

	seems dshow workspace got messed up some time ago

2010-02-26 22:33  robert

	* Makefile.am, Makefile.in (lame3_98):

	add some missing files used by "make dist" to the configure magic

2010-02-26 22:24  robert

	* libmp3lame/: Makefile.in, Makefile.am (lame3_98):

	add some missing files used by "make dist" to the configure magic

2010-02-26 03:40  robert

	* include/Makefile.am, include/Makefile.in, libmp3lame/Makefile.am,
	  libmp3lame/Makefile.in, libmp3lame/lame.rc (lame3_98):

	adding some files missing after "make dist"

2010-02-26 03:04  robert

	* Makefile.in (lame3_98):

	adding vc_solution path to configure magic

2010-02-26 02:49  robert

	* configure, mpglib/Makefile.in (lame3_98):

	adding vc_solution path to configure magic

2010-02-26 01:59  robert

	* Makefile.am, configure.in (lame3_98):

	adding vc_solution dir, used for "make dist"

2010-02-26 01:56  robert

	* vc_solution/: Makefile.am, Makefile.in (lame3_98):

	initial check in, used by "make dist"

2010-02-26 00:55  robert

	* libmp3lame/i386/: Makefile.am (lame3_98), Makefile.am:

	Tracker item ID: 2807676:
	Error when building Lame with NASM support

	Patch reported by Bernhard Doebler.

2010-02-25 23:33  robert

	* testcase.mp3 (lame3_98):

	updating testcase for 3.98.3

2010-02-24 08:54  rbrito

	* debian/: changelog, control, copyright, rules (lame3_98):

	Update the debian packaging for the new release.

2010-02-20 21:19  robert

	* test/lame_test.cpp, vc_solution/vc9_lame_clients.sln,
	  vc_solution/vc9_lame_test.vcproj:

	adding some small LAME test project.

2010-02-20 21:08  robert

	* libmp3lame/: lame.c (lame3_98), lame.c:

	Bug fix for tracker ID: 2824296
	wrong enc_padding value in LAME 3.99a & 3.98.3 (from CVS)

2010-02-20 21:01  robert

	* libmp3lame/VbrTag.c (lame3_98):

	Bug fix for tracker ID: 2872590
	LameTAG: "Music length" missmatch in Lame3.98

2010-02-20 20:58  robert

	* libmp3lame/VbrTag.c:

	Bug fix for tracker ID: 2872590
	LameTAG: "Music length" missmatch in Lame3.98

2010-02-19 00:44  robert

	* libmp3lame/: id3tag.c (lame3_98), id3tag.c:

	Bug fix for tracker ID: 2887359
	Wrong length in ID3v2 tag when num_samples isn't set

2010-02-19 00:30  robert

	* Dll/: BladeMP3EncDLL.c (lame3_98), BladeMP3EncDLL.c:

	Bug fix for tracker ID: 2893101
	Access Violation in BladeMP3EncDLL if UNICODE was defined.

2010-02-19 00:03  robert

	* doc/man/: lame.1 (lame3_98), lame.1:

	Bug fix for tracker ID: 2928684
	Error in man page about "fast insane"

2010-02-18 22:42  robert

	* libmp3lame/reservoir.c (lame3_98):

	Revisiting the FhG decoder problem (FhG V1.5 build 50, ships with MS Windows):
	enabling the new drain code seems to solve that issue better, than restricting the buffer size.

2010-02-13 23:21  robert

	* frontend/brhist.c, frontend/console.h, frontend/get_audio.c,
	  frontend/parse.c, frontend/timestatus.c, include/lame.h,
	  libmp3lame/bitstream.c, libmp3lame/bitstream.h,
	  libmp3lame/lame.c, libmp3lame/reservoir.c, libmp3lame/version.h:

	Revisiting the FhG decoder problem (FhG V1.5 build 50, ships with MS Windows):
	enabling the new drain code seems to solve that issue better, than restricting the buffer size.

2010-02-06 23:01  robert

	* frontend/parse.c, include/lame.h, libmp3lame/lame.c,
	  libmp3lame/reservoir.c, libmp3lame/set_get.c, libmp3lame/util.h:

	added new switch for control buffer constraint

2009-12-12 15:28  robert

	* frontend/console.c:

	increasing size of term_buff array, it might have become too small by now

2009-12-11 23:19  robert

	* libmp3lame/util.c:

	small issue,: if-def out hip functions, when not using decode-on-the-fly

2009-12-11 22:44  robert

	* frontend/parse.c (lame3_98):

	Tracker ID: 2891879
	Because of Windows API change, there was a problem with prority switch. Should work again.

2009-12-11 22:30  robert

	* frontend/parse.c:

	Tracker ID: 2891879
	Because of Windows API change, there was a problem with prority switch. Should work again.

2009-11-22 22:29  rbrito

	* debian/rules:

	Enable the frontend to be dynamically linked to libmp3lame.

2009-11-22 22:09  rbrito

	* debian/lame.doc-base:

	Fix correct section of doc-base.

2009-11-22 21:27  rbrito

	* debian/changelog:

	Consolidate changelog entries.

2009-11-22 21:18  rbrito

	* debian/source/format:

	Part of migration to new format (3.0 quilt) of Debian packages.

2009-09-17 06:42  rbrito

	* debian/lame.doc-base:

	Update the section field.

2009-09-17 05:54  rbrito

	* debian/lame.doc-base:

	Include Debian's doc-base configuration.

2009-05-16 10:20  rbrito

	* debian/rules:

	Revert cleaning of files in the debian/rules file.

2009-05-16 10:19  rbrito

	* debian/: Makefile.am, rules:

	Update the list of files in Makefile.am

2009-05-15 23:09  robert

	* mpglib/: interface.c, layer1.c, layer1.h, layer2.c, layer2.h,
	  layer3.c, layer3.h:

	trying to handle the case, when audio data exceeds frame size

2009-05-15 23:05  robert

	* libmp3lame/: bitstream.c, lame.c:

	starting to demangle bitstream buffer handling from postprocessing features like "clip detect" and "replaygain".

2009-05-10 22:08  jwflynn1

	* dshow/Mpegac.h:

	minor correction

2009-05-10 22:06  jwflynn1

	* dshow/Mpegac.cpp:

	Allocator buffer count on the output pin had been hardcoded to 1. This was changed so that it will now attempt to use the buffer count suggested by the downstream filter or default to 1 if none is specified.

2009-05-02 13:45  rbrito

	* debian/: lame.files, libmp3lame0-dev.docs, libmp3lame0-dev.files,
	  libmp3lame0.files:

	Remove obsolete files. We need to fix the auto* files to use the new files.

2009-05-02 13:44  rbrito

	* debian/: changelog, compat, control, lame.install,
	  libmp3lame-dev.install, libmp3lame0.install, rules:

	Update Debian/Ubuntu packaging. Add new files.

2009-04-20 21:47  robert

	* frontend/parse.c, frontend/portableio.c, mpglib/common.c,
	  mpglib/common.h, mpglib/layer1.c, mpglib/layer2.c,
	  vc_solution/vc9_lame_config.vsprops, frontend/console.c,
	  frontend/get_audio.c, frontend/main.c, libmp3lame/fft.c:

	fixing some more compiler warnings

2009-04-20 05:39  rbrito

	* debian/: changelog, control, copyright, rules, watch:

	Updating the Debian packaging and doing some investigation regarding symbols.

2009-04-19 22:17  robert

	* libmp3lame/id3tag.c, libmp3lame/takehiro.c, mpglib/layer1.c:

	reducing compiler warnings

2009-04-19 18:10  robert

	* mpglib/: interface.c, layer2.c:

	Starting to fix decoding bugs.

2009-04-18 18:33  robert

	* libmp3lame/lame.rc, mpglib/interface.c, mpglib/layer1.c,
	  mpglib/layer2.c, mpglib/mpg123.h:

	Starting to fix decoding bugs.

2009-04-17 22:21  robert

	* frontend/console.c, frontend/console.h, frontend/get_audio.c,
	  frontend/main.c, frontend/parse.c, frontend/timestatus.c,
	  libmp3lame/lame.c, libmp3lame/util.c, libmp3lame/util.h,
	  mpglib/interface.c, mpglib/mpglib.h:

	commandline option 'quiet' should suppress any message now

2009-04-17 11:24  robert

	* frontend/get_audio.c, include/lame.h, libmp3lame/lame.c,
	  libmp3lame/mpglib_interface.c, libmp3lame/util.c,
	  libmp3lame/util.h, mpglib/common.c, mpglib/common.h,
	  mpglib/interface.c, mpglib/layer3.c, mpglib/mpglib.h:

	replaced fprintf calls by lame reporting function calls. this allows to silence decoder. (it used to spit out error messages to stderr)

2009-04-11 16:04  jwflynn1

	* dshow/README:

	[no log message]

2009-04-11 15:59  jwflynn1

	* dshow/Mpegac.cpp:

	- Added support for the DirectShow IAMStreamConfig Interface to the LAME encoder filter output pin.

	- Modified the DirectShow filter registration section so that the LAME Encoder filter is correctly registered in the Audio Compressors filter category. This will allow third-party encoding applications using the DirectShow System Device Enumerator Interface to correctly detect the LAME encoder when querying the Audio Compressors filter group.

	- Modified the filter registration information so that the MP3 audio subtype is correctly reported as being supported on the encoder output pin. This will allow third-party encoding applications using the DirectShow IFilterMapper2 Interface to recognize that the LAME encoder supports MP3 output.

	- Altered the Filter Merit Value that was being used when the filter was registered so that it is now using the standard DirectShow compressor filter merit value of MERIT_DO_NOT_USE (0x200000). Previously, the filter was being registered using a value of MERIT_SW_COMPRESSOR (0x100000), which was at a lower priority (i.e. worse priority) than MERIT_DO_NOT_USE. This prevented the LAME Encoder filter from being selected for use by some third-party encoding applications.

	- Added code to calculate the frame length of the audio frames used for the nBlockSize element of the WAVEFORMATEX output structure. Previously this value was simply hard-coded to 1.

2009-04-11 15:51  jwflynn1

	* dshow/Mpegac.h:

	Added support for the DirectShow IAMStreamConfig Interface

2009-04-11 15:47  jwflynn1

	* dshow/Property.rc:

	Updated the embedded "FileVersion" and "ProductVersion" fields

2009-03-31 22:37  robert

	* libmp3lame/: util.c, util.h (lame3_98), util.c, util.h:

	fix for tracker item 2723518: resampling in 3.98 and 3.99alpha

2009-03-30 19:48  robert

	* libmp3lame/lame.c (lame3_98):

	ensure we padd at least 288 samples

2009-03-30 14:38  robert

	* libmp3lame/lame.c:

	ensure we pad with 288 samples at least

2009-03-30 13:42  robert

	* frontend/: main.c, main.h, parse.c:

	commandline option "--swap-channel" added, as requested. see item: 1118412

2009-03-29 18:28  robert

	* libmp3lame/psymodel.c:

	take away sandpaper safety margin for lower samplerates.
	It seems samplerates which have convolution bands containing single lines are affected only (at least I don't have any testcase for lower samplerates to justify the safety margin right now)

2009-03-29 17:35  robert

	* libmp3lame/: lame.c, util.c, util.h:

	workaround for FFMPEG bug, which uses to call lame_encode_flush more than once in loop

2009-03-29 14:43  robert

	* libmp3lame/lame.c (lame3_98):

	workaround for FFMPEG bug, which uses to call lame_encode_flush more than once in loop

2009-03-28 22:09  robert

	* libmp3lame/lame.c (lame3_98):

	avoid extra frame at end

2009-03-02 23:27  robert

	* libmp3lame/VbrTag.c:

	GetVbrTag only works for Layer3, so ignore it when Layer1 or 2.

2009-02-14 21:59  robert

	* Makefile.unix:

	adding CFG=RH_INTEL for Intel C(++) compiler setup

2009-02-13 15:03  robert

	* libmp3lame/fft.c, libmp3lame/vector/xmm_quantize_sub.c,
	  vc_solution/vc9_libmp3lame.vcproj:

	fix crash in VC9 Release Build

2009-02-13 03:47  robert

	* libmp3lame/takehiro.c, vc_solution/arch_sse2.vsprops,
	  libmp3lame/fft.c, libmp3lame/quantize.c:

	small changes

2009-02-12 14:31  robert

	* libmp3lame/: quantize.c, takehiro.c, vector/xmm_quantize_sub.c:

	some tiny changes

2009-02-12 11:35  robert

	* libmp3lame/fft.c, libmp3lame/vector/lame_intrin.h,
	  libmp3lame/vector/xmm_quantize_sub.c,
	  vc_solution/arch_sse2.vsprops:

	first try to add fht using SSE intrinsics

2009-02-11 00:22  robert

	* vc_solution/vc9_lame_config.vsprops:

	adding configuration for SSE2 target architectures

2009-02-07 11:18  robert

	* Dll/: Makefile.mingw32 (lame3_98), Makefile.mingw32:

	applying patch from item tracker: [ 2406420 ] compile lame_enc.dll under cygwin

2009-02-07 00:44  robert

	* libmp3lame/: id3tag.c, vector/xmm_quantize_sub.c:

	small changes

2009-02-06 23:27  robert

	* libmp3lame/id3tag.c:

	silence some GCC compiler warning

2009-02-06 23:26  robert

	* libmp3lame/: VbrTag.c, lame.c:

	bug-fix: low bitrate CBR incorrectly tried to write LAME-Tag; var inconsistency

2009-02-06 23:22  robert

	* libmp3lame/vector/xmm_quantize_sub.c:

	- fix compiler warning about strict-aliasing problem
	- fix possible use of uninitialized vars

2009-02-06 23:20  robert

	* Makefile.unix:

	adding work-configuration for SSE2 optimization under SuSE 32bit

2009-02-06 00:21  robert

	* vc_solution/: arch_nasm.vsprops, arch_sse2.vsprops,
	  arch_x87.vsprops, vc9_lame_lame.vcproj, vc9_lame_mp3x.vcproj,
	  vc9_libmp3lame.vcproj, vc9_libmp3lame_dll.vcproj,
	  vc9_mpglib.vcproj:

	adding configuration for SSE2 target architectures

2009-02-06 00:16  robert

	* configMS.h, libmp3lame/vbrquantize.c, vc_solution/vc9_lame.sln,
	  vc_solution/vc9_lame_lame.vcproj,
	  vc_solution/vc9_lame_mp3x.vcproj,
	  vc_solution/vc9_libmp3lame.vcproj,
	  vc_solution/vc9_libmp3lame_dll.vcproj,
	  vc_solution/vc9_mpglib.vcproj:

	adding configuration for SSE2 target architectures

2009-01-18 15:57  robert

	* frontend/get_audio.c, frontend/gtkanal.c, frontend/lametime.c,
	  frontend/main.c, libmp3lame/bitstream.c, libmp3lame/lame.c,
	  libmp3lame/psymodel.c, libmp3lame/quantize_pvt.c,
	  libmp3lame/vector/xmm_quantize_sub.c, mpglib/interface.c,
	  mpglib/mpglib.h:

	replacing C++ style comments by C style comments

2009-01-18 15:44  robert

	* libmp3lame/bitstream.c, libmp3lame/lame.c, libmp3lame/psymodel.c,
	  frontend/get_audio.c, frontend/gtkanal.c, frontend/lametime.c,
	  frontend/main.c, include/lame.h, libmp3lame/quantize_pvt.c,
	  libmp3lame/vector/xmm_quantize_sub.c, mpglib/interface.c,
	  mpglib/mpglib.h (lame3_98):

	replacing C++ style comments by C style comments

2009-01-18 13:59  robert

	* doc/: html/switchs.html, man/lame.1 (lame3_98),
	  html/switchs.html, man/lame.1:

	fix for bug tracker item [ 2051870 ] documentation clarifications

2009-01-18 13:10  robert

	* doc/man/: lame.1 (lame3_98), lame.1:

	fix for bug tracker item 2423650

2008-12-26 11:58  robert

	* libmp3lame/: presets.c, psymodel.c:

	disabling testcode

2008-12-02 03:23  robert

	* libmp3lame/: presets.c, psymodel.c:

	testing some low quality tuning (VBR-new only)

2008-11-30 00:20  robert

	* Makefile.unix, libmp3lame/presets.c, libmp3lame/psymodel.c:

	testing some different short block switching and change in masking tonal
	samples (VBR-NEW only)

2008-11-09 14:14  robert

	* vc_solution/Makefile.in (lame3_98):

	file Makefile.in was added on branch lame3_98 on 2010-02-26 01:56:52 +0000

2008-11-09 14:13  aleidinger

	* ACM/Makefile.in, ACM/ADbg/Makefile.in, ACM/ddk/Makefile.in,
	  ACM/tinyxml/Makefile.in, Dll/Makefile.in, debian/Makefile.in,
	  doc/Makefile.in, doc/html/Makefile.in, doc/man/Makefile.in,
	  dshow/Makefile.in, frontend/Makefile.in, include/Makefile.in,
	  libmp3lame/i386/Makefile.in, libmp3lame/vector/Makefile.in,
	  mac/Makefile.in, macosx/English.lproj/Makefile.in, Makefile.in,
	  libmp3lame/Makefile.in, macosx/LAME.xcodeproj/Makefile.in,
	  misc/Makefile.in, mpglib/Makefile.in, vc_solution/Makefile.in,
	  macosx/Makefile.in:

	regen

2008-11-09 14:11  aleidinger

	* config.h.in, aclocal.m4, configure:

	regen (with autoconf 2.62)

2008-11-09 14:10  aleidinger

	* libmp3lame/Makefile.am:

	Add missing files, remove deleted ones.

2008-11-09 14:06  robert

	* vc_solution/Makefile.am (lame3_98):

	file Makefile.am was added on branch lame3_98 on 2010-02-26 01:56:52 +0000

2008-11-09 14:06  aleidinger

	* vc_solution/Makefile.am:

	Add missing automake Makefile.

2008-11-09 14:05  aleidinger

	* configure.in:

	Add possibility to build frontends with dynamic libmp3lame.

2008-11-09 14:00  aleidinger

	* frontend/Makefile.am:

	Remove -static in preparation for corresponding configure option.

2008-11-09 13:56  aleidinger

	* ltmain.sh:

	Update to version from libtool 1.5.26.

2008-11-09 13:50  aleidinger

	* Makefile.am, ACM/Makefile.am, ACM/ADbg/Makefile.am,
	  ACM/tinyxml/Makefile.am, Dll/Makefile.am, debian/Makefile.am,
	  dshow/Makefile.am, frontend/Makefile.am, include/Makefile.am,
	  libmp3lame/i386/Makefile.am, mpglib/Makefile.am:

	Add files which are new, and remove deleted ones.

2008-11-06 07:10  rbrito

	* doc/html/history.html:

	Update history file with my changes.

2008-11-06 06:56  rbrito

	* debian/rules:

	Actually remove the rpath issue part.

2008-11-06 06:55  rbrito

	* debian/: changelog, control:

	Include suggestions of Fabian on the packaging.
	Clean up the packaging a bit.
	Update the mainline version package.

2008-11-02 15:26  robert

	* libmp3lame/: quantize_pvt.c, version.h:

	start of 3.99 development cycle:
	- demangling "calc_xmin"

2008-11-01 21:39  robert

	* ACM/lameACM_vc7.vcproj, ACM/ADbg/ADbg_vc7.vcproj,
	  ACM/tinyxml/tinyxml_vc7.vcproj, dshow/Mpegac.cpp, dshow/REG.CPP,
	  dshow/REG.H, dshow/aboutprp.cpp:

	- Name clash with our CRegKey class and ATL::CRegKey class solved by putting ours in namespace Lame.

2008-11-01 21:21  robert

	* vc_solution/: vc9_lame_acm.vcproj, vc9_lame_acm_adbg.vcproj,
	  vc9_lame_acm_tinyxml.vcproj, vc9_lame_dll.vcproj,
	  vc9_lame_dll_example.vcproj, vc9_lame_dshow.vcproj,
	  vc9_lame_lame.vcproj, vc9_lame_mp3x.vcproj,
	  vc9_libmp3lame.vcproj, vc9_libmp3lame_dll.vcproj,
	  vc9_mpglib.vcproj:

	moving common VS projects settings into own property page

2008-11-01 20:41  robert

	* ACM/ACM.cpp, ACM/ACMStream.cpp, ACM/AEncodeProperties.cpp,
	  ACM/lameACM.def, dshow/Mpegac.cpp, dshow/aboutprp.cpp,
	  vc_solution/vc9_lame_acm.vcproj,
	  vc_solution/vc9_lame_acm_adbg.vcproj,
	  vc_solution/vc9_lame_acm_tinyxml.vcproj,
	  vc_solution/vc9_lame_config.vsprops,
	  vc_solution/vc9_lame_dll.vcproj,
	  vc_solution/vc9_lame_dll_example.vcproj,
	  vc_solution/vc9_lame_dshow.vcproj,
	  vc_solution/vc9_lame_lame.vcproj,
	  vc_solution/vc9_lame_mp3x.vcproj,
	  vc_solution/vc9_libmp3lame.vcproj,
	  vc_solution/vc9_libmp3lame_dll.vcproj,
	  vc_solution/vc9_mpglib.vcproj (lame3_98):

	moving common VS projects settings into own property page

2008-11-01 13:32  robert

	* dshow/Mpegac.cpp, dshow/REG.CPP, dshow/REG.H,
	  vc_solution/vc9_lame_acm.vcproj,
	  vc_solution/vc9_lame_acm_adbg.vcproj,
	  vc_solution/vc9_lame_acm_tinyxml.vcproj,
	  vc_solution/vc9_lame_dll.vcproj,
	  vc_solution/vc9_lame_dll_example.vcproj,
	  vc_solution/vc9_lame_dshow.vcproj (lame3_98):

	- VC6 upgrade property pages removed, not needed
	- Name clash with our CRegKey class and ATL::CRegKey class solved by putting ours in namespace Lame.

2008-10-23 23:35  robert

	* mpglib/: README, TODO, common.c, common.h, dct64_i386.c,
	  dct64_i386.h, decode_i386.c, decode_i386.h, huffman.h,
	  interface.c, interface.h, l2tables.h, layer1.c, layer1.h,
	  layer2.c, layer2.h, layer3.c, layer3.h, mpg123.h, mpglib.h,
	  tabinit.c, tabinit.h (lame3_98):

	exchanging mpglib by libhip from main-branch

2008-10-23 23:26  robert

	* mpglib/: common.c, common.h, dct64_i386.c, dct64_i386.h,
	  decode_i386.c, decode_i386.h, huffman.h, interface.c,
	  interface.h, l2tables.h, layer1.c, layer1.h, layer2.c, layer2.h,
	  layer3.c, layer3.h, mpg123.h, mpglib.h, tabinit.c, tabinit.h:

	fixing indentation

2008-10-23 23:17  robert

	* frontend/brhist.h, frontend/get_audio.c, frontend/get_audio.h,
	  frontend/main.c, frontend/main.h, frontend/portableio.c,
	  frontend/portableio.h, mpglib/common.c, mpglib/common.h,
	  mpglib/dct64_i386.c, mpglib/dct64_i386.h, mpglib/decode_i386.c,
	  mpglib/decode_i386.h, mpglib/huffman.h, mpglib/interface.c,
	  mpglib/interface.h, mpglib/layer1.h, mpglib/layer2.c,
	  mpglib/layer2.h, mpglib/layer3.c, mpglib/layer3.h,
	  mpglib/mpg123.h, mpglib/tabinit.c, mpglib/tabinit.h:

	removing some tabs
	preparing for indent

2008-10-21 23:09  robert

	* mpglib/: TODO, interface.c, layer3.c, mpg123.h, mpglib.h:

	re-applying some of our changes to decoding lib

2008-10-21 22:35  robert

	* mpglib/: README, common.c, common.h, dct64_i386.c, dct64_i386.h,
	  decode_i386.c, decode_i386.h, huffman.h, interface.c,
	  interface.h, l2tables.h, layer1.c, layer1.h, layer2.c, layer2.h,
	  layer3.c, layer3.h, mpg123.h, mpglib.h, tabinit.c, tabinit.h:

	replacing mpglib by libhip

2008-10-21 22:34  robert

	* include/lame.h:

	fix small issues with C99

2008-10-21 22:06  robert

	* include/lame.h (lame3_98):

	fix small issues with C99

2008-10-12 19:46  robert

	* libmp3lame/version.h (lame3_98), libmp3lame/lame.rc,
	  libmp3lame/logoe.ico, libmp3lame/version.c, libmp3lame/version.h,
	  vc_solution/vc9_lame_lame.vcproj,
	  vc_solution/vc9_libmp3lame_dll.vcproj:

	Adding resources to EXE and DLL

2008-10-12 19:33  robert

	* libmp3lame/lame.rc, libmp3lame/logoe.ico, libmp3lame/version.c,
	  libmp3lame/version.h, vc_solution/vc9_lame_lame.vcproj,
	  vc_solution/vc9_libmp3lame_dll.vcproj (lame3_98):

	Adding resources to EXE and DLL

2008-10-11 19:12  robert

	* ChangeLog (lame3_98):

	updating Changelog

2008-10-11 19:08  robert

	* frontend/gtkanal.c, libmp3lame/mpglib_interface.c,
	  libmp3lame/util.h (lame3_98):

	fixing mp3x build

2008-10-11 18:58  robert

	* frontend/gtkanal.c, libmp3lame/mpglib_interface.c,
	  libmp3lame/util.h:

	fixing mp3x build

2008-10-11 18:04  robert

	* doc/html/history.html, frontend/get_audio.c, frontend/gtkanal.c,
	  frontend/parse.c, libmp3lame/bitstream.c, libmp3lame/id3tag.c,
	  libmp3lame/lame.c, libmp3lame/mpglib_interface.c,
	  libmp3lame/util.c, libmp3lame/util.h, mpglib/.cvsignore,
	  mpglib/common.c, mpglib/interface.c, mpglib/layer3.c,
	  mpglib/mpg123.h, mpglib/mpglib.h, include/lame.def,
	  include/lame.h, vc_solution/vc9_libmp3lame.vcproj,
	  vc_solution/vc9_libmp3lame_dll.vcproj (lame3_98),
	  doc/html/history.html, frontend/gtkanal.c, include/lame.def,
	  include/lame.h, libmp3lame/id3tag.c,
	  libmp3lame/mpglib_interface.c, mpglib/layer3.c, mpglib/mpglib.h,
	  vc_solution/vc9_libmp3lame.vcproj,
	  vc_solution/vc9_libmp3lame_dll.vcproj:

	Library API change: lame_decode functions are now obsolete but still present, please use hip_decode instead.

	The reason for this change is: lame_decode functions use a single global variable within the library to store decoder setup, hip_decode functions don't.

	The encoder now uses hip_decode internally and it is now possible to use clipdetect feature while reencoding mp3 to mp3.

2008-10-07 21:57  robert

	* doc/html/history.html, frontend/parse.c:

	- let ignore-tag-errors effect albumart option too
	- updating history

2008-10-07 20:24  robert

	* doc/html/history.html, frontend/parse.c, libmp3lame/version.h
	  (lame3_98):

	- let ignore-tag-errors effect albumart option too
	- updating history

2008-09-22 20:21  robert

	* libmp3lame/: takehiro.c, version.h (lame3_98):

	source merging resultet in bug: loop var was incremented twice
	now fixed

2008-09-21 15:53  robert

	* testcase.mp3 (lame3_98):

	updating testcase.mp3 to current version

2008-09-21 15:51  robert

	* ChangeLog (lame3_98):

	updating Changelog of branch lame3_98

2008-09-21 15:29  robert

	* doc/man/lame.1:

	fixing Rogerios patch

2008-09-19 07:30  rbrito

	* debian/: changelog, control, rules (lame3_98):

	Various improvements to the packaging. Thanks to Fabian.

2008-09-19 07:08  rbrito

	* doc/man/lame.1 (lame3_98):

	Remove warnings from nroff while processing the manpage.

2008-09-19 07:02  rbrito

	* doc/man/lame.1:

	Fixing warnings generated by nroff.

2008-09-14 15:21  robert

	* frontend/parse.c:

	replacing stricmp by local_strcasecmp

2008-09-14 11:54  robert

	* doc/html/history.html, doc/html/id3.html, doc/man/lame.1,
	  frontend/parse.c, libmp3lame/id3tag.c, USAGE:

	Fixing some ID3 tagging issues:
	- some sloppier search for genre names
	- new switch --pad-id3v2-size <n> which allows some user defined padding

2008-09-14 11:51  robert

	* doc/html/history.html, doc/html/id3.html, doc/man/lame.1,
	  frontend/parse.c, include/lame.def, include/lame.h,
	  libmp3lame/id3tag.c, libmp3lame/id3tag.h, USAGE (lame3_98):

	Fixing some ID3 tagging issues:
	- some sloppier search for genre names
	- new switch --pad-id3v2-size <n> which allows some user defined padding

2008-09-13 21:44  robert

	* doc/html/id3.html, libmp3lame/id3tag.c (lame3_98):

	fixing typo

2008-09-12 19:41  robert

	* libmp3lame/id3tag.c, libmp3lame/id3tag.h, frontend/parse.c,
	  include/lame.def, include/lame.h:

	new frontend switch "--pad-id3v2-size <value>":
	allow id3v2 padding of 0 to 128000 bytes

2008-09-11 00:49  robert

	* frontend/parse.c:

	replace common suffixes by MP3/WAV when no output filename was given

2008-09-08 22:46  robert

	* frontend/main.c, frontend/parse.c, include/lame.h,
	  libmp3lame/mpglib_interface.c:

	eleminating some compiler warnings

2008-08-31 19:35  robert

	* libmp3lame/i386/nasm.h (lame3_98):

	fixing the fix to get it assemble for ELF again

2008-08-31 19:31  robert

	* include/lame.h, libmp3lame/i386/nasm.h:

	fixing the fix to get it assembling for ELF again

2008-08-31 17:52  robert

	* include/lame.h:

	remove some debugging noise

2008-08-31 16:14  robert

	* frontend/get_audio.c, libmp3lame/bitstream.c, libmp3lame/lame.c,
	  libmp3lame/mpglib_interface.c, libmp3lame/util.c,
	  libmp3lame/util.h, frontend/gtkanal.c, frontend/parse.c,
	  include/lame.def, include/lame.h, mpglib/layer3.c,
	  mpglib/mpglib.h:

	Fix for API problem:
	lame decoding functionality used one global data structure in libmp3lame for all decoding ativities. This is a big problem with dynamic linking!
	New API functions added, which use handles to work with.
	Old API functions are still there, but are deprecated.

2008-08-31 12:26  robert

	* libmp3lame/i386/: choose_table.nas, fft3dn.nas, fftsse.nas,
	  nasm.h (lame3_98), choose_table.nas, fft3dn.nas, fftsse.nas,
	  nasm.h:

	fixing none PIC assembling problem

2008-08-27 10:27  rbrito

	* libmp3lame/i386/: Makefile.am, choose_table.nas, fft3dn.nas,
	  fftsse.nas, nasm.h:

	Committing the changes from Gentoo and PaX Team to the HEAD.

2008-08-25 12:57  rbrito

	* debian/changelog, libmp3lame/i386/choose_table.nas,
	  libmp3lame/i386/fft3dn.nas, libmp3lame/i386/fftsse.nas
	  (lame3_98):

	Fix text relocations and update debian changelog.
	Thanks to the PaX Team and Gentoo people.

2008-08-25 12:43  rbrito

	* libmp3lame/i386/nasm.h (lame3_98):

	Fix to executable stack (thanks to Gentoo people)

2008-08-25 12:38  rbrito

	* libmp3lame/i386/Makefile.am (lame3_98):

	Fixes building of asm with libtool 2.2 (thanks to Gentoo people)

2008-08-16 12:48  robert

	* doc/man/: lame.1 (lame3_98), lame.1:

	adding MPEG-2.5 bitrate table

2008-08-13 21:01  robert

	* libmp3lame/tables.h:

	revert

2008-08-13 20:38  robert

	* libmp3lame/: tables.c, tables.h:

	fix compilation via configure/make

2008-08-11 20:55  robert

	* libmp3lame/: takehiro.c (lame3_98), takehiro.c:

	loop rewritten; result of discussion with Michael Stoner

2008-08-08 20:34  robert

	* libmp3lame/takehiro.c:

	tiny speed-up

2008-08-07 20:55  robert

	* Makefile.unix, doc/html/switchs.html, doc/man/lame.1,
	  frontend/parse.c, libmp3lame/lame.c:

	making some switches developer only switches

2008-08-07 14:53  robert

	* mpglib/: .cvsignore, common.c, dct64_i386.h, huffman.h,
	  interface.c, l2tables.h, layer1.h, mpg123.h, mpglib.h, tabinit.h:

	sync with HIP development

2008-08-07 14:52  robert

	* libmp3lame/lame.c:

	we did init bitstream (Xing header) before final decisions were made

2008-08-06 17:12  robert

	* frontend/parse.c (lame3_98):

	add proper file closing

2008-08-06 17:12  robert

	* doc/html/history.html, frontend/parse.c:

	fix for tracker item [ 2039648 ] potential memory leak in parse_args() function in parse.c

2008-08-06 17:06  robert

	* doc/html/history.html, frontend/parse.c (lame3_98):

	fix for tracker item [ 2039648 ] potential memory leak in parse_args() function in parse.c

2008-08-06 16:14  robert

	* frontend/parse.c:

	internal switches are available only when compiled with
	preprocessor symbol _ALLOW_INTERNAL_OPTIONS
	defined.

2008-08-06 16:10  robert

	* USAGE, doc/html/switchs.html, frontend/parse.c, doc/man/lame.1:

	removing some obsolete switches

2008-08-06 15:57  robert

	* USAGE (lame3_98):

	removing some obsolete switches

2008-08-06 15:52  robert

	* doc/man/lame.1 (lame3_98):

	removing some obsolete switches

2008-08-06 15:35  robert

	* frontend/parse.c (lame3_98):

	removing some obsolete switches

2008-08-06 15:24  robert

	* doc/html/switchs.html (lame3_98):

	removing internal switches

2008-08-06 11:55  robert

	* libmp3lame/presets.c (lame3_98):

	keeping "sfb21mod" as in 3.98 release

2008-08-05 17:45  robert

	* doc/html/history.html, frontend/parse.c, libmp3lame/lame.c:

	fix for bugtracker item [ 2029282 ] Frequency filtering API broken in 3.98

2008-08-05 17:26  robert

	* doc/html/history.html, frontend/parse.c, libmp3lame/lame.c
	  (lame3_98):

	bug fix for tracker item [ 2029282 ] Frequency filtering API broken in 3.98

2008-08-05 14:19  robert

	* doc/html/history.html:

	updating history

2008-08-05 14:16  robert

	* HACKING, Makefile.unix, configure.in, debian/changelog,
	  debian/rules, doc/html/history.html, doc/man/lame.1,
	  frontend/mp3rtp.c, frontend/rtp.c, libmp3lame/VbrTag.c,
	  libmp3lame/bitstream.c, libmp3lame/encoder.c,
	  libmp3lame/gain_analysis.c, libmp3lame/id3tag.c,
	  libmp3lame/lame.c, libmp3lame/presets.c, libmp3lame/psymodel.c,
	  libmp3lame/quantize.c, libmp3lame/quantize_pvt.c,
	  libmp3lame/quantize_pvt.h, libmp3lame/util.c,
	  libmp3lame/vbrquantize.c, libmp3lame/version.h, misc/abx.c
	  (lame3_98):

	bug fixes from main branch

2008-08-05 12:33  robert

	* libmp3lame/id3tag.c:

	fix for bug: LAME writes ID3v2 tag when some ID3v1 field length is too short to hold the text, even in case ID3v1 only is specified.

2008-08-05 12:32  robert

	* libmp3lame/: bitstream.c, util.h, vbrquantize.c:

	changes after doing some linting

2008-08-04 19:53  robert

	* libmp3lame/: bitstream.c, VbrTag.c, encoder.c, encoder.h, fft.c,
	  fft.h, gain_analysis.c, gain_analysis.h, id3tag.c, id3tag.h,
	  lame-analysis.h, lame.c, machine.h, mpglib_interface.c,
	  presets.c, psymodel.c, psymodel.h, quantize.c, quantize.h,
	  quantize_pvt.c, quantize_pvt.h, set_get.c, tables.c, tables.h,
	  takehiro.c, util.c, util.h, vbrquantize.c, vbrquantize.h,
	  VbrTag.h:

	changes after doing some linting

2008-07-28 17:18  robert

	* libmp3lame/lame.c, misc/abx.c:

	fixing swapped parameters on calloc call

2008-07-28 16:57  robert

	* libmp3lame/psymodel.c:

	fixing small typo

2008-07-28 16:38  robert

	* include/lame.h, libmp3lame/VbrTag.c, libmp3lame/VbrTag.h,
	  libmp3lame/bitstream.c, libmp3lame/bitstream.h,
	  libmp3lame/encoder.c, libmp3lame/encoder.h, libmp3lame/id3tag.c,
	  libmp3lame/id3tag.h, libmp3lame/lame.c,
	  libmp3lame/lame_global_flags.h, libmp3lame/machine.h,
	  libmp3lame/newmdct.c, libmp3lame/psymodel.c,
	  libmp3lame/psymodel.h, libmp3lame/quantize.c,
	  libmp3lame/quantize.h, libmp3lame/quantize_pvt.c,
	  libmp3lame/quantize_pvt.h, libmp3lame/reservoir.c,
	  libmp3lame/reservoir.h, libmp3lame/set_get.c,
	  libmp3lame/takehiro.c, libmp3lame/util.c, libmp3lame/util.h,
	  libmp3lame/vbrquantize.c:

	reorganizing the huge lame_internal_flags structure

2008-07-23 14:59  robert

	* libmp3lame/util.c:

	removed extra line.
	tracker item: [ 2022101 ] tiny bug(?) in fill_buffer_resample()

2008-07-23 14:46  robert

	* libmp3lame/lame.c:

	fix for tracker item: [ 2022035 ] encoder_padding value and resampling

2008-07-19 13:34  rbrito

	* HACKING:

	Fixed HACKING documentation.

2008-07-19 13:09  rbrito

	* HACKING:

	Fix documentation for set_get/get_set confusion.

2008-07-19 12:54  rbrito

	* doc/html/history.html, frontend/mp3rtp.c, frontend/rtp.c:

	Fixed compilation of mp3rtp and closed bug on sourceforge tracker.

2008-07-18 22:43  robert

	* libmp3lame/: VbrTag.c, quantize_pvt.h, encoder.c,
	  gain_analysis.c, id3tag.c, psymodel.c, quantize.c,
	  quantize_pvt.c, vbrquantize.c, bitstream.c:

	- removing some unused variables
	- fix a possible 'divide by zero' in vbrpsy_mask_add

2008-07-12 15:59  rbrito

	* Makefile.unix:

	Tidying up the Makefile.unix file. Possibly more to come.

2008-07-12 14:32  rbrito

	* debian/changelog:

	Mention changes to the build system on debian/ubuntu/whatever systems.

2008-07-12 14:28  rbrito

	* debian/rules:

	Include changes so that the linker only includes libraries directly needed.

2008-07-12 14:26  rbrito

	* Makefile.unix:

	Include a clue for emacs to know that this is a makefile.

2008-07-08 07:14  rbrito

	* doc/man/lame.1:

	Small updates to the manpage

2008-07-07 23:50  robert

	* doc/html/history.html, libmp3lame/presets.c:

	linear interpolate preset param sf21mod

2008-07-07 10:20  rbrito

	* Makefile.unix:

	Fixed typo in one option.

2008-07-07 09:32  rbrito

	* Makefile.unix:

	Include flags for compilation for newer machines running Linux.
	Comment the use of gtk1.2 for Linux at least (don't know about *BSD).

2008-07-07 02:18  rbrito

	* doc/html/history.html:

	Many fixes to the HTML file (too numerous to mention here). Now, it
	validates at w3.org (and let us keep it this way, please).

2008-07-07 00:17  rbrito

	* misc/abx.c:

	Finally fix the endianness issue and be able to close the reported bug.

2008-07-07 00:16  rbrito

	* misc/abx.c:

	Fix a memory leak (detected by running valgrind).

2008-07-07 00:14  rbrito

	* misc/abx.c:

	Remove inactive/commented coded that doesn't seem to be necessary.

2008-07-05 11:51  robert

	* lame_clients_vc6.dsw, lame_projects_vc6.dsp, lame_vc6.dsw:

	we don't support VC6 anymore

2008-07-05 07:50  robert

	* ACM/lameACM_vc6.dsp, ACM/ADbg/ADbg.dsp, ACM/tinyxml/test.dsp,
	  ACM/tinyxml/test.dsw, ACM/tinyxml/tinyxml.dsp,
	  Dll/Example_vc6.dsp, Dll/Example_vc6.dsw, Dll/LameDll_vc6.dsp,
	  dshow/dshow.dsp, dshow/dshow.dsw, frontend/lame_vc6.dsp,
	  frontend/mp3x_vc6.dsp, libmp3lame/libmp3lame_dll_vc6.dsp,
	  libmp3lame/libmp3lame_vc6.dsp, mpglib/mpglib_vc6.dsp:

	we don't support VC6 anymore

2008-07-05 07:38  robert

	* libmp3lame/version.h, configure.in:

	Main branch at 3.99 alpha

2008-07-03 22:04  robert

	* libmp3lame/version.h (lame3_98):

	preparing release

2008-06-30 23:31  robert

	* configMS.h, dshow/Property.rc, dshow/aboutprp.cpp:

	updating LAME version property

2008-06-29 21:40  rbrito

	* configure, configure.in, debian/changelog:

	New updated options for compiling with expopt (to be cleaned up latter).
	Fixes to the Debian packaging for the pending release.

2008-06-29 03:25  rbrito

	* doc/html/history.html:

	Fixed my name on an older entry of the history.

2008-06-28 22:36  robert

	* doc/html/: Makefile.am, Makefile.in:

	removing presets.html, it is not in repository anymore

2008-06-27 20:47  robert

	* Makefile.unix, testcase.mp3:

	updating testcase for 3.98 stable release

2008-06-26 21:26  robert

	* vc_solution/: vc9_lame.sln, vc9_lame_acm.vcproj,
	  vc9_lame_acm_adbg.vcproj, vc9_lame_acm_tinyxml.vcproj,
	  vc9_lame_dll.vcproj, vc9_lame_dll_example.vcproj,
	  vc9_lame_dshow.vcproj, vc9_lame_lame.vcproj,
	  vc9_lame_mp3x.vcproj, vc9_libmp3lame.vcproj,
	  vc9_libmp3lame_dll.vcproj, vc9_mpglib.vcproj:

	removing blanks from configuration and project names (because of NASM rule)

2008-06-26 10:26  bouvigne

	* doc/html/index.html, doc/html/presets.html, doc/man/lame.1,
	  frontend/parse.c:

	simplified --preset docs

2008-06-26 10:09  bouvigne

	* doc/html/: history.html, index.html:

	updated the html docs for 3.98

2008-06-26 08:57  bouvigne

	* libmp3lame/psymodel.c:

	revert my calc_energy changes

2008-06-25 21:59  robert

	* mpglib/: layer2.c, layer3.c, mpg123.h:

	cosmetic changes, some more compiler (gcc) warnings eliminated

2008-06-25 12:45  aleidinger

	* ChangeLog:

	recent changes

2008-06-25 12:43  aleidinger

	* doc/html/history.html:

	a little bit of history

2008-06-25 12:40  aleidinger

	* configure:

	regen

2008-06-25 12:37  aleidinger

	* configure.in:

	fix --diable-cpml switch

2008-06-25 12:17  aleidinger

	* mpglib/Makefile.in, Makefile.in, ACM/Makefile.in,
	  ACM/ADbg/Makefile.in, ACM/ddk/Makefile.in,
	  ACM/tinyxml/Makefile.in, Dll/Makefile.in, debian/Makefile.in,
	  doc/Makefile.in, doc/html/Makefile.in, doc/man/Makefile.in,
	  dshow/Makefile.in, frontend/Makefile.in, include/Makefile.in,
	  libmp3lame/Makefile.in, libmp3lame/i386/Makefile.in,
	  libmp3lame/vector/Makefile.in, mac/Makefile.in,
	  macosx/Makefile.in, macosx/English.lproj/Makefile.in,
	  macosx/LAME.xcodeproj/Makefile.in, misc/Makefile.in:

	regen (math lib change)

2008-06-25 12:13  aleidinger

	* configure.in:

	export the math lib, allow to disable the use of the alpha optimized math lib

2008-06-25 12:12  aleidinger

	* libmp3lame/Makefile.am:

	add the math lib explicitely to the build of the lib

2008-06-25 08:20  robert

	* frontend/parse.c, mpglib/decode_i386.c, mpglib/interface.c,
	  mpglib/interface.h, mpglib/layer1.c, mpglib/layer2.c,
	  mpglib/mpglib.h:

	Some cosmetic changes, now the vc9 compiles the workspace vc9_lame without any warning

2008-06-24 19:07  rbrito

	* doc/html/history.html:

	Add some modifications of mine to the history

2008-06-24 18:39  rbrito

	* debian/: changelog, control, rules:

	Updates to the Debian packaging.

2008-06-24 17:06  rbrito

	* misc/abx.c:

	Quick and dirty fix for some memory leak (detected via Valgrind).

2008-06-22 18:39  robert

	* doc/html/: history.html, contributors.html:

	tracker item [ lame-Patches-1990643 ] DShow direct file writer output
	patch by Anton Sergunov (setosha)

2008-06-22 18:31  robert

	* dshow/: Encoder.cpp, Encoder.h, Mpegac.cpp, Mpegac.h:

	tracker item [ lame-Patches-1990643 ] DShow direct file writer output
	patch by Anton Sergunov (setosha)

2008-06-22 18:29  robert

	* vc_solution/: vc9_lame_acm.vcproj, vc9_lame_acm_adbg.vcproj,
	  vc9_lame_acm_tinyxml.vcproj, vc9_lame_dll_example.vcproj,
	  vc9_lame_dshow.vcproj:

	linking against multithreaded (debug) DLL

2008-06-17 20:57  robert

	* frontend/parse.c, libmp3lame/presets.c:

	bug fix: preset INSANE wasn't a CBR preset anymore, but preset help said it should be

2008-06-10 19:24  rbrito

	* misc/abx.c:

	Fixes for consistency (lack of PATH on some commands)

2008-06-10 19:14  rbrito

	* misc/abx.c:

	Removing spurious whitespaces at the end of lines.

2008-06-10 16:10  rbrito

	* misc/abx.c:

	Corrected the abx.c file to work on Linux x86-64 (it should work on ia32 too).

	I think that I can remove latter the commented lines. They were prejudicial
	to playing the file on Linux (i.e., a 1min file was played in less than 5s,
	which is not exactly something that useful for doing an abx test).

2008-05-24 08:40  aleidinger

	* ChangeLog:

	Add nearly a year of history.

2008-05-24 08:37  aleidinger

	* Makefile.in, configure:

	regen

2008-05-24 08:31  aleidinger

	* macosx/: Makefile.in, English.lproj/Makefile.in,
	  LAME.xcodeproj/Makefile.in:

	regen

2008-05-24 08:28  aleidinger

	* configure.in, macosx/Makefile.am,
	  macosx/English.lproj/Makefile.am,
	  macosx/LAME.xcodeproj/Makefile.am:

	Add some more macosx stuff

2008-05-22 17:32  audiofileeng

	* macosx/: English.lproj/InfoPlist.strings,
	  LAME.xcodeproj/project.pbxproj:

	adding files in subdirectories in macosx

2008-05-22 06:26  aleidinger

	* Makefile.am, configure.in, macosx/Makefile.am:

	add the new macosx directory

2008-05-21 03:05  audiofileeng

	* macosx/: Info.plist, LAME_Prefix.pch:

	added XCode framework project for Mac OS X

2008-05-19 07:41  bouvigne

	* libmp3lame/: psymodel.c, util.h:

	faster calc_energy: don't loop if there is a single line within the band

2008-05-18 17:49  bouvigne

	* libmp3lame/psymodel.c:

	faster calc_energy: dont' loop if there is a single line within the band

2008-05-14 07:43  rbrito

	* debian/watch:

	New file for detecting new versions of the package.

2008-05-14 07:42  rbrito

	* debian/: changelog, control, copyright, lame.docs,
	  libmp3lame0-dev.docs, libmp3lame0-dev.files, rules:

	Updates to the Debian packaging.

2008-04-28 20:32  robert

	* frontend/get_audio.c:

	fixing LIBSNDFILE compile problem found by RogÃ©rio Brito

2008-04-23 01:50  robert

	* frontend/main.c, frontend/parse.h, libmp3lame/lame.c,
	  libmp3lame/lame_global_flags.h, libmp3lame/machine.h,
	  libmp3lame/psymodel.c:

	fix for bug-tracker item:[ 1948101 ] Memory not freed (lame-3.97, lame-3.98b8)
	plus, we didn't call lame_close in decode-only case

2008-04-22 23:01  robert

	* libmp3lame/machine.h, libmp3lame/newmdct.c,
	  libmp3lame/quantize.c, libmp3lame/quantize_pvt.c,
	  mpglib/interface.c, mpglib/layer1.c:

	fixing a problem if you are using --fast-math compiler switch

2008-04-13 22:03  robert

	* doc/html/history.html, libmp3lame/version.h:

	updating history, we are now at 3.98 beta 8

2008-04-13 21:27  robert

	* frontend/get_audio.c, frontend/main.h, frontend/parse.c,
	  libmp3lame/psymodel.c:

	found some problem in Naoki's additive masking code and fixed it for VBR_NEW

2008-04-13 13:45  robert

	* testcase.mp3, frontend/get_audio.c:

	changed compile-time test for machine byte order into run-time test,
	this should solve issues PPC users seem to have

2008-04-13 02:52  robert

	* libmp3lame/psymodel.c:

	some SNR testcode to try with -Z3

2008-04-12 18:18  robert

	* frontend/parse.c, frontend/timestatus.c, include/lame.def,
	  include/lame.h, libmp3lame/VbrTag.c, libmp3lame/bitstream.c,
	  libmp3lame/encoder.c, libmp3lame/fft.c,
	  libmp3lame/gain_analysis.c, libmp3lame/id3tag.c,
	  libmp3lame/lame.c, libmp3lame/lame_global_flags.h,
	  libmp3lame/mpglib_interface.c, libmp3lame/newmdct.c,
	  libmp3lame/presets.c, libmp3lame/psymodel.c,
	  libmp3lame/quantize.c, libmp3lame/quantize_pvt.c,
	  libmp3lame/reservoir.c, libmp3lame/set_get.c,
	  libmp3lame/tables.c, libmp3lame/takehiro.c, libmp3lame/util.c,
	  libmp3lame/vbrquantize.c:

	extended VBR quality scale: 0, ..., 9.999 as floating point value

2008-04-06 15:07  robert

	* doc/html/history.html, frontend/main.c:

	updating history.html

2008-04-06 02:38  robert

	* libmp3lame/lame_global_flags.h, libmp3lame/presets.c,
	  libmp3lame/psymodel.c, libmp3lame/set_get.c,
	  libmp3lame/version.h, mpglib/layer3.c:

	some simpler spreading function for VBR NEW

2008-04-05 17:38  robert

	* Makefile.unix, frontend/brhist.c, frontend/brhist.h,
	  frontend/main.c, frontend/parse.c, frontend/timestatus.c:

	removing "#ifdef/#endif" from code bocks, which were always compiled in

2008-04-05 17:13  robert

	* lame.spec.in, debian/copyright, libmp3lame/id3tag.c, misc/abx.c,
	  misc/lameGUI.html:

	changing some links from "www.mp3dev.org/mp3" to "www.mp3dev.org"
	and from "www.sulaco.org/mp3" to "www.mp3dev.org"

2008-03-20 22:28  robert

	* include/lame.h:

	keep 'lame_mp3_tags_fid' alive at least for next stable release

2008-03-12 11:23  robert

	* libmp3lame/psymodel.c, vc_solution/vc9_libmp3lame.vcproj,
	  vc_solution/vc9_libmp3lame_dll.vcproj,
	  vc_solution/vc9_mpglib.vcproj:

	bug fix: stack corruption in vbrpsy_compute_masking_s

2008-03-11 21:57  robert

	* libmp3lame/: set_get.c, vbrquantize.c:

	fixing some more compiler warnings

2008-03-11 21:17  robert

	* libmp3lame/VbrTag.c, libmp3lame/fft.c, libmp3lame/id3tag.c,
	  libmp3lame/lame.c, libmp3lame/mpglib_interface.c,
	  libmp3lame/quantize.c, libmp3lame/takehiro.c, libmp3lame/util.c,
	  libmp3lame/vbrquantize.c, vc_solution/vc9_libmp3lame.vcproj,
	  vc_solution/vc9_libmp3lame_dll.vcproj:

	fixing some more compiler warnings

2008-03-11 00:56  robert

	* libmp3lame/set_get.c:

	fixing some more compiler warnings

2008-03-11 00:21  robert

	* vc_solution/vc9_libmp3lame.vcproj:

	update for nasm file config

2008-03-10 23:47  robert

	* libmp3lame/: bitstream.c, encoder.c, gain_analysis.c, id3tag.c,
	  lame.c, machine.h, mpglib_interface.c, newmdct.c, psymodel.c,
	  quantize.c, quantize.h, quantize_pvt.c, quantize_pvt.h,
	  set_get.c, util.h, vbrquantize.c, vbrquantize.h:

	fixing some compiler warnings

2008-03-09 22:37  robert

	* frontend/parse.c:

	for now, keep old ID3 tag switches passing raw character encoded strings
	some experimental switches for Linux systems:

	(ID3v1/ID3v2)
	--lTtitle <some song title to be stored as Latin-1 string>
	--lArtist <some artist to be stored as Latin-1 string>
	--lAlbum <some album title to be stored as Latin-1 string>
	--lGenre <some genre to be stored as Latin-1 string>
	--lComment <some comment to be stored as Latin-1 string>
	--lFieldvalue <some fieldvalue to be stored as Latin-1 string>

	(ID3v2)
	--uTitle <some song title to be store as UCS-2 string>
	--uArtist <some artist to be stored as UCS-2 string>
	--uAlbum <some album title to be stored as UCS-2 string>
	--uGenre <some genre to be stored as UCS-2 string>
	--uComment <some comment to be stored as UCS-2 string>

2008-03-09 22:29  robert

	* include/lame.h:

	under Linux we need some C-library includes here (why not on Win32?)

2008-03-09 19:31  robert

	* libmp3lame/: takehiro.c, vbrquantize.c:

	fixing some compiler warnings about:
	- integer constant overflow
	- signed/unsigned mismatch

2008-03-09 17:13  robert

	* Dll/BladeMP3EncDLL.c, dshow/aboutprp.cpp, frontend/brhist.c,
	  frontend/mp3x.c, frontend/parse.c, include/lame.h:

	removing unneccessary stdlib includes from lame.h

2008-03-09 16:33  robert

	* vc_solution/: vc9_lame_lame.vcproj, vc9_libmp3lame.vcproj,
	  vc9_libmp3lame_dll.vcproj, vc9_nasm.rules:

	adding NASM build rule

2008-02-23 20:58  robert

	* frontend/parse.c, libmp3lame/id3tag.c:

	adding ICONV character conversion (NOT for WIN32), because ID3 tags have to
	be in ISO Latin-1 or UCS-2 text encoding. Previously we wrote bytes into ID3
	tags, as we got them from the commandline, in locale text encoding.

	There are some experimental switches to store UCS-2 encoded ID3 tags:
	--uArtist, --uAlbum, --uTitle, --uGenre and --uComment

2008-02-23 12:58  robert

	* libmp3lame/: id3tag.c, id3tag.h, util.c:

	locate and replace {TXXX,COMM} field if LANGUAGE and DESCRIPTION match new one

2008-02-22 02:48  robert

	* libmp3lame/: id3tag.c, id3tag.h, util.c:

	preparing unicode id3v2 tags

2008-02-22 02:38  robert

	* libmp3lame/: lame.c, vbrquantize.c, version.c:

	fixing some compiler warnings

2008-02-20 03:04  robert

	* vc_solution/vc9_lame_dll_example.vcproj:

	VC9 Solution files

2008-02-20 02:40  robert

	* vc_solution/vc9_lame_dshow.vcproj:

	VC9 Solution files

2008-02-20 01:53  robert

	* vc_solution/vc9_lame_acm.vcproj:

	VC9 Solution files

2008-02-20 00:38  robert

	* vc_solution/: .cvsignore, vc9_lame.sln, vc9_lame_acm.vcproj,
	  vc9_lame_acm_adbg.vcproj, vc9_lame_acm_tinyxml.vcproj,
	  vc9_lame_clients.sln, vc9_lame_dll.vcproj,
	  vc9_lame_dll_example.vcproj, vc9_lame_dshow.vcproj,
	  vc9_lame_lame.vcproj, vc9_lame_mp3x.vcproj,
	  vc9_libmp3lame.vcproj, vc9_libmp3lame_dll.vcproj,
	  vc9_mpglib.vcproj:

	VC9 Solution files

2008-02-15 01:27  robert

	* Dll/BladeMP3EncDLL.c:

	use new API function for LAME-tag frame update

2008-02-15 00:23  robert

	* libmp3lame/VbrTag.c:

	let the dummy Xing frame have a valid mp3 sync word

2008-02-10 18:38  robert

	* libmp3lame/id3tag.c, include/lame.def, include/lame.h:

	fixes:
	id3tag.c - some block scope missing
	lame.h, lame.def: - some exported function was missing

2008-02-10 17:35  robert

	* frontend/main.c, include/lame.def, include/lame.h,
	  libmp3lame/VbrTag.c, libmp3lame/VbrTag.h, libmp3lame/id3tag.c,
	  libmp3lame/lame.c, libmp3lame/lame_global_flags.h,
	  libmp3lame/set_get.c, libmp3lame/version.h:

	Adding some new API functions
	- to en-/dis- able automatic ID3 tag writing into audio stream (default on):

	  void CDECL lame_set_write_id3tag_automatic(lame_global_flags * gfp, int);
	  int CDECL lame_get_write_id3tag_automatic(lame_global_flags const* gfp);

	- to query ID3 tags into a buffer:

	  size_t CDECL lame_get_id3v1_tag(
	        lame_global_flags * gfp, unsigned char* buffer, size_t size);
	  size_t CDECL lame_get_id3v2_tag(
	        lame_global_flags * gfp, unsigned char* buffer, size_t size);

	- to query the final Xing/LAME tag frame into a buffer:
	  size_t CDECL lame_get_lametag_frame(
	        const lame_global_flags *, unsigned char* buffer, size_t size);

	Those new functions allow to encode a complete input file into RAM first,
	before writing it into a file/socket/whatever...

2008-02-03 14:28  robert

	* libmp3lame/psymodel.c:

	VBRPSY: don't use ATH in 'additive masking' function

2008-01-09 20:46  rbrito

	* debian/: changelog, compat, control, rules:

	Updated the Debian packaging.

2008-01-06 16:46  robert

	* libmp3lame/: lame.c, quantize.c:

	VBR-NEW can be mixed with free format now. The result will be a free format
	stream using VBR-NEW quantization routine.

	note: following free format bitrates are maximum bitrates which make sense:
	samplerate:   8  11  12  16  22  24  32  44  48
	kbps        109 151 164 218 301 327 435 600 640(652)

	Using the maximum bitrate one may look and see how the VBR code behaves
	when the bitrate pressure is lowered to the theoretical minimum, like:
	  lame -V0 -b600 --freeformat x.wav x.mp3

2008-01-03 00:03  aleidinger

	* configure:

	regenerate with autoconf 2.61

2008-01-03 00:02  aleidinger

	* Makefile.in, ACM/Makefile.in, ACM/ADbg/Makefile.in,
	  ACM/ddk/Makefile.in, ACM/tinyxml/Makefile.in, Dll/Makefile.in,
	  debian/Makefile.in, doc/Makefile.in, doc/html/Makefile.in,
	  doc/man/Makefile.in, dshow/Makefile.in, frontend/Makefile.in,
	  include/Makefile.in, libmp3lame/Makefile.in,
	  libmp3lame/i386/Makefile.in, libmp3lame/vector/Makefile.in,
	  mac/Makefile.in, misc/Makefile.in, mpglib/Makefile.in:

	regenerate with automake 1.10

2008-01-03 00:01  aleidinger

	* aclocal.m4:

	update with stuff from more recent autotools

2008-01-03 00:00  aleidinger

	* ltmain.sh:

	update to a libtool 1.5.24 version

2008-01-02 23:58  aleidinger

	* configure.in:

	After installing sndfile:
	 - fix SNDFILE_xxx

	Give a better failure description for some errors (sizeof check).

	If there are intXX_t but no uintXX_t, use the intXX_t with "unsigned" instead
	of trying to find the right K&R-C integral type.

	Use macho as the format type for NASM on OSX, but disable the nasm use by
	default there, as there seems to be a problem with the nasm code on OSX.

2008-01-02 22:00  aleidinger

	* configure.in:

	- If SNDFILE_xxx are defined and the fileio is sndfile, then assume the
	  user is knowing what he does (some systems don't have pkg-config but
	  have sndfile).
	- Fix the problem case where SNDFILE_CFLAGS has spaces at the beginning.

2008-01-02 20:30  robert

	* libmp3lame/id3tag.c:

	fix for tracker item: [ 1861450 ] TLEN tag fixed on encode from stdin with ID3v2 tags

2007-12-26 22:04  robert

	* ACM/ACMStream.cpp, Dll/BladeMP3EncDLL.c:

	removing obsolete function calls

2007-12-26 13:12  robert

	* Makefile.MSVC, frontend/parse.c, include/lame.h,
	  libmp3lame/encoder.c, libmp3lame/lame.c,
	  libmp3lame/lame_global_flags.h, libmp3lame/presets.c,
	  libmp3lame/psymodel.c, libmp3lame/psymodel.h,
	  libmp3lame/quantize.c, libmp3lame/quantize_pvt.c,
	  libmp3lame/set_get.c, libmp3lame/set_get.h, libmp3lame/util.h:

	removing dead code

2007-12-25 16:15  robert

	* libmp3lame/vbrquantize.c:

	some small code simplification

2007-12-25 00:16  robert

	* libmp3lame/: presets.c, psymodel.c:

	clean code from obsolete branches

2007-12-24 16:00  robert

	* frontend/parse.c, libmp3lame/lame.c, libmp3lame/psymodel.c,
	  libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	  libmp3lame/set_get.c, libmp3lame/takehiro.c, libmp3lame/util.h,
	  libmp3lame/vbrquantize.c:

	- removing legacy ISO quantization code
	- vbr-new now has only two -qx settings left: q0 and q5
	- vbr-new can't use legacy GPSYCHO anymore

	TODO:
	+ remove legacy GPSYCHO code, as we don't use it anymore
	+ remove superflouos psy-model selection switches
	+ remove superflouos psy-model configuration switches like --cwlimit

2007-12-20 14:44  robert

	* libmp3lame/vbrquantize.c:

	in rare cases, where one channel is completely zero, some illegal "scalefactor
	selection info" might be used in VBR-NEW. fixed

2007-12-17 20:54  robert

	* doc/html/history.html:

	fixing typo

2007-12-17 00:08  robert

	* libmp3lame/vbrquantize.c:

	fixing typo

2007-12-16 17:56  robert

	* doc/html/history.html, libmp3lame/psymodel.c:

	disabling the use of the "interchannel masking feature" in dual-channel case

2007-12-16 17:18  robert

	* libmp3lame/: psymodel.c, vbrquantize.c:

	VBR-NEW:
	-quantization: another "out of bits" strategy
	-psymodel: dropped "inter channel effect", because the effect doesn't save
	 many bits, but raises the chance of annoying artefacts a lot.

2007-12-14 02:52  robert

	* libmp3lame/psymodel.c:

	found new test sample SNAPS which needs some more short blocks

2007-12-09 22:47  robert

	* libmp3lame/: encoder.c, lame.c, presets.c, psymodel.c,
	  psymodel.h, quantize_pvt.c, util.h:

	merger from test branch:
	- features a new psy model, a modification from NSPSY

	VBR NEW uses the new psy model, unless you call lame with --nspsytune, or
	the developer only switch --psymodel x, with x in {1,2}

	features of the new psy model:
	- speed: it does determine the resulting block type before doing the fft
	  and other psy stuff and will calc long/short blocks only as necessary
	- interchannel masking effect: it will be calculated after the mid-side fix
	  and it's working on convolution bands, instead of scalefactor bands
	- mid-side fix: calculated on convolution bands, instead of sf bands
	- mask_adjust feature: it's now used earlier in the convolution calculation

2007-12-09 17:06  robert

	* libmp3lame/psymodel.c (rh0710_test):

	some fixes, ie. the short block pre-echo control was applied twice

2007-12-08 23:27  robert

	* libmp3lame/: encoder.c, lame.c, presets.c, psymodel.c,
	  psymodel.h, quantize_pvt.c, util.h (rh0710_test):

	modified psy model for vbr-new

2007-11-26 00:14  robert

	* Makefile.unix, frontend/get_audio.c, frontend/parse.c,
	  libmp3lame/psymodel.c, libmp3lame/vbrquantize.c:

	psymodel.c:
	- bug fix in init_numlines: it returned sometimes a too large npart_[sl]
	- fixing some more compiler warnings
	get_audio.c:
	- some fix in error-report in case of unsupported input format

2007-11-25 23:38  robert

	* Makefile.unix, libmp3lame/presets.c, libmp3lame/psymodel.c,
	  libmp3lame/quantize.c, libmp3lame/quantize_pvt.h,
	  libmp3lame/util.h, libmp3lame/vbrquantize.c (rh0710_test):

	re-tuning

2007-11-21 21:30  robert

	* libmp3lame/: quantize.c, quantize_pvt.h:

	bug fix for bin_search_StepSize. It returned illegal values, leading to
	assertion failures in fast encoding mode, which only adjusts global step size.

2007-11-12 10:46  robert

	* libmp3lame/: psymodel.c, util.h, vbrquantize.c (rh0710_test):

	- inter channel masking now on convolution bands
	- mid/side fix now on convolution bands

2007-11-08 01:13  robert

	* Makefile.unix, frontend/parse.c, libmp3lame/psymodel.c,
	  libmp3lame/quantize_pvt.c (rh0710_test):

	moving masking_lower adjustment into psymodel.c (for vbr-new)

2007-11-03 14:04  robert

	* frontend/get_audio.c, libmp3lame/presets.c, libmp3lame/psymodel.c
	  (rh0710_test):

	limiting the sandpaper-noise hack to the minval range (ca. 1.2 kHz)

2007-11-01 20:28  robert

	* doc/man/lame.1, frontend/get_audio.c, frontend/parse.c
	  (rh0710_test):

	adding main branch fixes

2007-11-01 19:52  robert

	* frontend/get_audio.c:

	enabling --signed / --unsigned switches for 8 bit raw pcm input data

2007-11-01 19:25  robert

	* frontend/: get_audio.c, parse.c:

	[ 1823881 ] lame 3.97 produces complete garbage
	now invalid WAV/AIFF files are rejected, instead of trying to encode them as
	raw pcm files.

2007-11-01 19:23  robert

	* doc/man/lame.1:

	[ 1158193 ] Man page doesn't tell about stereo format in raw
	[ 1158253 ] Data format is not described in the manpage
	added some info to manpage

2007-11-01 19:16  robert

	* libmp3lame/lame.c:

	bitrate_index may have been uninitialized under some rare circumstances

2007-10-25 01:59  robert

	* libmp3lame/lame.c (rh0710_test):

	fixing some bad initialed value gfc->bitrate_index

2007-10-24 02:04  robert

	* libmp3lame/psymodel.c:

	back to the roots. Maybe I'll branch from here

2007-10-23 23:23  robert

	* libmp3lame/vbrquantize.c:

	turn of scalefac scale feature

2007-10-23 02:46  robert

	* libmp3lame/psymodel.c:

	yeah, ok it's C and not C++
	open block scope for local variable

2007-10-23 02:31  robert

	* libmp3lame/: psymodel.c, vbrquantize.c:

	dropping Naoki's idea of "simultaneous masking addition" for the newer VBR code
	for now

2007-10-22 12:00  robert

	* libmp3lame/: presets.c, psymodel.c:

	re-establishing previous mask adjustments

2007-10-21 00:45  robert

	* libmp3lame/: lame.c, presets.c, psymodel.c, quantize.c,
	  version.h:

	recalibration of VBR new's compression level settings, because of recent bug fixes

2007-10-19 00:10  robert

	* Makefile.unix:

	moving GTK config script to MP3x target compilation, it's not needed outside MP3x

2007-10-18 02:54  robert

	* frontend/get_audio.c:

	seems, VC compiler doesn't like redundant semicolon, fixed

2007-10-18 02:09  robert

	* libmp3lame/: machine.h, psymodel.c, quantize.c, set_get.c:

	PSY: the newer vbr code uses tonalality estimation from long blocks for short blocks

2007-10-16 01:07  robert

	* doc/html/history.html, frontend/get_audio.c:

	Fix for bugtracker item: [ 1813496 ] AIFF parsing bug

2007-10-14 20:18  robert

	* frontend/get_audio.c, libmp3lame/id3tag.h, libmp3lame/util.c:

	some more compiler and compiler-warning fixes

2007-10-14 19:54  robert

	* frontend/get_audio.c, frontend/get_audio.h, frontend/mp3x.c,
	  frontend/parse.c, frontend/portableio.c, include/lame.h,
	  libmp3lame/bitstream.c, libmp3lame/id3tag.c, libmp3lame/lame.c,
	  libmp3lame/quantize.c, libmp3lame/quantize_pvt.c,
	  libmp3lame/set_get.c, libmp3lame/takehiro.c, libmp3lame/util.c,
	  libmp3lame/vector/xmm_quantize_sub.c:

	eliminating some of the several hundred compiler warnings

2007-10-14 14:16  robert

	* doc/html/history.html:

	updating history to latest changes:
	- bug fix scalefactor selection in vbr new code
	- feature added: WAVE_FORMAT_EXTENSIBLE

2007-10-14 13:33  robert

	* frontend/get_audio.c:

	feature request [ 1811483 ] WAVE_FORMAT_EXTENSIBLE support

	We still support PCM wave files only with our little wave reader,
	it is just that we now accept them when written in wave format extensible.

2007-10-13 20:34  robert

	* libmp3lame/vbrquantize.c:

	Bug-fix: the quantization-find-routine could under some circumstances return
	some way too large quantization step size. For example, the song Piku from
	The Chemical Brothers had almost 550 scalefactors wrong. For most songs this
	fix makes no difference.

2007-10-08 20:59  robert

	* frontend/brhist.c:

	replaced variable 'lines' by 'lines_used', because term.h has some macro
	definition for 'lines'.

2007-09-29 19:17  robert

	* libmp3lame/vbrquantize.c:

	- Removing dead code.
	- Avoiding unnecessary search for quantization step sizes. This speeds-up lower quality encodings.
	  If energy is below masking threshold, the resulting step size will be at 255. So no need to search what we already know.

2007-08-29 13:44  aleidinger

	* configure:

	regen

2007-08-29 13:43  aleidinger

	* configure.in:

	Don't change the include/library path, if there's no corresponding soundfile
	path set.

	This is supposed to fix the compile problem with soundfile RogÃ©rio sees on
	Debian.

2007-08-20 21:54  robert

	* Makefile.MSVC:

	removing duplicate target_dir references

2007-08-12 18:30  robert

	* Makefile.MSVC:

	let targets link against multi threaded C-library

2007-08-12 00:07  robert

	* doc/html/history.html, libmp3lame/vbrquantize.c,
	  libmp3lame/version.h:

	small speedup in VBR NEW

	we are now at 3.98 beta 5, a release candidate for 3.98 stable?

2007-08-11 23:06  robert

	* testcase.mp3:

	updating "testcase.mp3" for LAME 3.98 beta 5

2007-08-11 21:44  robert

	* libmp3lame/psymodel.c:

	Short block masking: the CBR/ABR code seems to rely on the old masking definition. The VBR NEW code on the other hand needs the lowered masking.

2007-07-30 06:51  aleidinger

	* ChangeLog:

	Add the changelog for the last ~10 months.

2007-07-30 06:39  aleidinger

	* configure:

	regen with autoconf 2.61

2007-07-30 06:37  aleidinger

	* configure.in:

	oops, previous fix for the gcc version pattern matching was wrong...

2007-07-30 06:30  aleidinger

	* configure.in:

	- fix the pattern matching for the gcc version check
	- improve the optimization stuff for gcc 4.x

2007-07-30 06:28  aleidinger

	* config.h.in:

	regen with autoconf 2.61

2007-07-30 06:28  aleidinger

	* Makefile.in, aclocal.m4, ACM/Makefile.in, ACM/ADbg/Makefile.in,
	  ACM/ddk/Makefile.in, ACM/tinyxml/Makefile.in, Dll/Makefile.in,
	  debian/Makefile.in, doc/Makefile.in, doc/html/Makefile.in,
	  doc/man/Makefile.in, dshow/Makefile.in, frontend/Makefile.in,
	  include/Makefile.in, libmp3lame/Makefile.in,
	  libmp3lame/i386/Makefile.in, libmp3lame/vector/Makefile.in,
	  mac/Makefile.in, misc/Makefile.in, mpglib/Makefile.in:

	regen with automake 1.10

2007-07-29 22:46  robert

	* doc/html/history.html:

	adding latest bug fixes to history

2007-07-29 22:07  robert

	* ACM/ADbg/ADbg.dsp, frontend/lame_vc6.dsp, dshow/dshow.dsp,
	  include/lame.def, lame_vc6.dsw, ACM/lameACM_vc6.dsp,
	  Dll/LameDll_vc6.dsp, ACM/tinyxml/tinyxml.dsp,
	  frontend/mp3x_vc6.dsp, libmp3lame/libmp3lame_dll_vc6.dsp,
	  libmp3lame/libmp3lame_vc6.dsp, mpglib/mpglib_vc6.dsp:

	updating VC6 project files

	from MSDN: DLLs should be linking against multi-threaded MS VC rountime library

2007-07-29 16:02  robert

	* Dll/: BladeMP3EncDLL.c, BladeMP3EncDLL.h:

	Fixing a possible resource leak

2007-07-28 12:48  aleidinger

	* configure:

	regen (new LAME version)

2007-07-28 00:41  robert

	* frontend/get_audio.c:

	task tracker item [ 1445175 ] Input being stdin fails in Windows on WAV files
	and item [ 1576370 ] Fix for piping in a non PCM file via stdin under Windows

	The workaround tests the actual file descriptor being a pipe or not.
	In case being a pipe, the number of bytes to skip are simply read.

2007-07-27 08:49  bouvigne

	* README:

	3.98

2007-07-24 17:46  bouvigne

	* frontend/brhist.c, frontend/brhist.h, frontend/get_audio.c,
	  frontend/get_audio.h, frontend/gpkplotting.c,
	  frontend/gpkplotting.h, frontend/gtkanal.c, frontend/gtkanal.h,
	  frontend/lametime.c, frontend/lametime.h, frontend/main.c,
	  frontend/main.h, frontend/parse.c, frontend/timestatus.c,
	  frontend/timestatus.h, include/lame.h, libmp3lame/VbrTag.c,
	  libmp3lame/VbrTag.h, libmp3lame/bitstream.c,
	  libmp3lame/bitstream.h, libmp3lame/encoder.c,
	  libmp3lame/encoder.h, libmp3lame/fft.h, libmp3lame/id3tag.c,
	  libmp3lame/l3side.h, libmp3lame/lame-analysis.h,
	  libmp3lame/lame.c, libmp3lame/machine.h,
	  libmp3lame/mpglib_interface.c, libmp3lame/newmdct.c,
	  libmp3lame/newmdct.h, libmp3lame/presets.c,
	  libmp3lame/psymodel.c, libmp3lame/psymodel.h,
	  libmp3lame/quantize.c, libmp3lame/quantize.h,
	  libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	  libmp3lame/reservoir.c, libmp3lame/reservoir.h,
	  libmp3lame/set_get.c, libmp3lame/set_get.h, libmp3lame/tables.c,
	  libmp3lame/tables.h, libmp3lame/takehiro.c, libmp3lame/util.c,
	  libmp3lame/util.h, libmp3lame/vbrquantize.c,
	  libmp3lame/vbrquantize.h, libmp3lame/version.c,
	  libmp3lame/version.h, libmp3lame/vector/lame_intrin.h,
	  libmp3lame/vector/xmm_quantize_sub.c:

	Library GPL -> Lesser GPL

2007-07-24 15:26  robert

	* frontend/: get_audio.c, parse.c:

	bug item [ 1160757 ] --big-endian and --little-endian don't work with -m s -a
	and item [ 1160741 ] --big-endian and --little-endian are swapped

	the --big-endian/--little-endian switches do now work with our minimal
	wave and pcm reader too.

	The problems reported in the above bug tracker items should be solved now

2007-07-22 18:49  robert

	* libmp3lame/lame.c:

	bug fix: [ 1746336 ] Incorrect Bitrate with ABR und --resample, LAME 3.98b4

	There was a typo in patch Revision 1.294 "restrict mpeg 2.5 to 64kbps"
	which set the average bitrate up to the maximum allowed bitrate.

2007-07-20 23:23  robert

	* libmp3lame/bitstream.c:

	fixing task tracker item: [ 1755981 ] Percent signs in print format not escaped

2007-07-16 20:06  bouvigne

	* include/lame.h:

	gpl -> lgpl (we forgot about it a long time ago)

2007-07-10 21:05  robert

	* dshow/Property.rc:

	updating version info

2007-07-01 20:05  robert

	* mpglib/: common.c, common.h, interface.c, layer1.c, layer2.c,
	  layer2.h, mpg123.h:

	we will always use Layer1 and 2 decoding

2007-07-01 16:17  robert

	* doc/html/history.html:

	word wrapping fixed

2007-07-01 16:16  robert

	* doc/html/history.html:

	adding latest changes for Task tracker item [ 1719593 ] and [ 1742623 ]

2007-07-01 14:39  robert

	* frontend/: get_audio.c, get_audio.h, gtkanal.c, main.c, parse.c:

	trying to fix Bugs item #1742623

2007-06-30 17:14  robert

	* USAGE, frontend/parse.c, include/lame.h, libmp3lame/id3tag.c:

	bug fix: [ 1719593 ] Track numbers > 255 not allowed even with --id3v2-only

2007-06-27 21:23  robert

	* configMS.h, configure.in:

	changing version number 3.97 to 3.98

2007-06-27 21:22  robert

	* include/lame.def:

	adding newly id3tag functions to DLL export definition

2007-06-26 01:33  robert

	* libmp3lame/VbrTag.c:

	I missed the swapped arguments in the patch by Jonathan Stott, now fixed.

2007-06-26 00:57  robert

	* doc/html/contributors.html, doc/html/history.html,
	  libmp3lame/VbrTag.c, libmp3lame/lame.c:

	Patch by Jonathan Stott:

	Bug tracker items: [ 1590693 ] ID3v2 tag not writing, [ 1636267 ] ID3v2 tags overwritten
	      If the output file is opened 'write-only', then LAME can't update the LAME tag.
	      In this case LAME silently overwrote the first bytes of the file and an
	      optional ID3v2 tag disappeared. Now an error message will be printed and
	      no data is written in this case.

2007-06-23 18:43  robert

	* libmp3lame/: id3tag.c, util.c, util.h:

	fixing another possible memory leak

2007-06-23 17:39  robert

	* frontend/main.c, frontend/parse.c, libmp3lame/id3tag.c,
	  libmp3lame/id3tag.h, libmp3lame/util.c, libmp3lame/version.h:

	Some simplifications on ID3 tag usage:
	- specifying an unlisted ID3v1 genre does not count as an error anymore, it is mapped to "Other" and passed as-is to an ID3v2 genre tag
	- an ID3 track argument is passed directly to an ID3v2 TRCK tag, allowing for example "002/012"

2007-06-23 15:16  robert

	* libmp3lame/: id3tag.c, util.c:

	Now ID3 tag are local copies of given parameters. This allows to pass strings located on the program stack and you don't have to think about the lifetime of your strings you pass as arguments.

2007-06-23 13:27  robert

	* libmp3lame/util.c:

	Bug fix: Nyaochi's "ID3v2 extension" patches introduced some memory leaks

2007-06-04 22:31  robert

	* doc/html/history.html:

	ups: moved history entry "TLEN bug" up into correct list

2007-06-04 22:25  robert

	* doc/html/history.html:

	added: bugfix TLEN computation

2007-06-04 22:04  robert

	* libmp3lame/id3tag.c:

	bug fix: [ 1730875 ] TLEN calculation wrong
	fixing the calculation of "playlength in ms" written into the ID3v2 tag TLEN

2007-05-25 03:38  robert

	* libmp3lame/vbrquantize.c:

	VBR_NEW: more tuned 'out of bits' strategy

2007-05-24 13:26  bouvigne

	* doc/html/contributors.html, doc/html/history.html,
	  doc/html/id3.html, doc/man/lame.1, frontend/parse.c:

	support for total tracks count in the frontend (id3 tags)

2007-05-24 13:10  bouvigne

	* libmp3lame/id3tag.c:

	adding a total track count should add an id3 V2 tag

2007-05-24 12:58  bouvigne

	* doc/html/history.html, doc/html/id3.html, frontend/main.c,
	  frontend/parse.c, frontend/parse.h, include/lame.h,
	  libmp3lame/id3tag.c, libmp3lame/id3tag.h:

	Albumart (APIC ID3v2.3 frame) patch by Nyaochi

2007-05-24 12:29  bouvigne

	* doc/html/contributors.html, doc/html/history.html,
	  doc/html/id3.html, frontend/parse.c, include/lame.h,
	  libmp3lame/id3tag.c, libmp3lame/id3tag.h:

	Ability to set user-defined ID3v2.3 frame (patch from Nyaochi)

2007-05-23 14:44  bouvigne

	* doc/html/: contributors.html, history.html, index.html:

	Updated history

2007-05-22 10:10  robert

	* libmp3lame/: quantize.c, quantize_pvt.c, version.h:

	ok, now the real bug fix, forget the last commit:
	the ABR routine did not apply format specific bitrate constrains when allocating bits; now it does

2007-05-22 08:39  robert

	* libmp3lame/: quantize.c, quantize_pvt.c:

	bug fix: reduce side was given a too large 'max bits' parameter, resulting in assertion aborts

2007-05-21 22:20  robert

	* libmp3lame/: lame.c, util.c, util.h:

	bug fix for feature request:
	"adjust user min/max bitrate if outside of allowed range (ex: -V9 -B320)
	Requested by Benski"

	Some input files with unusual sample frequencies couldn't be encoded at CBR anymore, no matter what resample/bitrate options where passed to LAME.
	(Testsample: FX319.WAV)

2007-05-20 18:07  robert

	* libmp3lame/: quantize.c, quantize_pvt.c, util.h, vbrquantize.c,
	  version.h:

	VBR_NEW: 'out of bits' situation improved

2007-05-17 22:25  robert

	* ACM/ACM.cpp, libmp3lame/VbrTag.c:

	Bugs item #1693461: fixing memory leaks in LAME ACM

2007-05-16 02:43  robert

	* libmp3lame/version.h:

	we are now at 3.98 beta 1 (of many more to come)

2007-05-16 01:30  robert

	* frontend/parse.c, libmp3lame/lame.c,
	  libmp3lame/lame_global_flags.h, libmp3lame/psymodel.c,
	  libmp3lame/quantize_pvt.c, libmp3lame/set_get.c,
	  libmp3lame/util.h, libmp3lame/vbrquantize.c:

	- some code clean-up
	- bug fix: in rare cases 'on_pe' returned target bits violating the 4095 bit
	  maximum constrain for a granule
	- VBR-NEW: modified strategy to handle 'out of bits' cases

2007-05-13 18:31  robert

	* libmp3lame/: VbrTag.c, bitstream.c, bitstream.h, encoder.c,
	  id3tag.c, lame_global_flags.h, util.h, version.h:

	bug fix: [ 1711980 ] LAME writes invalid Xing header when ID3 tags exist

2007-03-12 21:56  bouvigne

	* libmp3lame/util.c:

	adjust user min/max bitrate if outside of allowed range (ex: -V9 -B320)

	Requested by Benski

2007-01-13 18:02  robert

	* libmp3lame/util.h:

	bug fix.
	bug tracker entry: [ 1634092 ] encoder.c doesn't compile with --disable-brhist

2007-01-13 17:58  robert

	* libmp3lame/: encoder.c, lame.c:

	bug fix.
	bug tracker entry: [ 1634092 ] encoder.c doesn't compile with --disable-brhist

2007-01-09 23:10  robert

	* Makefile.unix:

	adding vector/xmm_quantize_sub.c

2007-01-09 22:24  bouvigne

	* libmp3lame/libmp3lame_vc8.vcproj:

	directory x86_64 -> vector

2007-01-09 12:02  aleidinger

	* libmp3lame/: lame.c, mpglib_interface.c, psymodel.c:

	fix the easy warnings

2007-01-09 10:31  aleidinger

	* libmp3lame/quantize.c:

	include the right intrinsics header and only if we need it

2007-01-09 10:29  aleidinger

	* Makefile.MSVC:

	use the code in the vector directory

2007-01-09 10:25  aleidinger

	* Makefile.in, ACM/Makefile.in, ACM/ADbg/Makefile.in,
	  ACM/ddk/Makefile.in, ACM/tinyxml/Makefile.in, Dll/Makefile.in,
	  debian/Makefile.in, doc/Makefile.in, doc/html/Makefile.in,
	  doc/man/Makefile.in, dshow/Makefile.in, frontend/Makefile.in,
	  include/Makefile.in, libmp3lame/Makefile.in,
	  libmp3lame/i386/Makefile.in, mac/Makefile.in, misc/Makefile.in,
	  mpglib/Makefile.in, configure:

	regen

2007-01-09 10:23  aleidinger

	* libmp3lame/i386/Makefile.am:

	the quoting does not work out as expected, remove it

2007-01-09 10:22  aleidinger

	* libmp3lame/: lame.c, quantize.c:

	remove the CPUCCODE check, it is not needed anymore

2007-01-09 10:21  aleidinger

	* config.h.in:

	regen

2007-01-09 10:20  aleidinger

	* configure.in:

	Use the vector lib on amd64 and x86.

	This only works with gcc when -msse is specified in CFLAGS at configure
	time. Currently I get a sigbus with gcc 3.4.6 with the vector lib.

	Remove the HAVE_GTK define, it is not used anymore.

2007-01-09 10:18  aleidinger

	* libmp3lame/Makefile.am:

	add the vector lib and remove the x86_64 part

2007-01-09 10:15  aleidinger

	* libmp3lame/vector/: Makefile.am, Makefile.in, lame_intrin.h,
	  xmm_quantize_sub.c:

	this is a copy of the x86_64 parts with modified automake stuff

2007-01-07 21:28  robert

	* Makefile.MSVC:

	do not build legacy BLame DLL on make target all

2007-01-07 20:00  aleidinger

	* libmp3lame/i386/Makefile.in:

	regen

2007-01-07 20:00  aleidinger

	* libmp3lame/i386/Makefile.am:

	fftsse.nas is used now.

2007-01-07 18:03  robert

	* lame_vc6.dsw, frontend/lame_vc6.dsp, frontend/mp3x_vc6.dsp,
	  libmp3lame/libmp3lame_dll_vc6.dsp, libmp3lame/libmp3lame_vc6.dsp,
	  mpglib/mpglib_vc6.dsp:

	VC6 project files updated, added project to generate Libmp3lame-dynamic.lib/dll

2007-01-07 14:51  robert

	* Makefile.MSVC:

	Makefile with some basic Libmp3lame-dynamic.lib generation ability

2007-01-07 14:31  robert

	* include/lame.def:

	export definition for Libmp3lame-dynamic.lib

2007-01-07 14:30  robert

	* libmp3lame/fft.c, Makefile.unix, frontend/parse.c,
	  include/lame.h, libmp3lame/lame.c, mpglib/mpg123.h:

	adding FFTSSE assembler code to the HAVE_NASM conditional code

2007-01-07 14:28  robert

	* .cvsignore, lame_clients_vc6.dsw, frontend/.cvsignore:

	collecting all LAME client projects in lame_clients_vc6.dsw workspace.

2007-01-07 14:24  robert

	* dshow/: dshow.dsp, README:

	DirectShow Filter links against Libmp3lame-dynamic.lib now

2007-01-07 14:23  robert

	* Dll/LameDll_vc6.dsp:

	BLAME DLL links against Libmp3lame-dynamic.lib now

2007-01-07 14:21  robert

	* ACM/: lameACM_vc6.dsp, ADbg/ADbg.dsp, tinyxml/tinyxml.dsp:

	ACM links against Libmp3lame-dynamic.lib now

2006-12-28 21:56  robert

	* Dll/BladeMP3EncDLL.c:

	we are now at 3.98a11

2006-12-28 21:49  robert

	* dshow/dshow.dsp:

	we are now at 3.98a11

2006-12-28 21:44  robert

	* libmp3lame/version.h:

	we are now at 3.98a11

2006-12-28 21:41  robert

	* doc/html/history.html:

	update history

2006-12-28 20:41  robert

	* dshow/: Encoder.cpp, Encoder.h, Property.rc, dshow.dsp,
	  dshow.dsw:

	DirectShow filter uses LAME Library API now

2006-12-27 22:19  robert

	* libmp3lame/reservoir.c:

	small change in the bitreservoir handling, enable the old
	--strictly-enforce-ISO switch again

2006-12-27 22:09  robert

	* doc/html/history.html:

	updating history entries

2006-12-25 21:37  robert

	* ACM/: ACM.cpp, ACM.h, ACMStream.cpp, ACMStream.h,
	  AEncodeProperties.cpp, DecodeStream.h, acm.rc, lameACM_vc6.dsp,
	  main.cpp:

	some changes, now I can compile the ACM stuff at least

2006-12-25 16:15  robert

	* libmp3lame/reservoir.c:

	relaxing the FhG bitreservoir restriction a little bit:
	at 320 kbps it seems to be possible to use the reservoir if we limit it to almost the size of bits used for sideinfo

2006-12-21 09:15  aleidinger

	* Makefile.in, ACM/Makefile.in, Dll/Makefile.in,
	  debian/Makefile.in, doc/Makefile.in, dshow/Makefile.in,
	  frontend/Makefile.in, ACM/ADbg/Makefile.in, include/Makefile.in,
	  libmp3lame/Makefile.in, mac/Makefile.in, misc/Makefile.in,
	  mpglib/Makefile.in, ACM/ddk/Makefile.in, ACM/tinyxml/Makefile.in,
	  doc/html/Makefile.in, doc/man/Makefile.in,
	  libmp3lame/i386/Makefile.in, configure:

	regen

2006-12-21 09:14  aleidinger

	* libmp3lame/Makefile.am:

	Handle CPU specific C code in a generic way.

2006-12-21 09:09  aleidinger

	* libmp3lame/i386/Makefile.am:

	Quote some parts in case directory names contain spaces.

2006-12-21 09:07  aleidinger

	* aclocal.m4, config.h.in:

	regen

2006-12-21 09:04  aleidinger

	* configure.in:

	Additional stuff for x86_64. First cut...

2006-12-21 09:03  aleidinger

	* acinclude.m4:

	Properly quote some parts according to the new rules auf aclocal.

2006-12-21 09:00  aleidinger

	* libmp3lame/: lame.c, quantize.c:

	On x86 we also have the xmmintrin header, but we don't use such code there.
	So not only check for the header, but also for a CPUCCODE define. This may
	be refined later depending on further inline C code showing up or not.

2006-12-21 02:18  robert

	* libmp3lame/: machine.h, version.h:

	we are now at patch level 10

2006-12-21 02:17  robert

	* libmp3lame/psymodel.c:

	fixing some divide by zero error

2006-12-20 00:17  robert

	* frontend/: get_audio.c, parse.c:

	let LAME be more strict when it comes to unrecognized program options or unsupported input file formats

2006-12-19 18:50  bouvigne

	* libmp3lame/libmp3lame_vc8.vcproj:

	include paths

2006-12-19 01:23  robert

	* frontend/parse.c:

	add some help text entries

2006-12-19 01:23  robert

	* libmp3lame/lame.c:

	disabling temporal masking effect by default for vbr-mtrh, it works against other tunings in this mode

2006-12-18 23:11  robert

	* libmp3lame/psymodel.c:

	fixing some index problems in convolution loops

2006-12-17 23:21  robert

	* libmp3lame/version.h:

	we are at 3.98 alpha 9

2006-12-17 21:16  robert

	* libmp3lame/psymodel.c:

	fixing two possible out of range index errors accessing fftenergy array
	for GPSYCHO too

2006-12-17 20:53  robert

	* libmp3lame/: psymodel.c, util.h:

	fixing two possible out of range index errors accessing fftenergy array

	convert partition to scalefac:
	as we replaced ISO tables with own calculations we forgot to add proper
	weightening for the convolution band where the transition from one scalefactor
	to th next scalefactor happens. Now added.

2006-12-17 20:49  robert

	* libmp3lame/bitstream.c:

	assert didn't match valid input range: bitrate 8 - 640 kbps

2006-12-15 22:16  robert

	* libmp3lame/version.h:

	we are now at 3.98 alpha 8

2006-12-15 22:15  robert

	* libmp3lame/psymodel.c:

	2 bug fixes
	a) in some cases we did access uninitialized data in conversion from partition bands to scalefac bands
	b) in nsspy-code the conversion from partition to scalefac bands for short blocks did not match the long block case, nor gpsycho.

2006-12-07 10:50  robert

	* frontend/main.c, libmp3lame/util.c:

	disabling the "process affinity kludge"

2006-11-27 20:28  robert

	* libmp3lame/lame.c:

	- removed unused function parameter nVbrScale in function PutVbrTag

2006-11-20 20:02  robert

	* libmp3lame/: VbrTag.c, VbrTag.h:

	- removed unused function parameter nVbrScale in function PutVbrTag
	- reduced compilation warnings

2006-11-15 02:25  robert

	* libmp3lame/lame.c:

	bug fix: [ 1596306 ] lame 3.97: "fatal error during initialization" with this wav

	an invalid MPEG samplerate was returned by optimum_samplefreq function

2006-11-15 02:21  robert

	* Makefile.MSVC, libmp3lame/quantize.c:

	fixing compile problem with quantize_sub.c

2006-11-12 11:44  bouvigne

	* doc/html/history.html:

	history

2006-11-11 17:58  bouvigne

	* libmp3lame/: libmp3lame_vc8.vcproj, quantize.c:

	intrinsics functions are now in a separate directory (as in v4)

2006-11-11 17:32  bouvigne

	* frontend/mp3x_vc8.vcproj:

	bring back mp3x to life (vc8)

2006-11-11 17:14  bouvigne

	* README.WINGTK, lame_vc8.sln, Dll/LameDll_vc8.vcproj,
	  frontend/lame_vc8.vcproj, libmp3lame/libmp3lame_vc8.vcproj,
	  mpglib/mpglib_vc8.vcproj:

	bring back mp3x to life (vc8)

2006-11-08 01:53  robert

	* frontend/: get_audio.c, main.c, main.h, parse.c:

	feature request: [ 1588283 ] Flushing output stream in lame.exe

	'flush' option added

2006-11-07 01:35  robert

	* libmp3lame/: gain_analysis.c, id3tag.c, lame_global_flags.h,
	  util.c:

	fixing some compiler warnings, removing some unused lame_global_flags elements

2006-11-07 00:36  robert

	* libmp3lame/lame.c, libmp3lame/lame_global_flags.h,
	  libmp3lame/quantize.c, frontend/parse.c, libmp3lame/VbrTag.c,
	  libmp3lame/set_get.c, libmp3lame/util.h:

	removing dead code:
	side channel sparsing didn't work as hoped

2006-11-06 22:39  robert

	* frontend/: brhist.c, get_audio.c, parse.c:

	eliminating some compiler warnings

2006-11-05 18:54  robert

	* frontend/console.c:

	bug tracker item:
	[ 1585942 ] lame not --silent when TERM not set

	in case LAME was build with TERMCAP defined and no TERM environment is
	defined, now we do not issue an error message and silently fallback to the default
	behaviour as if LAME was compiled without TERMCAP defined.

2006-11-05 17:49  robert

	* frontend/timestatus.c:

	include string header file added
	unused variable removed in encoder_progress_end

2006-11-05 16:08  robert

	* frontend/: main.c, timestatus.c, timestatus.h:

	refactoring progress display code out of encoding loop
	it's located in timestatus.c now

	Windows specific:
	fixed parameter type for SetProcessAffinityMask
	Gabriel: do we need similar things for Win64 too?

2006-11-05 13:37  robert

	* frontend/console.c:

	dead code removed

2006-11-05 02:30  robert

	* libmp3lame/libmp3lame_vc8.vcproj:

	using fftsse.nas

2006-11-05 01:55  robert

	* Makefile.MSVC:

	using fftsse.nas

2006-11-04 18:59  robert

	* Makefile.MSVC, Makefile.unix, frontend/parse.c, libmp3lame/fft.c,
	  libmp3lame/lame.c, libmp3lame/version.h,
	  libmp3lame/i386/fft3dn.nas, libmp3lame/i386/fftsse.nas,
	  libmp3lame/i386/nasm.h:

	we are now at patch level 7

	changes in lame frontend switches
	-k removed,
	        call lowpass and highpass if you need to change them
	--short/noshort/allshort - degraded into DEVELOPER ONLY switches
	        normal users shouldn't use them
	-X -Z degraded to DEVELOPER ONLY switches
	        -X is too tough to communicate to end users
	        -Z isn't used actualy

	fft3dnow and fftsse nasm code taken from LAME4 branch
	but not added to the configure stuff/VC project files

2006-10-18 20:29  bouvigne

	* Dll/LameDll_vc8.vcproj:

	added back the .def config

2006-10-05 21:07  bouvigne

	* libmp3lame/lame.c:

	error in a test (noticed by Robert)

2006-09-30 19:55  kylev

	* lame.spec.in:

	we distribute a .gz, not a .bz2, and there really isn't a public URL for the file

2006-09-30 15:35  aleidinger

	* configure.in:

	Only check for sndfile if it is requested.

2006-09-30 15:35  aleidinger

	* Makefile.in, Dll/Makefile.in, frontend/Makefile.in,
	  libmp3lame/Makefile.in, mpglib/Makefile.in, configure:

	regen

2006-09-30 09:17  bouvigne

	* Makefile.am, Dll/Makefile.am, frontend/Makefile.am,
	  libmp3lame/Makefile.am, mpglib/Makefile.am:

	updated the .am files to change vc7 to vc8

2006-09-24 16:17  bouvigne

	* doc/html/history.html:

	updated history

2006-09-23 22:02  bouvigne

	* libmp3lame/version.h (lame3_97):

	3.97 release

2006-09-23 21:46  bouvigne

	* doc/html/history.html:

	release 3.97

2006-09-23 19:30  aleidinger

	* configure:

	regen

2006-09-23 19:29  aleidinger

	* config.h.in, configure.in:

	check for xmmintrin.h

2006-09-23 08:42  bouvigne

	* configMS.h (lame3_97):

	borland config (from main branch)

2006-09-23 08:25  bouvigne

	* Dll/: BladeMP3EncDLL.c (lame3_97), BladeMP3EncDLL.c:

	fix in boolean comparison for Delphi progs (bug #1536751)

2006-09-23 08:01  bouvigne

	* doc/html/: history.html, index.html (lame3_97):

	3.97

2006-09-22 19:18  aleidinger

	* ChangeLog:

	update from CVS history

2006-09-22 18:51  aleidinger

	* configMS.h:

	Borland C seems to follow the lead of MSC.

	Bug ID:	1563522

2006-09-10 14:25  bouvigne

	* frontend/parse.c, libmp3lame/lame.c, libmp3lame/tables.c,
	  libmp3lame/util.c:

	restrict mpeg 2.5 to 64kbps

2006-09-03 15:07  bouvigne

	* lame_vc7.sln, Dll/LameDll_vc7.vcproj, frontend/lame_vc7.vcproj,
	  frontend/mp3x_vc7.vcproj, libmp3lame/libmp3lame_vc7.vcproj,
	  mpglib/mpglib_vc7.vcproj:

	removed unmaintained VC7 project files

2006-08-18 18:22  bouvigne

	* doc/html/history.html, libmp3lame/psymodel.c,
	  libmp3lame/version.h (lame3_97):

	backported the workaround against short block detection issue

2006-08-06 16:44  takehiro

	* libmp3lame/: psymodel.c, tables.c
	  (takehiro-2002_05_07-experimental):

	update ATH adjustment algorithm.
	- if the block type is short, do not use ATH adjustment with equal pressure
	  curve, because the curve is not exact for impulse-like signal.

2006-07-30 13:53  bouvigne

	* configMS.h, libmp3lame/util.c:

	enable SSE code when using x64

2006-07-30 09:51  bouvigne

	* lame_vc8.sln, Dll/LameDll_vc8.vcproj, frontend/lame_vc8.vcproj,
	  libmp3lame/libmp3lame_vc8.vcproj, mpglib/mpglib_vc8.vcproj:

	x64 builds

2006-07-30 09:32  bouvigne

	* Dll/LameDll_vc8.vcproj:

	updated project

2006-07-30 09:11  bouvigne

	* lame_vc8.sln, Dll/LameDll_vc8.vcproj:

	added lame DLL VC8 project

2006-07-14 16:06  bouvigne

	* lame_vc8.sln, frontend/lame_vc8.vcproj,
	  libmp3lame/libmp3lame_vc8.vcproj, mpglib/mpglib_vc8.vcproj:

	VC8 projects

2006-07-14 15:58  bouvigne

	* libmp3lame/psymodel.c:

	slight change in the short block detection safety threshold

2006-06-28 23:05  robert

	* libmp3lame/lame.c:

	full outer loop search disabled because of audible distortions it may generate

2006-06-28 21:05  robert

	* libmp3lame/psymodel.c:

	normalizing the spreading function (vbr-new)

2006-06-24 15:19  robert

	* libmp3lame/: lame.c, quantize_pvt.c, version.h:

	enabling the conditional RH_ATHAA_FIX code for vbr-new
	we are now at patch level 6

2006-06-24 01:57  robert

	* libmp3lame/: lame.c, quantize_pvt.c:

	tuning ATHAA_FIX for high quality VBR new presets

2006-06-23 23:40  robert

	* libmp3lame/: lame.c, quantize.c, quantize_pvt.c, vbrquantize.c:

	tuning ATHAA_FIX for midrange VBR new presets

2006-06-23 23:09  robert

	* libmp3lame/machine.h:

	always compile in assertions for alpha builds

2006-06-23 23:06  robert

	* Makefile.MSVC:

	updating LibSndFile support, it's used by default now

2006-06-23 20:52  aleidinger

	* libmp3lame/version.h:

	bump the patchlevel for the updated sndfile support

2006-06-23 20:49  aleidinger

	* doc/html/history.html:

	document the updated libsndfile support

2006-06-23 20:46  aleidinger

	* Makefile.in, aclocal.m4, configure, ACM/Makefile.in,
	  ACM/ADbg/Makefile.in, ACM/ddk/Makefile.in,
	  ACM/tinyxml/Makefile.in, Dll/Makefile.in, debian/Makefile.in,
	  doc/Makefile.in, doc/html/Makefile.in, doc/man/Makefile.in,
	  dshow/Makefile.in, frontend/Makefile.in, include/Makefile.in,
	  libmp3lame/Makefile.in, libmp3lame/i386/Makefile.in,
	  mac/Makefile.in, misc/Makefile.in, mpglib/Makefile.in:

	regen

2006-06-23 20:40  aleidinger

	* frontend/get_audio.c, configure.in, frontend/Makefile.am:

	Add support for a recent sndfile library.

	Submitted by:	Erik de Castro Lopo <erikd@mega-nerd.com> (sndfile author)

2006-06-18 23:02  robert

	* libmp3lame/lame.c:

	developer only switch "--tune x" mow modifies current mask_adjust settings
	instead of assigning x to it

2006-06-18 21:32  robert

	* Makefile.unix, libmp3lame/quantize.h:

	adding RH_TEST_ATHAA_FIX to the Makefile config RH
	matching declaration and implementation of trancate_smallsspectrums

2006-06-18 20:49  robert

	* libmp3lame/bitstream.c:

	fixing asserts

2006-06-18 20:48  robert

	* libmp3lame/psymodel.c:

	bugfix: in NSPSY highpass filter, out of bounds access in fircoef
	bugfix: loss of fraction in equal loudness weighting

2006-06-18 19:20  robert

	* libmp3lame/quantize_pvt.c:

	small update to the ATHAA problem fix

2006-06-18 18:16  robert

	* Makefile.MSVC, libmp3lame/machine.h, libmp3lame/quantize.h,
	  libmp3lame/quantize_pvt.c, libmp3lame/reservoir.c:

	trying to fix ATHAA problem for low volume files
	to enable the code, one has to define RH_TEST_ATHAA_FIX at compile time

2006-06-18 16:45  robert

	* frontend/gtkanal.c:

	needs console.h

2006-06-18 16:44  robert

	* libmp3lame/bitstream.c:

	fixed assertion

2006-06-16 00:16  robert

	* libmp3lame/quantize.c, libmp3lame/util.h, mpglib/interface.c:

	few more include dependencies sorted

2006-06-15 23:51  robert

	* frontend/gtkanal.c, frontend/mp3x.c, libmp3lame/VbrTag.c,
	  libmp3lame/VbrTag.h, libmp3lame/bitstream.c,
	  libmp3lame/bitstream.h, libmp3lame/encoder.c,
	  libmp3lame/encoder.h, libmp3lame/fft.c, libmp3lame/fft.h,
	  libmp3lame/gain_analysis.c, libmp3lame/gain_analysis.h,
	  libmp3lame/id3tag.c, libmp3lame/id3tag.h, libmp3lame/l3side.h,
	  libmp3lame/lame-analysis.h, libmp3lame/lame.c,
	  libmp3lame/lame_global_flags.h, libmp3lame/lameerror.h,
	  libmp3lame/machine.h, libmp3lame/mpglib_interface.c,
	  libmp3lame/newmdct.c, libmp3lame/newmdct.h, libmp3lame/presets.c,
	  libmp3lame/psymodel.c, libmp3lame/psymodel.h,
	  libmp3lame/quantize.c, libmp3lame/quantize.h,
	  libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	  libmp3lame/reservoir.c, libmp3lame/reservoir.h,
	  libmp3lame/set_get.c, libmp3lame/set_get.h, libmp3lame/tables.c,
	  libmp3lame/tables.h, libmp3lame/takehiro.c, libmp3lame/util.c,
	  libmp3lame/util.h, libmp3lame/vbrquantize.c,
	  libmp3lame/version.c, libmp3lame/version.h, mpglib/interface.c,
	  mpglib/layer3.c, mpglib/mpglib.h:

	some more header dependencies, indentation

2006-06-15 23:07  robert

	* libmp3lame/: VbrTag.h, bitstream.c, bitstream.h, encoder.c,
	  encoder.h, fft.c, fft.h, gain_analysis.c, gain_analysis.h,
	  lame.c, libmp3lame_vc6.dsp, machine.h, mpglib_interface.c,
	  newmdct.c, presets.c, psymodel.c, psymodel.h, quantize.c,
	  quantize.h, quantize_pvt.c, quantize_pvt.h, reservoir.c,
	  reservoir.h, tables.c, takehiro.c, util.c, util.h, vbrquantize.c,
	  vbrquantize.h, version.c, version.h:

	making arguments and variables const where possible

2006-06-15 16:03  robert

	* libmp3lame/: VbrTag.c, VbrTag.h, bitstream.c, bitstream.h,
	  encoder.c, encoder.h, fft.c, fft.h, gain_analysis.h, id3tag.c,
	  id3tag.h, l3side.h, lame-analysis.h, lame.c, lame_global_flags.h,
	  machine.h, mpglib_interface.c, newmdct.c, presets.c, psymodel.c,
	  psymodel.h, quantize.c, quantize.h, quantize_pvt.c,
	  quantize_pvt.h, reservoir.c, set_get.c, set_get.h, tables.c,
	  tables.h, takehiro.c, util.c, util.h, vbrquantize.c, version.c:

	tried to avoid includes within include headers to make dependencies more obvious

2006-06-03 13:34  aleidinger

	* ChangeLog:

	Add nearly a year of history.

2006-06-03 13:14  aleidinger

	* doc/html/history.html:

	add todays history

2006-06-03 13:12  aleidinger

	* ltconfig, mkinstalldirs, stamp-h.in:

	Remove obsolete files (at least after the use of the new autotools,
	they are not created anymore).

2006-06-03 13:11  aleidinger

	* configure, config.h.in:

	Update to:
	 - libtool 1.5.22
	 - automake 1.9
	 - autoconf 2.59

2006-06-03 13:07  aleidinger

	* libmp3lame/i386/Makefile.am, Makefile.am.global, configure.in,
	  aclocal.m4, ltmain.sh, Makefile.in, ACM/Makefile.in,
	  ACM/ADbg/Makefile.in, ACM/ddk/Makefile.in,
	  ACM/tinyxml/Makefile.in, Dll/Makefile.in, debian/Makefile.in,
	  doc/Makefile.in, doc/html/Makefile.in, doc/man/Makefile.in,
	  dshow/Makefile.in, frontend/Makefile.in, include/Makefile.in,
	  libmp3lame/Makefile.in, libmp3lame/i386/Makefile.in,
	  mac/Makefile.in, misc/Makefile.in, mpglib/Makefile.in:

	Update to:
	 - libtool 1.5.22
	 - automake 1.9
	 - autoconf 2.59

2006-06-03 13:03  aleidinger

	* libmp3lame/lame.c:

	- Fix bug introduced in last revision.
	- Don't segfault in lame_close() in case of an error on initialisation.

2006-06-03 11:41  aleidinger

	* libmp3lame/lame.c:

	Plug some memory leaks in the error case.

	Noticed by:	Christophe Fergeau <teuf@users.sf.net>
	SF-Bug:		1443630

2006-06-03 11:05  aleidinger

	* lame.spec.in:

	- Remove requirements for specific gcc versions, since modern ones "just work".
	- Remove out-dated hyper-optimizations (some of which weren't valid compiler
	  flags anymore).
	- Update to current RPM techniques and macros (inspired by freshrpms.net spec).

	Submitted by:	Kyle VanderBeek <kylev@kylev.com>
	SF-Patch:	1488468

2006-05-04 19:50  bouvigne

	* libmp3lame/: reservoir.c, version.h:

	restrict max mp3 buf to solve compatibility issue with FhG directshow filter

2006-05-04 19:43  bouvigne

	* libmp3lame/psymodel.c:

	attack detection: workaround against "low freq" periodic signals (like trumpet)

2006-04-16 12:18  takehiro

	* configure (takehiro-2002_05_07-experimental):

	regen

2006-04-16 09:02  takehiro

	* configure.in:

	better socket library configuration.

2006-04-16 08:23  takehiro

	* configure.in (takehiro-2002_05_07-experimental):

	better socket function configuration.

2006-04-16 07:06  takehiro

	* config.h.in, configure.in:

	remove winsock check. It seems we do not need it anymore.

2006-04-09 16:12  takehiro

	* libmp3lame/.cvsignore (takehiro-2002_05_07-experimental):

	ignore pkgconfig file.

2006-04-09 16:11  takehiro

	* Makefile.in, configure, configure.in, testcase.mp3,
	  ACM/Makefile.in, ACM/ADbg/Makefile.in, ACM/ddk/Makefile.in,
	  ACM/tinyxml/Makefile.in, Dll/Makefile.in, debian/Makefile.in,
	  doc/Makefile.in, doc/html/Makefile.in, doc/man/Makefile.in,
	  dshow/Makefile.in, frontend/Makefile.in, include/Makefile.in,
	  libmp3lame/Makefile.in, libmp3lame/libmp3lame.pc.in,
	  libmp3lame/i386/Makefile.in, mac/Makefile.in, misc/Makefile.in,
	  mpglib/Makefile.in (takehiro-2002_05_07-experimental):

	prepare for pkgconfig support

2006-04-08 11:57  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	tirivial hack of huffman coding with ESC code.

2006-04-08 11:54  takehiro

	* libmp3lame/: machine.h, psymodel.c
	  (takehiro-2002_05_07-experimental):

	add alignment macro for not gcc environment

2006-04-08 09:08  takehiro

	* libmp3lame/tags.c (takehiro-2002_05_07-experimental):

	supress magic numbers

2006-04-08 07:46  takehiro

	* mpglib/: common.c, interface.c
	  (takehiro-2002_05_07-experimental):

	suppress warnings

2006-04-08 07:46  takehiro

	* libmp3lame/: lame.c, set_get.c, set_get.h, tags.c
	  (takehiro-2002_05_07-experimental):

	supress warnings

2006-04-08 07:45  takehiro

	* frontend/: gtkanal.c, mp3x.c (takehiro-2002_05_07-experimental):

	supress singed/unsigned warnings with gcc4.x

2006-04-08 07:45  takehiro

	* configure.in (takehiro-2002_05_07-experimental):

	add one more warning option

2006-04-08 07:44  takehiro

	* doc/html/id3.html (takehiro-2002_05_07-experimental):

	fix typos

2006-04-08 07:16  takehiro

	* libmp3lame/: bitstream.c, gain_analysis.c, quantize.c, util.c,
	  util.h (takehiro-2002_05_07-experimental):

	fix singed/unsigned warning with gcc4.x

2006-04-08 07:14  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix alignment error when gcc4.x with SSE enabled build

2006-04-08 07:13  takehiro

	* libmp3lame/tags.c (takehiro-2002_05_07-experimental):

	fix typos in genre list.
	suppress signed/unsigned warining with gcc4.x

2006-04-08 07:12  takehiro

	* libmp3lame/id3tag.c:

	fix genre tag spelling as reported by CrazySoul <hicrazysoul at gmail com>

2006-04-08 07:08  takehiro

	* doc/html/id3.html:

	fix spelling as reported by CrazySoul <hicrazysoul at gmail com>

2006-02-18 16:35  takehiro

	* frontend/get_audio.c:

	remove redundant description.

2006-02-18 16:35  takehiro

	* frontend/main.c:

	fix decoding problem when the output is stdout, reported by john.edwards33
	(sf.net bugid #1430719)

2006-02-03 06:52  vitaly-ivanov

	* dshow/README:

	typo fix

2006-02-02 21:04  robert

	* frontend/parse.c (lame3_97):

	"console_printf" replaced by "printf"

2006-01-30 15:41  takehiro

	* frontend/get_audio.c:

	fix error message when unsupported format AIFF file.
	(related bugid #1414515,
	http://sourceforge.net/tracker/index.php?func=detail&aid=1414515&group_id=290&atid=100290
	)

2006-01-22 17:52  robert

	* include/lame.h, libmp3lame/encoder.c, libmp3lame/lame-analysis.h,
	  libmp3lame/lame.c, libmp3lame/psymodel.c, libmp3lame/quantize.c,
	  libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	  libmp3lame/reservoir.c, libmp3lame/util.h, libmp3lame/version.h:

	bug fixes: psy code used long block ATH in short block case
	workaround: quantization routines of new vbr code failed on strong tonal
	samples, due to over optimistic masking promises from psy model

2006-01-21 16:39  takehiro

	* frontend/: get_audio.c, get_audio.h, main.c, parse.c
	  (takehiro-2002_05_07-experimental):

	prepare for RIFF-wave MP3 file.

2006-01-21 16:29  takehiro

	* libmp3lame/id3tag.c (lame3_97):

	backport of rev 1.28
	- patch #1379187, "id3tag_write_v2 doesn't allocate enough memory for track"

2006-01-21 13:10  takehiro

	* libmp3lame/id3tag.c:

	patch #1379187, "id3tag_write_v2 doesn't allocate enough memory for track"

2005-12-21 21:40  robert

	* frontend/: parse.c (lame3_97), parse.c:

	bug fix: implementation of the priority commandline switch did not what
	the documentation says (windows only)

2005-12-18 18:49  robert

	* frontend/: brhist.c, main.c (lame3_97):

	fixing some display glitch for very long input files

2005-12-18 18:39  robert

	* Makefile.unix, configMS.h (lame3_97):

	fixing some gcc 4.0.2 compiler issues to get LAME compiled again

2005-12-18 18:26  robert

	* frontend/brhist.c:

	fixing display glitch with very long files

2005-12-05 15:57  takehiro

	* libmp3lame/id3tag.c:

	fix id3v2 genre tag problem, reported by wylda@volny.
	now LAME won't crash with "--id3v2-only --tg 14".

2005-11-29 21:21  robert

	* frontend/: mp3rtp.c, mp3x.c:

	commit was pending, needed for John33's decoding patch

2005-11-29 19:49  robert

	* doc/html/history.html:

	updating history

2005-11-28 10:09  vitaly-ivanov

	* dshow/: Encoder.h, Mpegac.cpp, Mpegac.h, PropPage.cpp,
	  PropPage.h, PropPage_adv.cpp, PropPage_adv.h, Property.rc,
	  README, iaudioprops.h, resource.h:

	Property page update - moved "set duration" check box to the advanced page, added "allow sample overlap" check box (uncheck it if downstream filter is Avi Mux, otherwise use it for better video/audio synchronization - especially when capturing). Copying terms update (README file)

2005-11-27 15:02  bouvigne

	* libmp3lame/bitstream.c, libmp3lame/encoder.c, libmp3lame/fft.c,
	  libmp3lame/lame.c, doc/html/history.html, libmp3lame/VbrTag.c,
	  libmp3lame/mpglib_interface.c, libmp3lame/newmdct.c,
	  libmp3lame/presets.c, libmp3lame/psymodel.c,
	  libmp3lame/quantize.c, libmp3lame/quantize_pvt.c,
	  libmp3lame/reservoir.c, libmp3lame/set_get.c,
	  libmp3lame/takehiro.c, libmp3lame/util.c,
	  libmp3lame/vbrquantize.c, doc/man/lame.1, frontend/parse.c:

	merge from 3.97 branch

2005-11-27 14:47  bouvigne

	* doc/html/history.html, libmp3lame/gain_analysis.c (lame3_97):

	hack against replayGain slowness on silent parts

2005-11-27 10:20  bouvigne

	* libmp3lame/VbrTag.c (lame3_97):

	fixed Xing/Info tag parsing

2005-11-26 18:43  bouvigne

	* libmp3lame/version.h (lame3_97):

	3.97b2

2005-11-26 18:43  bouvigne

	* doc/html/history.html (lame3_97):

	history

2005-11-26 18:37  bouvigne

	* libmp3lame/: reservoir.c, set_get.c (lame3_97):

	reinstated bit reservoir for 320kbps

2005-11-26 14:21  bouvigne

	* libmp3lame/presets.c (lame3_97):

	slight change of athaa in V5

2005-11-26 14:19  bouvigne

	* frontend/parse.c (lame3_97):

	restored availability of athaa-sensitivity in command line frontend,
	as it was available in 3.96 release

2005-11-22 22:15  robert

	* frontend/: console.c, console.h, get_audio.c, get_audio.h,
	  gtkanal.c, lametime.c, main.c, main.h, parse.c, rtp.c:

	John33's lame decoding fix

2005-11-20 14:25  takehiro

	* libmp3lame/gain_analysis.c (takehiro-2002_05_07-experimental):

	fix built problem on Sun Studio 10, reported by Moinak Ghosh

2005-11-20 14:24  takehiro

	* libmp3lame/gain_analysis.c:

	fix built problem with Sun Studio 10, reported by Moinak Ghosh

2005-11-20 14:08  bouvigne

	* libmp3lame/: VbrTag.c, bitstream.c, encoder.c, fft.c, lame.c,
	  mpglib_interface.c, newmdct.c, presets.c, psymodel.c, quantize.c,
	  quantize_pvt.c, reservoir.c, set_get.c, takehiro.c, util.c,
	  vbrquantize.c (lame3_97):

	updated copyrights

2005-11-12 18:52  bouvigne

	* libmp3lame/gain_analysis.c:

	speedup of silent parts analysis

2005-11-12 18:33  bouvigne

	* doc/html/history.html:

	history from 3.97 branch

2005-11-12 18:21  bouvigne

	* Makefile.MSVC:

	added console.c

2005-11-09 18:56  aleidinger

	* frontend/rtp.c:

	Fix bug #1349332

2005-11-09 18:40  aleidinger

	* libmp3lame/id3tag.c:

	Fix bug #1351021.

2005-11-06 17:41  bouvigne

	* doc/html/history.html, libmp3lame/lame.c, libmp3lame/quantize.c
	  (lame3_97):

	fixes from main branch

2005-11-05 16:35  aleidinger

	* doc/html/history.html:

	add todays work

2005-11-05 16:20  aleidinger

	* libmp3lame/: id3tag.c, id3tag.h:

	Add support for total number of tracks per album.

	Submitted by:	 Kyle VanderBeek <kylev@users.sourceforge.>

	While I'm here add some abort() calls in case we overflow some arrays
	(this is only compile tested, so pass me the pointy hat if it fails).

2005-11-05 15:54  aleidinger

	* libmp3lame/id3tag.c:

	Add id3v2 TLEN support.

	Submitted by:	 Linus Walleij <snirkel@users.sourceforge.>

2005-11-05 15:52  aleidinger

	* frontend/console.c:

	some compilers really want the void nowadays...

2005-11-05 15:51  aleidinger

	* frontend/Makefile.in:

	regen

2005-11-05 15:49  aleidinger

	* frontend/console.h:

	make some pseudo prototypes to real prototypes (fixes gcc warnings)

2005-11-05 15:48  aleidinger

	* frontend/Makefile.am:

	console.[ch] is now mandatory, so build it

2005-11-05 15:47  aleidinger

	* include/lame.h:

	remove redundant function prototypes (we need only one prototype)

2005-11-01 20:17  robert

	* frontend/console.c:

	bug fix: FILE pointer may be NULL for DEBUGF

2005-11-01 13:54  robert

	* frontend/: mp3rtp.c, rtp.c:

	getting mp3rtp working again

2005-11-01 13:10  robert

	* frontend/mp3x.c:

	replacing (f)printf by console_printf, error_printf and report_printf. fixes the problem that some messages would be send to stdout instead of stderr. added internal switch '--debug-file <debugfile.txt>', allows to debug the code more comfortably by writing DEBUGF(xyz) at code hot spots.

2005-11-01 13:01  robert

	* frontend/: .indent.pro, amiga_mpega.c, brhist.c, brhist.h,
	  console.c, console.h, get_audio.c, get_audio.h, gpkplotting.c,
	  gpkplotting.h, gtkanal.c, gtkanal.h, lame_vc6.dsp,
	  lame_vc7.vcproj, lametime.c, lametime.h, main.c, main.h,
	  mp3rtp.c, mp3x.c, mp3x_vc6.dsp, mp3x_vc7.vcproj, parse.c,
	  parse.h, portableio.c, portableio.h, rtp.c, rtp.h, timestatus.c,
	  timestatus.h:

	replacing (f)printf by console_printf, error_printf and report_printf. fixes the problem that some messages would be send to stdout instead of stderr. added internal switch '--debug-file <debugfile.txt>', allows to debug the code more comfortably by writing DEBUGF(xyz) at code hot spots.

2005-11-01 12:51  robert

	* Makefile.unix, configMS.h:

	[no log message]

2005-10-31 13:02  bouvigne

	* libmp3lame/quantize.c:

	fixed bug 1227632

2005-10-31 13:01  bouvigne

	* libmp3lame/lame.c:

	fixed bug 1337556

2005-10-31 13:00  bouvigne

	* frontend/main.c:

	spelling of Takehiro's name

2005-10-10 07:05  rbrito

	* COPYING, debian/changelog, debian/copyright, debian/rules,
	  doc/man/lame.1:

	Updated manpage to include accented characters;
	Updated debian packaging;
	Updated documentation to include the new FSF address.

2005-10-01 09:03  takehiro

	* lame.spec.in (takehiro-2002_05_07-experimental):

	update configure options

2005-09-29 21:21  robert

	* libmp3lame/i386/: fft3dn.nas (lame3_97), fft3dn.nas:

	taken from lame4 branch:
	fix possible link problem on cygwin

2005-09-25 22:09  glessard

	* libmp3lame/quantize.c:

	GCC 4 on OS X was choking on line 615.
	Given the assignment on line 630, clearly 'work' isn't a pointer to an array
	of constants anyway.

2005-09-24 10:20  takehiro

	* libmp3lame/i386/choose_table.nas
	  (takehiro-2002_05_07-experimental):

	suppress warnings for YASM.

2005-09-24 10:20  takehiro

	* libmp3lame/i386/nasm.h (takehiro-2002_05_07-experimental):

	added LINUX detection for non-executable stack suuport.

2005-09-24 09:34  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	simplify drain_into_ancillary()

2005-09-24 08:45  takehiro

	* libmp3lame/i386/quantSSE.nas (takehiro-2002_05_07-experimental):

	small optimization

2005-09-24 08:28  takehiro

	* libmp3lame/newmdct.c (takehiro-2002_05_07-experimental):

	fixed window shape when mixed_block_flag is enabled.

2005-09-24 08:01  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	Now LAME4 does not use MMX when SSE2 is available.

2005-09-24 07:54  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	added TODO as comments

2005-09-22 16:00  takehiro

	* configure (takehiro-2002_05_07-experimental):

	regen

2005-09-22 15:48  takehiro

	* configure.in (takehiro-2002_05_07-experimental):

	fix when without nasm

2005-09-22 14:03  takehiro

	* configure.in (takehiro-2002_05_07-experimental):

	i*86-linux detection for NASM code not to mark "exectable stack"

2005-09-22 13:50  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	cache gfc->bitidx value.

2005-09-20 19:51  robert

	* libmp3lame/util.c:

	fix wrong typing

2005-09-20 19:41  robert

	* libmp3lame/: quantize.c, vbrquantize.c, vbrquantize.h:

	moved loop from quantize.c to vbrquantize.c

2005-09-20 19:38  robert

	* libmp3lame/: util.h, util.c:

	malloc with n-bytes alignment

2005-09-20 09:19  robert

	* frontend/parse.c, libmp3lame/lame.c,
	  libmp3lame/lame_global_flags.h, libmp3lame/set_get.c:

	added internal developer switch to select between ISO and x^3/4 quantization

	--quantization-type n n=0: no change, n=1: ISO, n=2: x^3/4

2005-09-18 22:57  robert

	* libmp3lame/: vbrquantize.c, vbrquantize.h, version.h:

	vbr new noise shaping: let lame abort in exceptional cases

	now on alpha 2

2005-09-18 21:38  robert

	* libmp3lame/: encoder.c, lame.c, quantize.c, quantize.h, util.h,
	  vbrquantize.c:

	vbr-new: bug fix for "searchGlobalStepSizeMax"

	demangling vbr_old and vbr_new code

2005-09-14 17:24  takehiro

	* configure.in (takehiro-2002_05_07-experimental):

	clean up assembler code support.
	- nasmw support on cygwin.
	- clean up yasm support, as I decided not to use yasm on x86-64.
	- do not set "not exectable stack" flag not on linux environment.

2005-09-13 15:38  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	code clean up

2005-09-12 15:51  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	better region division point for lossless coding.

2005-09-12 01:38  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	code clean up.

2005-09-11 17:12  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	fix assertion failure at lossless coding.

2005-09-11 17:07  takehiro

	* libmp3lame/: encoder.h, tables.c, takehiro.c
	  (takehiro-2002_05_07-experimental):

	more efficient lossless coding when without brute force search.
	And it makes little speed improvement when with brute force search.

2005-09-11 10:20  bouvigne

	* libmp3lame/version.h:

	welcome to 3.98

2005-09-11 09:57  bouvigne

	* lame_vc7.sln:

	missing file

2005-09-11 09:14  bouvigne

	* libmp3lame/version.h:

	3.97b

2005-09-11 07:35  takehiro

	* libmp3lame/i386/quantSSE.nas (takehiro-2002_05_07-experimental):

	experimental SSE2 support for calc_sfb_noise_fast.
	but because it slows down the VBR encoding on Celeron-M, it is not enabled by
	default.

2005-09-10 17:08  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	more efficient lossless coding, especially for low bitrate.

2005-09-08 22:57  takehiro

	* doc/html/history.html:

	fixed style.

2005-09-08 22:57  takehiro

	* doc/html/history.html:

	added my changes for 3.97.

2005-09-08 02:44  rbrito

	* doc/man/lame.1:

	Fixed typo.

2005-09-07 21:15  bouvigne

	* testcase.mp3:

	updated testcase for 3.97b1

2005-09-06 18:24  bouvigne

	* doc/html/history.html:

	typo

2005-09-06 15:34  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	fix assertion failure in lossless coding.

2005-09-05 21:24  bouvigne

	* doc/html/: history.html, index.html:

	updated history for 3.97b

2005-09-05 20:49  bouvigne

	* frontend/parse.c:

	-Vx short help

2005-09-05 04:29  rbrito

	* debian/: changelog, rules:

	Update generation of package with full optimization, now that compilation with GCC 4 works.

2005-09-05 01:55  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	always use adaptive cutoff

2005-09-05 01:52  takehiro

	* libmp3lame/: quantize.c, i386/quantSSE.nas
	  (takehiro-2002_05_07-experimental):

	optimized calc_sfb_noise_fast().
	Exit the loop as soon as it detect the audible noise.

2005-09-04 19:52  aleidinger

	* ChangeLog:

	Update with recent history.

2005-09-04 19:45  aleidinger

	* configure:

	Regen.

2005-09-04 19:35  aleidinger

	* config.h.in:

	Add the bits for largefile support.

	Submitted by:	Diego "Flameeyes" PettenÃ² <flameeyes@gentoo.org>
	Bug ID:		1271744

2005-09-04 19:11  aleidinger

	* configure.in:

	Remove some flags which gcc 4.x doesn't understand anymore.

	Noticed by:	RogÃ©rio Brito

2005-09-04 19:05  aleidinger

	* aclocal.m4, config.h.in, Makefile.in, ACM/Makefile.in,
	  ACM/ADbg/Makefile.in, ACM/ddk/Makefile.in,
	  ACM/tinyxml/Makefile.in, Dll/Makefile.in, debian/Makefile.in,
	  doc/Makefile.in, doc/html/Makefile.in, doc/man/Makefile.in,
	  dshow/Makefile.in, frontend/Makefile.in, include/Makefile.in,
	  libmp3lame/Makefile.in, libmp3lame/i386/Makefile.in,
	  mac/Makefile.in, misc/Makefile.in, mpglib/Makefile.in:

	Regen.

2005-09-04 19:05  aleidinger

	* depcomp, install-sh, ltmain.sh, missing, mkinstalldirs,
	  frontend/depcomp, libmp3lame/depcomp, misc/depcomp,
	  mpglib/depcomp:

	Update to recent autotools.

2005-09-04 19:02  aleidinger

	* frontend/Makefile.am:

	Play catchup with the autotools.

2005-09-04 18:54  aleidinger

	* configure.in:

	Initialize autoconf correctly (with lame mailinglist address).

2005-09-04 16:19  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix adptive threshold calculation.

2005-09-04 12:03  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	little bit better lossless coding

2005-09-04 11:52  rbrito

	* doc/man/lame.1:

	Fixed typo in manpage.

2005-09-04 07:15  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	better skip method for not audible scalefactor band.

2005-09-04 06:56  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	do not calculate not audible scalefactor band.

2005-09-04 06:16  takehiro

	* libmp3lame/encoder.h (takehiro-2002_05_07-experimental):

	forgot to commit when adding sfb energy caching. sorry.

2005-09-04 03:10  takehiro

	* libmp3lame/: quantize.c, i386/quantSSE.nas
	  (takehiro-2002_05_07-experimental):

	caching sfb energy = sum of xr^2

2005-09-04 03:09  takehiro

	* libmp3lame/i386/choose_table.nas
	  (takehiro-2002_05_07-experimental):

	suppress conditional jump

2005-09-04 02:21  takehiro

	* libmp3lame/i386/choose_table.nas
	  (takehiro-2002_05_07-experimental):

	better pipelining and use of pshufd in ix_max_SSE2

2005-09-04 02:09  takehiro

	* libmp3lame/: tables.c, i386/choose_table.nas
	  (takehiro-2002_05_07-experimental):

	SSE2 version of ix_max()

2005-09-04 02:08  takehiro

	* libmp3lame/i386/quantSSE.nas (takehiro-2002_05_07-experimental):

	trivial optimization

2005-09-03 15:38  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	clean up coding.

2005-09-03 14:49  takehiro

	* libmp3lame/: quantize.c, i386/choose_table.nas
	  (takehiro-2002_05_07-experimental):

	changed parameter of xrmax_MMX()

2005-09-03 13:38  takehiro

	* libmp3lame/i386/choose_table.nas
	  (takehiro-2002_05_07-experimental):

	trivial optimization

2005-09-03 13:31  takehiro

	* libmp3lame/: quantize.c, i386/quantSSE.nas
	  (takehiro-2002_05_07-experimental):

	added sumofsqr_SSE() for ia32

2005-09-03 13:10  takehiro

	* libmp3lame/i386/choose_table.nas
	  (takehiro-2002_05_07-experimental):

	use aligned memory access

2005-09-03 12:45  takehiro

	* libmp3lame/i386/quantSSE.nas (takehiro-2002_05_07-experimental):

	use SSE register for data backup.

2005-09-03 12:28  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	xrmax_SSE() support on x86_64

2005-09-03 11:16  takehiro

	* libmp3lame/: quantize.c, i386/choose_table.nas
	  (takehiro-2002_05_07-experimental):

	SSE version of xrmax()

2005-09-02 18:09  bouvigne

	* frontend/parse.c:

	fixed a stupid bug with --preset medium/standard/extreme

2005-09-02 17:16  takehiro

	* frontend/parse.c (takehiro-2002_05_07-experimental):

	changed default setting of replaygain analysis, "enable fast" -> "disable all".

2005-09-01 18:12  bouvigne

	* libmp3lame/VbrTag.c:

	320kbps cbr was flagged as "non optimal" in the info header

2005-08-31 16:21  takehiro

	* libmp3lame/quantize.c, libmp3lame/lame-analysis.h,
	  frontend/gtkanal.c (takehiro-2002_05_07-experimental):

	display how many bits used in the "large value" region and count1 region.

2005-08-28 17:30  bouvigne

	* frontend/parse.c, libmp3lame/version.h:

	Changed the way "--preset xxx" is handled,
	as I've seen many users passing "--preset standard --vbr-new".
	Presets are now evaluated during initialisation, so this kind of command
	line now properly works.

2005-08-28 17:02  bouvigne

	* libmp3lame/lame.c, Makefile.MSVC, libmp3lame/version.c,
	  libmp3lame/version.h, frontend/parse.c:

	64bits build from within win64 platform sdk

2005-08-28 12:19  takehiro

	* libmp3lame/i386/fftsse.nas (takehiro-2002_05_07-experimental):

	use 128bit constants

2005-08-28 12:11  takehiro

	* libmp3lame/i386/fftsse.nas (takehiro-2002_05_07-experimental):

	better pipelining

2005-08-27 12:03  takehiro

	* libmp3lame/i386/fftsse.nas (takehiro-2002_05_07-experimental):

	use cos(2x) = cos(x)*cos(x) - sin(x)*sin(x) = 1 - 2*sin(x)*sin(x)

2005-08-27 08:25  takehiro

	* configure, configure.in:

	fix for configure problem reported by Steven P. Ulrick.

2005-08-27 08:10  takehiro

	* libmp3lame/i386/fftsse.nas (takehiro-2002_05_07-experimental):

	clean up.

2005-08-27 07:58  takehiro

	* libmp3lame/i386/fftsse.nas (takehiro-2002_05_07-experimental):

	clean up counter register usage

2005-08-25 16:28  takehiro

	* libmp3lame/i386/fftsse.nas (takehiro-2002_05_07-experimental):

	suppress table size

2005-08-25 12:14  takehiro

	* debian/: Makefile.am, Makefile.in:

	follow the file name change.

2005-08-23 15:50  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	new tonality -> masking ratio conversion method and masking ratio limitation
	in the lower frequency region.

2005-08-23 14:15  takehiro

	* libmp3lame/: encoder.h, lame.c, newmdct.c, psymodel.c, tables.c
	  (takehiro-2002_05_07-experimental):

	rename internal variable name, start_sfb_* -> max_sfb_*
	update verbose print of internal setting.

2005-08-22 16:20  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	do not call best_scalefac_store() when no noise shaping, becase in such case
	all the scalefac values are always zero.

2005-08-22 15:21  takehiro

	* libmp3lame/newmdct.c (takehiro-2002_05_07-experimental):

	do not calculate MDCT beyond cutoff even when adaptive cutoff is enabled.

2005-08-22 13:47  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	display internal setting for "adaptive lowpass cutoff"

2005-08-22 13:46  takehiro

	* libmp3lame/tags.c (takehiro-2002_05_07-experimental):

	fix "optimal setting" flag is always cleared when the input file is below 32kH

2005-08-22 13:11  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	do not process filtering when no filter enabled.

2005-08-21 17:32  bouvigne

	* Makefile.am, ACM/Makefile.am, ACM/lameACM_vc7.vcproj,
	  ACM/ADbg/ADbg_vc7.vcproj, ACM/ADbg/Makefile.am,
	  ACM/tinyxml/Makefile.am, ACM/tinyxml/tinyxml_vc7.vcproj,
	  Dll/LameDll_vc7.vcproj, Dll/Makefile.am, frontend/Makefile.am,
	  frontend/lame_vc7.vcproj, frontend/mp3x_vc7.vcproj,
	  libmp3lame/Makefile.am, libmp3lame/libmp3lame_vc7.vcproj,
	  mpglib/Makefile.am, mpglib/mpglib_vc7.vcproj:

	added project files for VC7

2005-08-21 17:00  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	use adaptive cutoff when no lowpass filter setting ("-k" option)

2005-08-21 15:25  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix default cutoff setting when adaptive cutoff.

2005-08-21 14:15  takehiro

	* libmp3lame/: encoder.h, lame.c, psymodel.c, quantize.c, tables.c
	  (takehiro-2002_05_07-experimental):

	adaptive cutoff frequency calculation.
	very experimental and not works correctly (of course is not enabled by default)

2005-08-21 08:40  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	revive -q settings for VBR/ABR

2005-08-21 08:05  takehiro

	* libmp3lame/i386/: fftsse.nas, quantSSE.nas
	  (takehiro-2002_05_07-experimental):

	clean up

2005-08-21 06:38  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	clean up x86_64 code.

2005-08-21 06:09  takehiro

	* libmp3lame/i386/fftsse.nas (takehiro-2002_05_07-experimental):

	use loopalign instead of align

2005-08-21 05:54  takehiro

	* libmp3lame/i386/fftsse.nas (takehiro-2002_05_07-experimental):

	use movlps instead of movups

2005-08-21 05:42  takehiro

	* libmp3lame/i386/fftsse.nas (takehiro-2002_05_07-experimental):

	trivial

2005-08-21 04:50  takehiro

	* libmp3lame/i386/: choose_table.nas, quantSSE.nas
	  (takehiro-2002_05_07-experimental):

	small asm-coding hack.

2005-08-21 03:32  takehiro

	* libmp3lame/: encoder.h, tags.c
	  (takehiro-2002_05_07-experimental):

	Support generic genre name like "MyOriginalGenre" (bugid #1265218 @ sf.net)

2005-08-20 18:34  takehiro

	* libmp3lame/i386/fftsse.nas (takehiro-2002_05_07-experimental):

	clean up.

2005-08-20 18:05  takehiro

	* libmp3lame/: util.c, util.h (takehiro-2002_05_07-experimental):

	one more support for SSE on x86_64

2005-08-20 18:01  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	ASM code support for x86_64 environment (only tested with FedoraCore3@cf.sf.net)

2005-08-20 17:48  bouvigne

	* doc/html/switchs.html:

	typo

2005-08-20 16:47  takehiro

	* configure, configure.in, libmp3lame/Makefile.am,
	  libmp3lame/Makefile.in (takehiro-2002_05_07-experimental):

	auto* things for x86_64 related files.

2005-08-20 14:21  takehiro

	* libmp3lame/i386/ssesub.c (takehiro-2002_05_07-experimental):

	remove unused files/dirs

2005-08-20 13:42  takehiro

	* libmp3lame/i386/quantSSE.nas (takehiro-2002_05_07-experimental):

	remove redundant operation and fix comments.

2005-08-20 11:32  takehiro

	* libmp3lame/: lame.c, psymodel.c, util.h
	  (takehiro-2002_05_07-experimental):

	modification related to asm version of lr2ms (forgot to commit. oops)

2005-08-20 09:25  takehiro

	* libmp3lame/: util.c, i386/quantSSE.nas
	  (takehiro-2002_05_07-experimental):

	SSE version of LR -> MS. gains 1% speed.

2005-08-20 08:49  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	trivial optimization

2005-08-16 07:56  rbrito

	* debian/: changelog, control:

	Make libmp3lame0 provide and replace liblame0, not conflict with it.

2005-08-16 07:11  rbrito

	* debian/: changelog, control, libmp3lame0-dev.files:

	Fixed development package to not include shared libraries.
	Other misc fixes.

	Yet more to come.

2005-08-16 01:42  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	optimized pow075() for generic CPU.
	remove C++ style comments.

2005-08-15 04:25  rbrito

	* debian/: changelog, control, liblame0-dev.docs,
	  liblame0-dev.files, liblame0.files, libmp3lame0-dev.docs,
	  libmp3lame0-dev.files, libmp3lame0.files, rules:

	Update Debian packaging so that the library packages follow the SONAME
	rules.

	Also incorporate some changes from Christian Marillat's packages in the
	basic lame package.

	More changes to come soon.

2005-08-14 07:05  takehiro

	* libmp3lame/: bitstream.c, i386/quantSSE.nas
	  (takehiro-2002_05_07-experimental):

	trivial optimization

2005-08-13 14:12  takehiro

	* libmp3lame/: bitstream.c, tables.c, tables.h
	  (takehiro-2002_05_07-experimental):

	optimize quad-code writing routine.

2005-08-13 12:09  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	move the comments at more suitable place.

2005-08-13 12:08  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	trivial optimizations.

2005-08-13 09:17  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	faster count bits for quad-code region.

2005-08-11 14:43  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	reduce memory access by caching data to be written.

2005-08-10 15:22  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	caching huffman code to be written to reduce bitwise operation.

2005-08-10 14:55  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	more pruning at lossless coding. same result, faster calculation.

2005-08-08 17:22  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	one more pruning of lossless coding.

2005-08-08 16:33  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	optimize speed of lossless coding with better pruning.

2005-08-07 14:07  takehiro

	* doc/man/lame.1:

	when the input is raw, the input file will be treated as native endian.
	(bugid 1158189)

2005-08-07 13:24  bouvigne

	* doc/html/switchs.html:

	update of stereo modes description

2005-08-07 12:34  takehiro

	* configure, aclocal.m4 (takehiro-2002_05_07-experimental):

	regen

2005-08-07 10:44  takehiro

	* libmp3lame/: quantize.c, takehiro.c
	  (takehiro-2002_05_07-experimental):

	surpress memcpy

2005-08-07 09:37  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	fix debug build

2005-08-06 17:29  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	reduce table size.

2005-08-06 17:20  takehiro

	* libmp3lame/tags.c (takehiro-2002_05_07-experimental):

	surpress warnings

2005-08-06 17:14  takehiro

	* libmp3lame/tables.h (takehiro-2002_05_07-experimental):

	fix comments

2005-08-06 14:51  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix typo.

2005-08-06 06:37  takehiro

	* libmp3lame/: psymodel.c, i386/ssesub.c
	  (takehiro-2002_05_07-experimental):

	trivial

2005-08-06 06:09  takehiro

	* libmp3lame/: machine.h, tables.c, tables.h
	  (takehiro-2002_05_07-experimental):

	cleanup and suppress memory usage when SMALL_CACHE and IEEE754

2005-08-06 04:46  takehiro

	* frontend/timestatus.c (takehiro-2002_05_07-experimental):

	fix --nohist switch.

2005-08-05 15:22  takehiro

	* doc/man/lame.1:

	added "per sample" for the description of --bitwidth option. (bugid #1158196)

2005-08-05 09:22  vitaly-ivanov

	* dshow/: Mpegac.cpp, Mpegac.h:

	Another timestamp fix. Added additional resynchronization points (now there are 4 resynch points) in order to implement absolutely accurate in-out synchronization

2005-08-04 15:15  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	fix MPEG2 Layer3 VBR encoding (correct form of rev.1.178.2.223).

2005-08-04 14:56  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix short block encoding. It may select the subblock gain which makes quantized
	values larger than the IXMAX.

2005-08-04 14:01  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	revert last (rev.1.178.2.223) changes.

2005-08-04 14:00  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	do not use preflag when MPEG2

2005-08-04 11:27  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	fix for MPEG2 VBR coding. Still MPEG2-VBR needs many tweaking.

2005-08-04 06:15  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	trivial simplification.

2005-08-04 02:30  takehiro

	* libmp3lame/: encoder.h, lame.c
	  (takehiro-2002_05_07-experimental):

	fix bitrate histgram display when mono.

2005-08-04 01:42  rbrito

	* debian/: changelog, control, rules:

	Updates for Debian packaging.

2005-08-04 01:40  rbrito

	* doc/man/lame.1:

	Documentation of switches: --{un,}signed and --{big,little}-endian.

2005-08-03 14:40  takehiro

	* libmp3lame/tags.c (takehiro-2002_05_07-experimental):

	supress warnings on 64bit environment.

2005-08-03 14:04  takehiro

	* frontend/main.c (takehiro-2002_05_07-experimental):

	more clean up when with --nohist or --silent.

2005-08-03 07:11  takehiro

	* libmp3lame/i386/nasm.h (takehiro-2002_05_07-experimental):

	Add magic words from libflac to tell LAME does not need exectable stack.

2005-08-02 13:30  takehiro

	* frontend/main.c, libmp3lame/lame.c
	  (takehiro-2002_05_07-experimental):

	fix brhist display when CBR

2005-08-01 17:16  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	update comments

2005-08-01 15:51  takehiro

	* libmp3lame/: quantize.c, tables.c
	  (takehiro-2002_05_07-experimental):

	more MAX_BITS off-by-one fixes, including comments.

2005-08-01 13:10  vitaly-ivanov

	* dshow/: Mpegac.cpp, Property.rc:

	Output timestamps fix. There was a serious bug when input audio samples had time gaps between each other - DirectShow timestamps for output samples were calculated wrong in this case

2005-08-01 07:06  takehiro

	* libmp3lame/encoder.h (takehiro-2002_05_07-experimental):

	fix off by one of MAX_BITS.

2005-08-01 06:30  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	supress table size.

2005-07-30 16:30  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	do not use 4096 bits/granule limits when not strict ISO mode.

2005-07-28 13:05  rbrito

	* doc/html/: basic.html, contributors.html, examples.html,
	  history.html, id3.html, switchs.html:

	Minor spelling corrections and other fixes to documentation.

2005-07-28 13:02  rbrito

	* debian/rules:

	Safe version for compilation with GCC 4.

2005-07-27 21:49  rbrito

	* doc/html/: presets.html, switchs.html:

	Spelling fixes for documentation.

2005-07-27 21:38  rbrito

	* doc/man/lame.1:

	Include description of the "medium" preset in the manpage.

	Fix some spelling errors on the manpage.

2005-07-27 08:43  rbrito

	* debian/changelog, debian/control, debian/lame.manpages,
	  debian/rules, doc/man/lame.1:

	Small fixes for lame manpage to make lintian happy. More updates to come.

2005-07-27 07:41  rbrito

	* debian/changelog:

	Preparation for the new beta release. More changes to come.

2005-07-26 23:31  takehiro

	* config.h.in, configure.in, frontend/main.c
	  (takehiro-2002_05_07-experimental):

	experimental patch to autodetect UTF-8 ID3v2 tag by Edmund GRIMLEY EVANS.

2005-07-26 13:59  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix 4096bits limits for one _granule_ when VBR.
	old code mistook it for one _channel and granule_.

2005-07-24 16:54  takehiro

	* libmp3lame/: lame.c, psymodel.c, util.h
	  (takehiro-2002_05_07-experimental):

	suppress warnings

2005-07-24 16:52  takehiro

	* libmp3lame/: lame.c, psymodel.c, util.c
	  (takehiro-2002_05_07-experimental):

	added lr2ms() function and use it. This is the preparation for future asm-optimizations.

2005-07-24 16:51  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	fixed reservoir limitation setup.

2005-07-24 16:49  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	added some comments arround the bit reservoir.

2005-07-24 16:28  takehiro

	* libmp3lame/i386/quantSSE.nas (takehiro-2002_05_07-experimental):

	[no log message]

2005-07-24 16:11  takehiro

	* libmp3lame/: lame.c, quantize.c, i386/quantSSE.nas
	  (takehiro-2002_05_07-experimental):

	SSE2 version of quntize_ISO (from gogo)

2005-07-24 13:02  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	fix bit/byte confusion.

2005-07-20 14:30  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fixed compilation problem on some OS which has a "trancate"

2005-07-20 14:22  takehiro

	* libmp3lame/encoder.h (takehiro-2002_05_07-experimental):

	update comments.

2005-07-16 08:30  takehiro

	* libmp3lame/tags.c (takehiro-2002_05_07-experimental):

	fixed tarck tag ID.

2005-07-16 08:04  takehiro

	* frontend/parse.c, include/lame.h, libmp3lame/encoder.h,
	  libmp3lame/tags.c (takehiro-2002_05_07-experimental):

	ID3 tag update.
	- merged UTF-8 patch from egrimleyevans
	  (http://sourceforge.net/tracker/index.php?func=detail&aid=1192706&group_id=290&atid=300290)

	- Fixed ID3v1 track number tag. When the track number is larger than 255, it was recoded as "track number % 256" in the ID3v1.

	- Changed internal track number representation to char* from int. It may allow
	  to use "leading zero" track number in ID3v2 tag, like "01/23".

2005-07-16 07:30  takehiro

	* frontend/parse.c (takehiro-2002_05_07-experimental):

	added "--ignore-tag-errors" to the usage message

2005-07-10 16:13  bouvigne

	* libmp3lame/: presets.c, version.h:

	alpha 11: update of abr/cbr 160-320

2005-06-29 12:26  vitaly-ivanov

	* dshow/: Encoder.cpp, PropPage.cpp, PropPage_adv.cpp, Property.rc:

	Joint / Standard stereo selection fix. Got rid of automatic joint stereo encoding when the bit rate is relatively low, now it's up to the user

2005-06-25 08:14  vitaly-ivanov

	* dshow/: Encoder.h, Property.rc, aboutprp.cpp, .cvsignore:

	[no log message]

2005-06-24 10:03  vitaly-ivanov

	* dshow/: .cvsignore, Encoder.cpp, Encoder.h, Mpegac.cpp,
	  Mpegac.def, Mpegac.h, PropPage.cpp, PropPage.h, PropPage_adv.cpp,
	  PropPage_adv.h, Property.rc, README, REG.CPP, UIDS.H,
	  aboutprp.cpp, aboutprp.h, dshow.dsp, dshow.dsw, iaudioprops.h,
	  resource.h:

	[no log message]

2005-06-24 09:37  vitaly-ivanov

	* dshow/REG.H:

	[no log message]

2005-06-04 16:06  takehiro

	* libmp3lame/i386/: Makefile.am, Makefile.in
	  (takehiro-2002_05_07-experimental):

	fix for configure with --disable-shared.

2005-05-29 16:41  takehiro

	* Makefile.in, aclocal.m4, configure, ltmain.sh, ACM/Makefile.in,
	  ACM/ADbg/Makefile.in, ACM/ddk/Makefile.in,
	  ACM/tinyxml/Makefile.in, Dll/Makefile.in, debian/Makefile.in,
	  doc/Makefile.in, doc/html/Makefile.in, doc/man/Makefile.in,
	  dshow/Makefile.in, frontend/Makefile.in, include/Makefile.in,
	  libmp3lame/Makefile.in, libmp3lame/i386/Makefile.in,
	  mac/Makefile.in, misc/Makefile.in, mpglib/Makefile.in
	  (takehiro-2002_05_07-experimental):

	regen with automake1.9.5

2005-05-29 16:40  takehiro

	* libmp3lame/: tables.c, psymodel.c
	  (takehiro-2002_05_07-experimental):

	psymodel parameter tuning (1)

2005-05-29 16:10  takehiro

	* debian/: changelog, control:

	fixed version number (upstream -> downstream)

	patch from Jack, from
	http://sourceforge.net/tracker/index.php?func=detail&aid=1201172&group_id=290&atid=100290

2005-05-29 15:59  takehiro

	* debian/rules (takehiro-2002_05_07-experimental):

	added files to remove when clean.

2005-05-29 14:43  takehiro

	* libmp3lame/: tables.c, takehiro.c, i386/choose_table.nas
	  (takehiro-2002_05_07-experimental):

	fix sing handling.
	It somtime makes assertion failure on MMX2 supported machines.

2005-05-29 14:40  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	optimized init_global_gain(), by initializing gi->count1, gi->big_values
	only when it is "really" needed.

2005-05-25 14:17  takehiro

	* frontend/: get_audio.c, parse.c:

	fixed output message even when "--silent"
	(bug #1145932)

2005-05-25 13:56  takehiro

	* libmp3lame/lame.c:

	fix format strings to print out the "float" value.
	(bug #1207470)

2005-05-25 13:47  takehiro

	* frontend/parse.c:

	removed -Z option description, which has no effects currently.

2005-05-21 09:07  takehiro

	* libmp3lame/: psymodel.c, psymodel.h, tables.c
	  (takehiro-2002_05_07-experimental):

	suppress magic number.

2005-05-20 14:46  takehiro

	* libmp3lame/: psymodel.c, tables.c
	  (takehiro-2002_05_07-experimental):

	clean up the new workarround for the frequency resolution
	in the lower frequency.

2005-05-17 15:46  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	Do not calculate the simultaneous masking in the lower frequency, where the
	frequency resolution is not sufficient.

	This is a temporaly code. This should be done by changing the spread function.

2005-05-14 17:45  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	dirty hack arround truncate()

2005-05-14 16:28  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	reduce division by changing log(x/y) -> log(x) - log(y), part 2.
	supress magic numbers.

2005-05-14 16:27  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	fix assertion failure when a quantized value exceeds IXMAX(8206)

2005-05-14 13:47  takehiro

	* configure (takehiro-2002_05_07-experimental):

	regen

2005-05-14 13:16  takehiro

	* configure.in (takehiro-2002_05_07-experimental):

	remove some optimization options which is not supported by gcc4.

2005-05-14 12:31  takehiro

	* libmp3lame/machine.h (takehiro-2002_05_07-experimental):

	fix debug built problem on the machine without memset()

2005-05-14 08:00  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	changed log(x/y) as log(x)-log(y), when FAST_LOG.

2005-05-14 06:53  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix built problem when USE_IEEE754_HACK but not USE_FAST_LOG.

2005-05-14 03:43  takehiro

	* debian/: changelog, control (takehiro-2002_05_07-experimental):

	patch from Jack (jablko), including the bug report #1201172

2005-05-12 17:40  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	supress magic numbers

2005-05-11 15:51  takehiro

	* libmp3lame/: psymodel.c, quantize.c
	  (takehiro-2002_05_07-experimental):

	for better portability, do not use "long long", use uint64_t instead.

2005-05-11 15:50  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	remove unused portion of window coefs.

2005-05-11 15:14  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	optimizing mask_add(), part 2.
	- faster log() -> trncate() calculation for IEEE754 HACK.

2005-05-11 14:59  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	optimizing mask_add() (part 1)

2005-05-10 17:24  takehiro

	* libmp3lame/: psymodel.c, machine.h
	  (takehiro-2002_05_07-experimental):

	optimizing PE calculation.

2005-05-10 17:10  takehiro

	* libmp3lame/: tables.c, machine.h
	  (takehiro-2002_05_07-experimental):

	use integer calculation @ fast_log2().
	This is a preparation for farther speed optimizations.

2005-05-06 01:06  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix typo.

2005-05-04 17:21  takehiro

	* libmp3lame/tables.h (takehiro-2002_05_07-experimental):

	fix typo

2005-05-04 17:01  takehiro

	* configure (takehiro-2002_05_07-experimental):

	regen by hand.

2005-05-04 17:00  takehiro

	* configure.in (takehiro-2002_05_07-experimental):

	- do not use "-march" option for the case of cross build.
	- added comments about SPARC + IEEE754 hack

2005-05-04 16:58  takehiro

	* libmp3lame/: quantize.c, i386/quantSSE.nas
	  (takehiro-2002_05_07-experimental):

	update x^(3/4) hack.
	- use IEEE754 HACK version of fabs()
	- better "digital silent" detection. not use sum, but use maximum.

2005-05-04 16:57  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	common expression reduction.

2005-04-26 16:08  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix selection of the band to increase the scalefactor, when all the band have no
	audible noise.

2005-04-25 16:35  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix handling of SCALEFAC_ANYTHING_GOES in calc_noise().
	This sometimes makes assertion failure when with --substep option.

2005-04-24 10:28  takehiro

	* frontend/main.c (takehiro-2002_05_07-experimental):

	fix it skips clipping when with --decode option.

2005-04-23 18:25  takehiro

	* libmp3lame/mpglib_interface.c (takehiro-2002_05_07-experimental):

	clean up.

2005-04-23 18:20  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	Handmade aprox. code to calculate x^(3/4) for IEEE754 machines.
	On MacOSX + G4, the speed gain is arround 14% !

2005-04-23 15:31  takehiro

	* libmp3lame/gain_analysis.c (takehiro-2002_05_07-experimental):

	supress warnings

2005-04-23 15:11  takehiro

	* testcase.mp3, frontend/get_audio.c, frontend/get_audio.h,
	  frontend/gtkanal.c, frontend/main.c, include/lame.h,
	  libmp3lame/lame.c, libmp3lame/mpglib_interface.c
	  (takehiro-2002_05_07-experimental):

	use floating values for the data between frontend and encoding core.

2005-04-23 10:10  takehiro

	* libmp3lame/mpglib_interface.c (takehiro-2002_05_07-experimental):

	prevent to re-initialization.

2005-04-23 10:08  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	add error check for lame_decoe_init()
	fix comment.

2005-04-23 09:57  takehiro

	* libmp3lame/mpglib_interface.c (takehiro-2002_05_07-experimental):

	clean up

2005-04-23 09:56  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	clean up endianness.
	fix mp3 decoding.

2005-04-23 08:42  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	tuning masking parameter balance for long/short blocks.

2005-04-23 08:11  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix memory copy size in CBR_2nd_iteration().
	This bug causes assertion failure when CBR with -h option.

2005-04-23 08:07  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	reduce memory copy size.

2005-04-23 07:57  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	little bit better initial value for quantization factor search.

2005-04-23 07:55  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.h
	  (takehiro-2002_05_07-experimental):

	reduce memory copy size.

2005-04-22 17:39  takehiro

	* mpglib/interface.c (takehiro-2002_05_07-experimental):

	supress warnings with GCC4.0

2005-04-21 16:36  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	oops, stupid bug in loop counter... sorry.

2005-04-21 15:42  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	improve the spreading function for the lower frequency,
	where the resolution of frequency is not sufficient for phsycho-analysis.

2005-04-21 15:36  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	clean up.

2005-04-21 15:03  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	verbose the configuration message.

2005-04-17 17:28  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	clean up arround lame_print_internals()

2005-04-17 16:16  takehiro

	* frontend/: get_audio.c, get_audio.h, main.c, main.h, parse.c
	  (takehiro-2002_05_07-experimental):

	clean up endianness detection and configuration.

2005-04-17 15:49  takehiro

	* frontend/: get_audio.c, get_audio.h
	  (takehiro-2002_05_07-experimental):

	clean up MAX_U_32_NUM definition

2005-04-17 15:42  takehiro

	* frontend/parse.c (takehiro-2002_05_07-experimental):

	general clean up.

2005-04-17 15:35  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	fix assertion failure when CBR encoding.

2005-04-17 12:49  takehiro

	* frontend/parse.c (takehiro-2002_05_07-experimental):

	clean up options.
	- make some options as experimental.
	- fix floating point/integer argument.

2005-04-17 11:01  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	optimized best_huffman_divide(), by removing needless call of choose_table().

2005-04-16 15:58  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	general clean up.
	- supress magic numbers
	- use putbits16() instead of putbits24(), where it can.
	- trivial loop counter optimization

2005-04-16 13:55  takehiro

	* testcase.mp3, libmp3lame/psymodel.c
	  (takehiro-2002_05_07-experimental):

	ATH value adjustment for M/S channels.

2005-04-16 13:53  takehiro

	* libmp3lame/bitstream.c, frontend/brhist.c, frontend/main.c
	  (takehiro-2002_05_07-experimental):

	supress warnings

2005-04-16 10:42  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	reduce conditional jumps

2005-04-16 10:42  takehiro

	* libmp3lame/machine.h (takehiro-2002_05_07-experimental):

	added (FLOAT) cast in fast_log() macros.

2005-04-13 14:12  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	oops, I disabled the new code...

2005-04-13 14:11  takehiro

	* frontend/gtkanal.c (takehiro-2002_05_07-experimental):

	one more fix for the delay.

2005-04-13 13:50  takehiro

	* frontend/gtkanal.c (takehiro-2002_05_07-experimental):

	fix frame delay

2005-04-13 13:41  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	optimize lossless coding efficiency and speed (mainly for low bitrate).

2005-04-09 17:50  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	optimized bitstream copy code.

2005-04-09 17:29  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	one more reduction of needless divide point search in best_huffman_divide()

2005-04-09 09:58  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	prevent needless search of best_huffman_divide().

2005-04-04 01:20  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	optimize best_scalefac_store()
	- only call noquant_count_bits() when it is really needed.
	- skip the band with the SCALEFAC_ANYTHING_GOES.

2005-04-03 18:28  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	little bit better lossless coding.

2005-04-03 18:27  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	make assertion condition strictly.

2005-04-03 17:42  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	one more off by one... oops.

2005-04-03 17:24  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	fix off-by-one bug.

2005-04-03 12:25  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.h
	  (takehiro-2002_05_07-experimental):

	use the theoretical minimum value of xr34.

2005-04-03 11:57  takehiro

	* frontend/: gtkanal.c, mp3x.c (takehiro-2002_05_07-experimental):

	fix (part of) mp3x display delay problem

2005-04-03 11:32  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	fix table selection

2005-04-03 05:50  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	reduce calling ixmax() and simplify count_bits()

2005-04-02 18:32  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	potential fix for floating point exception when analysing MPEG2 Layer3 encoding by mp3x.

2005-04-02 17:06  takehiro

	* frontend/timestatus.c (takehiro-2002_05_07-experimental):

	reduce calling GetRealTime()

2005-04-02 16:45  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	Try to find the better quantization factor in the higher frequncy band,
	even when it fails to encode without the noise in the lower frequency band.

2005-04-02 16:21  takehiro

	* libmp3lame/i386/choose_table.nas
	  (takehiro-2002_05_07-experimental):

	simplify the loop condition.

2005-04-02 14:54  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	do not use putbits24(), where the length to write is lesser than 18.

2005-04-02 14:02  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	fix off-by-one bug in best_huffman_divide()

2005-04-02 12:21  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	fix comments and reduce the table size.

2005-04-02 12:13  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	simplify cont_bit_noESC_from4() and add comments.

2005-04-02 11:56  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	remove needless memory clear.

2005-04-02 07:28  takehiro

	* libmp3lame/version.h (takehiro-2002_05_07-experimental):

	Now alpha 14.
	- Dramatical VBR speed improvement.
	  10-20% on typical archtecture (i86, Alpha, Sparc), and 95% on G4.
	  CBR also gains but it is little (2% on the typical arch, 30% on G4).
	- New and improved ATH level autoadjustment.
	- Use subblock gain more (CBR and VBR).
	- Fix quantization bug in count1 region, which causes annoying noise in high-freq.

2005-04-02 07:16  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	supress magic numbers.

2005-03-29 15:07  takehiro

	* libmp3lame/: machine.h, quantize.c, tables.c, takehiro.c
	  (takehiro-2002_05_07-experimental):

	supress magic numbers.

2005-03-28 17:26  takehiro

	* libmp3lame/machine.h (takehiro-2002_05_07-experimental):

	it seems thmath.h decreases spped very much on Alpha system.

2005-03-28 16:58  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	fix debug/release build is reverted and warnings

2005-03-28 16:57  takehiro

	* libmp3lame/encoder.h (takehiro-2002_05_07-experimental):

	fix built on 64bit machines (I checked it on Alpha and AMD64)

2005-03-28 09:44  takehiro

	* frontend/parse.c (takehiro-2002_05_07-experimental):

	adjust message width

2005-03-28 03:51  takehiro

	* libmp3lame/: quantize.c, takehiro.c
	  (takehiro-2002_05_07-experimental):

	fix SCALEFAC_ANYTHING_GOES bug finally! now it gains speed improvement arround 15%.

	and fix count1 region quantization.

2005-03-28 03:50  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	added alignment check when debug build.

2005-03-27 17:48  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix treatment of scale factor band with "anything goes".
	But it seems there're still bugs arround it.

2005-03-27 16:45  takehiro

	* libmp3lame/: machine.h, quantize.c, quantize_pvt.h, tables.c,
	  tables.h, takehiro.c (takehiro-2002_05_07-experimental):

	fix it may use preflag on short blocks.
	use integer value of quantization adjustments.

2005-03-27 15:22  takehiro

	* libmp3lame/i386/quantSSE.nas (takehiro-2002_05_07-experimental):

	fix comments one more.

2005-03-27 11:57  takehiro

	* libmp3lame/i386/quantSSE.nas (takehiro-2002_05_07-experimental):

	fixed comments

2005-03-27 09:32  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	code clean up.

2005-03-26 19:58  takehiro

	* libmp3lame/i386/choose_table.nas
	  (takehiro-2002_05_07-experimental):

	fix comment

2005-03-26 19:54  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	do not call scale_bitcounter() to check the scalefac values is valid or not.
	(spped up arround 1.5%)

2005-03-26 19:37  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix it recognize (scalefac=SCALEFAC_ANYTHING_GOES) + (subblock gain = 2) as
	not an amplified band.

2005-03-26 10:39  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.h
	  (takehiro-2002_05_07-experimental):

	suppress magic numbers

2005-03-26 09:48  takehiro

	* frontend/: main.c, timestatus.c
	  (takehiro-2002_05_07-experimental):

	reduce calling lame_get_frameNum()

2005-03-23 03:08  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	use subblock_gain more when VBR.

2005-03-23 03:06  takehiro

	* libmp3lame/: machine.h, tables.c
	  (takehiro-2002_05_07-experimental):

	cleanup

2005-03-22 16:58  takehiro

	* libmp3lame/: tables.c, takehiro.c, tables.h
	  (takehiro-2002_05_07-experimental):

	make scfsi_band[] as static variable.

2005-03-22 13:42  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	remove gabages.
	oops...

2005-03-22 13:40  takehiro

	* libmp3lame/: quantize_pvt.h, tables.c
	  (takehiro-2002_05_07-experimental):

	more precise ROUNDFAC definition.

2005-03-22 07:13  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix built problem on old (not C99) compilers.

2005-03-21 16:24  takehiro

	* libmp3lame/: encoder.h, quantize.c, quantize_pvt.h, takehiro.c
	  (takehiro-2002_05_07-experimental):

	reduce memory copy size.

2005-03-21 14:38  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	Fix loop variable initialization.
	This will fix decreasing bitrate too much on VBR.

	Zerofy "not audible" region at first to increase the speed.

2005-03-20 17:28  bouvigne

	* libmp3lame/: encoder.c, lame.c, presets.c, quantize.c,
	  quantize.h:

	allow masking adjustements in ABR/CBR

2005-03-19 18:34  bouvigne

	* libmp3lame/version.h:

	alpha 10

2005-03-19 17:51  bouvigne

	* libmp3lame/presets.c:

	updated vbr 0/1/2/3 presets

2005-03-19 16:09  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	fix MPEG2/Layer3 encoding.

2005-03-19 16:05  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	trivial clean up

2005-03-19 16:04  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	try to use "preflag" more often.

2005-03-19 15:04  bouvigne

	* libmp3lame/quantize_pvt.c:

	also use nssfb21 in short blocks

2005-03-19 15:03  bouvigne

	* libmp3lame/quantize.c:

	typo

2005-03-19 14:44  bouvigne

	* libmp3lame/quantize.c:

	updated psfb21 analog silence detection

2005-03-19 10:41  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	improve (lossless) scalefactor compression

2005-03-19 09:43  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	supress magic numbers

2005-03-19 08:48  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	reduce table size.

2005-03-19 08:21  takehiro

	* configure (takehiro-2002_05_07-experimental):

	regen

2005-03-19 08:08  takehiro

	* configure.in (takehiro-2002_05_07-experimental):

	fix CPU specific optimization option.

2005-03-19 07:33  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	trivial optimization

2005-03-18 16:31  takehiro

	* libmp3lame/: bitstream.c, machine.h, psymodel.c, quantize.c
	  (takehiro-2002_05_07-experimental):

	sign bit hack for IEEE754

2005-03-18 16:03  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	simplify

2005-03-18 13:24  takehiro

	* debian/: control, rules (takehiro-2002_05_07-experimental):

	sync with the HEAD.

2005-03-18 05:26  rbrito

	* debian/changelog, debian/control, debian/rules, doc/man/lame.1:

	Slight modifications to debian packaging (with more to come).
	Minor changes to the frontend manpage.

2005-03-17 16:46  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	added (FLOAT) cast (I hope this is last).

2005-03-17 16:41  takehiro

	* libmp3lame/: gain_analysis.c, lame.c, psymodel.c, quantize.c,
	  tags.c (takehiro-2002_05_07-experimental):

	added "(FLOAT)" cast
	remove redundant #include

2005-03-17 15:03  takehiro

	* frontend/rtp.c (takehiro-2002_05_07-experimental):

	fix build problem on cygwin.

2005-03-17 14:34  takehiro

	* config.h.in, configure (takehiro-2002_05_07-experimental):

	regen

2005-03-17 14:28  takehiro

	* configure.in (takehiro-2002_05_07-experimental):

	do not check the winsocket.
	this is the preparation for fixing bugid #1164417

2005-03-16 16:07  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	IEEE754 hack for quantizing 0/1 region.

2005-03-16 14:53  takehiro

	* config.h.in, configure (takehiro-2002_05_07-experimental):

	regen

2005-03-16 14:52  takehiro

	* configure.in, libmp3lame/machine.h
	  (takehiro-2002_05_07-experimental):

	check tgmath.h and use it.

2005-03-15 16:31  takehiro

	* frontend/brhist.c (takehiro-2002_05_07-experimental):

	do not output error message when with --silent.

2005-03-15 15:49  takehiro

	* configure (takehiro-2002_05_07-experimental):

	regen.

2005-03-15 15:48  takehiro

	* configure.in (takehiro-2002_05_07-experimental):

	play with compiler options on G4. I've got 14% gain from it.

2005-03-15 15:37  takehiro

	* mpglib/interface.c (takehiro-2002_05_07-experimental):

	supress warning.

2005-03-15 00:26  robert

	* libmp3lame/vbrquantize.c:

	yet another -Y thing: calc_xmin does not compute upto max_nonzero_coeff
	in the -Y case.

2005-03-14 22:32  robert

	* libmp3lame/vbrquantize.c:

	bugfix for vbr-new when sub block gain violates IXMAXVAL constrain in -Y case

2005-03-14 21:53  robert

	* libmp3lame/quantize_pvt.c:

	removed an assert in calc_noise_core_c
	cod_info->count1 == 0 seems to be a common case

2005-03-14 15:18  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	trivial clean up.

2005-03-14 14:53  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.h, takehiro.c
	  (takehiro-2002_05_07-experimental):

	Separate preflag check from scale bit counting.
	It changes preflag, but it is undesirable for VBR encoding.

2005-03-14 14:38  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	IEEE754 hack for quantization in count1 region.

2005-03-14 13:31  takehiro

	* frontend/brhist.c (takehiro-2002_05_07-experimental):

	display 'LR+i' as '%' character.

2005-03-13 17:20  robert

	* libmp3lame/presets.c:

	removing placebo -bx from fast presets
	it's a placebo with vbr-old too, but keep it that way a little bit longer

2005-03-13 17:14  takehiro

	* configure.in, configure (takehiro-2002_05_07-experimental):

	yasm needs -m amd64 to output the elf64 objects.

2005-03-13 17:11  takehiro

	* libmp3lame/i386/: cpua.nas, nasm.h
	  (takehiro-2002_05_07-experimental):

	now it can be compiled on x86-64 linux (FC3). but still remains lot of work...

2005-03-13 17:01  robert

	* frontend/mp3x.c:

	forgot to commit this one, removed unused parameter from usage parameter list

2005-03-13 14:46  robert

	* libmp3lame/: encoder.c, set_get.c, version.c, version.h:

	removing unused ATH auto adjust types. JDs is now the only one

2005-03-13 14:43  robert

	* ACM/ACM.cpp:

	version

2005-03-13 14:42  robert

	* frontend/: main.c, parse.c, parse.h:

	print helptext for internal switches only when internal switches are available

2005-03-13 12:58  takehiro

	* libmp3lame/i386/: Makefile.am, Makefile.in
	  (takehiro-2002_05_07-experimental):

	changed include path option, -i -> -I

2005-03-13 12:31  takehiro

	* libmp3lame/: lame.c, i386/Makefile.am, i386/Makefile.in,
	  i386/cpu_feat.nas, i386/cpua.nas
	  (takehiro-2002_05_07-experimental):

	changed CPU feature detection code (which is from GOGO3),
	because the old one uses pushad/popad which is not supported on x86-64.

2005-03-13 10:16  takehiro

	* configure (takehiro-2002_05_07-experimental):

	regen

2005-03-13 10:15  takehiro

	* configure.in (takehiro-2002_05_07-experimental):

	added yasm check, to prepare for asm code on i86_64.

2005-03-12 23:01  robert

	* libmp3lame/vbrquantize.c:

	vbr-new: fixing the -Y bug, that sfb21 wasn't quantized at all

2005-03-12 20:41  takehiro

	* libmp3lame/: bitstream.c, encoder.h, takehiro.c
	  (takehiro-2002_05_07-experimental):

	simplify scfsi[] flag.

2005-03-12 20:41  takehiro

	* libmp3lame/: machine.h, psymodel.c, quantize.c
	  (takehiro-2002_05_07-experimental):

	clean up "(double)" cast.

2005-03-12 18:12  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	oops. too much optimized... gi->scalefac[0] may be lesser than 0.

2005-03-12 17:39  bouvigne

	* libmp3lame/lame.c:

	fix: q2 and higher were NOT enabling substep shaping 2

2005-03-12 17:38  bouvigne

	* mpglib/mpg123.h:

	fix for replaygain-accurate

2005-03-12 17:17  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	fix "stupid" message when -S
	(bugid #1145932)

2005-03-12 13:58  takehiro

	* frontend/gtkanal.c (takehiro-2002_05_07-experimental):

	follow variable type change

2005-03-12 13:54  takehiro

	* configure, configure.in, libmp3lame/Makefile.am,
	  libmp3lame/Makefile.in (takehiro-2002_05_07-experimental):

	added ppc directory

2005-03-12 12:35  takehiro

	* libmp3lame/: bitstream.c, encoder.h, quantize_pvt.h, tables.c,
	  tables.h, takehiro.c (takehiro-2002_05_07-experimental):

	reduce variable size and changed these order, to archive better cache performance.

2005-03-11 19:26  takehiro

	* libmp3lame/: psymodel.c, psymodel.h, quantize.c, quantize_pvt.h
	  (takehiro-2002_05_07-experimental):

	added "(FLOAT)" cast.

2005-03-11 17:45  takehiro

	* mpglib/Makefile.in (takehiro-2002_05_07-experimental):

	regen

2005-03-11 17:44  takehiro

	* mpglib/Makefile.am (takehiro-2002_05_07-experimental):

	added layer[123].h to the distribution.

2005-03-11 17:18  takehiro

	* Makefile.in, aclocal.m4, ACM/Makefile.in, ACM/ADbg/Makefile.in,
	  ACM/ddk/Makefile.in, ACM/tinyxml/Makefile.in, Dll/Makefile.in,
	  debian/Makefile.in, doc/Makefile.in, doc/html/Makefile.in,
	  doc/man/Makefile.in, dshow/Makefile.in, frontend/Makefile.in,
	  include/Makefile.in, libmp3lame/Makefile.in,
	  libmp3lame/i386/Makefile.in, mac/Makefile.in, misc/Makefile.in,
	  mpglib/Makefile.in (takehiro-2002_05_07-experimental):

	regen with the latest gtk.m4

2005-03-11 16:49  takehiro

	* libmp3lame/: psymodel.c, tables.c
	  (takehiro-2002_05_07-experimental):

	use max value of loudness.

2005-03-11 16:06  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix a comment

2005-03-11 15:31  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	ATH value should be always same value whatever the value of ATHAdjustLimit is.

2005-03-11 15:29  takehiro

	* libmp3lame/: psymodel.c, version.h
	  (takehiro-2002_05_07-experimental):

	implement tonality-aware ATH adjustment.

2005-03-11 15:28  takehiro

	* libmp3lame/psymodel.h (takehiro-2002_05_07-experimental):

	enlarge ATH adjustment range to clarify the flaw of ATH adjustment algorithm.

2005-03-11 13:58  takehiro

	* debian/Makefile.in (takehiro-2002_05_07-experimental):

	regen... soryy I made it on cygwin...

2005-03-11 11:14  takehiro

	* libmp3lame/: bitstream.c, newmdct.c, takehiro.c
	  (takehiro-2002_05_07-experimental):

	added "(FLOAT)" cast.

2005-03-11 10:27  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	remove C++ style comments

2005-03-11 10:18  takehiro

	* libmp3lame/tables.h (takehiro-2002_05_07-experimental):

	make sfBandIndex[] as static.

2005-03-11 10:11  takehiro

	* libmp3lame/encoder.h (takehiro-2002_05_07-experimental):

	fix build problem when without decoder (--disable-decoder)

2005-03-11 09:41  takehiro

	* configMS.h (takehiro-2002_05_07-experimental):

	fix build problem with Makefile.unix

2005-03-11 09:40  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	supress warnings when without decoder (--disable-decoder)

2005-03-11 09:40  takehiro

	* frontend/: brhist.c, brhist.h (takehiro-2002_05_07-experimental):

	make Console_IO as static.

2005-03-11 09:38  takehiro

	* Makefile.unix (takehiro-2002_05_07-experimental):

	TAKEHIRO_IEEE754_HACK -> USE_IEEE754_HACK

2005-03-11 09:29  takehiro

	* libmp3lame/gain_analysis.c (takehiro-2002_05_07-experimental):

	remove redundant pragma. this one is declared in configMS.h

2005-03-11 03:06  takehiro

	* Makefile.in, ACM/Makefile.in (takehiro-2002_05_07-experimental):

	regen

2005-03-11 03:05  takehiro

	* ACM/Makefile.am (takehiro-2002_05_07-experimental):

	remove unused file

2005-03-08 23:07  robert

	* Makefile.unix, frontend/parse.c, libmp3lame/VbrTag.c,
	  libmp3lame/bitstream.c, libmp3lame/lame.c,
	  libmp3lame/lame_global_flags.h, libmp3lame/presets.c,
	  libmp3lame/set_get.c, libmp3lame/util.h:

	removing some unused member of lame_internal_flags structure

2005-03-06 18:59  bouvigne

	* libmp3lame/takehiro.c:

	faster noquant_count_bits

2005-03-06 16:56  bouvigne

	* doc/html/history.html:

	history

2005-03-06 16:17  bouvigne

	* libmp3lame/: presets.c, version.h:

	updated V3 and V2 presets

2005-03-06 13:17  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	changed 2.0f -> (FLOAT)2.0, for --enable-all-double

2005-03-05 18:26  bouvigne

	* libmp3lame/: quantize.c, quantize_pvt.h, takehiro.c,
	  vbrquantize.c:

	slightly faster quantization (not totally sure if it is really faster)

	Also fixed a severe bug in ISO quantization when not using the IEEE hack

2005-03-05 13:45  bouvigne

	* configMS.h, libmp3lame/lame.c, libmp3lame/quantize.c,
	  libmp3lame/util.h:

	update of the intrinsics coding style

2005-03-05 12:40  bouvigne

	* libmp3lame/quantize_pvt.c:

	minor speed increase in calc_noise

2005-03-03 17:01  takehiro

	* frontend/brhist.c (takehiro-2002_05_07-experimental):

	fix IS ratio display.

2005-03-03 16:59  takehiro

	* frontend/: main.c, timestatus.c
	  (takehiro-2002_05_07-experimental):

	print out histgram even when CBR encoding.

2005-03-02 17:50  takehiro

	* config.h.in (takehiro-2002_05_07-experimental):

	regen

2005-03-02 17:46  takehiro

	* configure, configure.in (takehiro-2002_05_07-experimental):

	fix --enable-double-float does not work at all.

2005-03-02 17:01  takehiro

	* config.h.in (takehiro-2002_05_07-experimental):

	the previous one contains gabages... regen.

2005-03-02 16:59  takehiro

	* libmp3lame/util.c (takehiro-2002_05_07-experimental):

	fix debug build on some non-x86 linux machines.

2005-03-02 16:58  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	fix for some 64bit machines (ie. Alpha)

2005-03-02 15:35  takehiro

	* configure, config.h.in (takehiro-2002_05_07-experimental):

	regen

2005-03-01 16:59  takehiro

	* configure.in (takehiro-2002_05_07-experimental):

	add check for vecLib/vDSP.h, to prepare for Altivec optimization.

2005-02-28 22:45  bouvigne

	* libmp3lame/: quantize_pvt.c, quantize_pvt.h, util.h:

	calc_noise is back to the C version

2005-02-28 16:52  takehiro

	* libmp3lame/machine.h (takehiro-2002_05_07-experimental):

	some IEEE754 hack for the CPU with small cache.

2005-02-27 22:03  bouvigne

	* libmp3lame/quantize_pvt.c:

	calc_noise:
	fixed an assertion failure in frames with no big_values

2005-02-27 20:43  bouvigne

	* libmp3lame/: quantize_pvt.c, quantize_pvt.h, util.h:

	sse version of calc_noise (speedup is very small)

2005-02-27 17:40  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix it sometimes fail to encode the short block.

2005-02-27 15:08  bouvigne

	* configMS.h, libmp3lame/quantize.c, libmp3lame/util.h:

	slightly faster init_xrpow_core_sse

2005-02-27 14:25  takehiro

	* libmp3lame/version.h (takehiro-2002_05_07-experimental):

	now alpha13

	- replaygain radio/accurate is implemented.
	  * including replaygain support even when the input is mp3 file.
	    this is not supported on the current LAME3.x

	- support "TLEN" ID3v2 tag.

	- fix frame # estimation when the input is mp3.

	- fix VBR tag infomation leakage.

	- fix mpeg1 layer1,2 decoder bug.

	- Robert's new eye candy for the frontend.

	- one more reentrant work for the MP3 decoder

	- SSE version of FFT, done by Gilad Raichshtain

	- small optimizations. but replaygain makes it slow down much,
	  the optimizations are hidden by it...

	- some PPC code added from Robert Stiles and Hans-Peter Dusel.
	  But not work at all, at least currently.

2005-02-27 14:16  takehiro

	* frontend/brhist.c (takehiro-2002_05_07-experimental):

	sync with the main branch.
	- Robert's new eye candy.

2005-02-26 14:06  takehiro

	* frontend/: brhist.c, main.c, main.h, parse.c, timestatus.c
	  (takehiro-2002_05_07-experimental):

	fix duplicated variable of "brhist"

2005-02-26 09:38  takehiro

	* libmp3lame/tags.c (takehiro-2002_05_07-experimental):

	added TLEN tag when id3v2 tag is used.
	(RFE #1064076)

2005-02-26 06:21  takehiro

	* frontend/get_audio.c:

	fix mp3 frame # estimation (bugid #934072).

2005-02-26 05:41  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	fix # of mp3 frames estimation (bugid #934072).

2005-02-25 19:01  bouvigne

	* configMS.h:

	intrinsics support for ICL

2005-02-25 01:21  robert

	* frontend/: brhist.c, timestatus.c:

	RH_HIST: don't print unused channel modes and block types

2005-02-24 00:27  robert

	* frontend/brhist.c:

	fix scrolling problem I introduced with the last commit

2005-02-23 17:58  bouvigne

	* libmp3lame/quantize_pvt.c:

	slightly faster calc_noise

2005-02-22 02:06  robert

	* libmp3lame/psymodel.c:

	Compile time option to enable GPSYCHO like block type switching in NSPSYTUNE.
	Due to differences in convolution, the switching does not happen exactly
	as in GPSYCHO. (disabled by default, edit psymodel.c to activate)

2005-02-19 22:47  robert

	* frontend/: brhist.c, brhist.h, main.c:

	some statistics about block type distribution

2005-02-19 18:48  bouvigne

	* configMS.h:

	conditionnal intrinsics support for MSVC (probably also works for ICL)

2005-02-19 15:32  bouvigne

	* libmp3lame/: lame.c, quantize.c, quantize_pvt.c, quantize_pvt.h,
	  util.h:

	SSE intrinsic version of init_xrpow
	It is now using 1% of total time (using 4% in the standard version)

2005-02-15 06:39  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	fix for old compilers.

2005-02-14 17:01  takehiro

	* TODO (takehiro-2002_05_07-experimental):

	added MP3 transcoding TODO.

2005-02-14 15:46  takehiro

	* libmp3lame/tags.c, testcase.mp3
	  (takehiro-2002_05_07-experimental):

	fix information leakage when VBR tag write out.

2005-02-14 15:14  takehiro

	* Makefile.am, Makefile.in, testcase.mp3
	  (takehiro-2002_05_07-experimental):

	added tag itself to test when "make test"

2005-02-14 13:15  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	fix it crashes with floating point exception when without --clipdetect option.

2005-02-14 13:12  takehiro

	* libmp3lame/: bitstream.c, encoder.h, tags.c
	  (takehiro-2002_05_07-experimental):

	make the clip detection work.

2005-02-14 13:11  takehiro

	* libmp3lame/gain_analysis.c (takehiro-2002_05_07-experimental):

	do not use "double"

2005-02-14 12:58  takehiro

	* TODO (takehiro-2002_05_07-experimental):

	updated

2005-02-14 12:54  takehiro

	* libmp3lame/gain_analysis.c (takehiro-2002_05_07-experimental):

	clean up.
	- remove duplicated pragma.
	- do not unroll manually.

2005-02-13 16:35  takehiro

	* libmp3lame/mpglib_interface.c (takehiro-2002_05_07-experimental):

	make it reentrant.

2005-02-13 14:42  bouvigne

	* libmp3lame/psymodel.c:

	minor speedup

2005-02-12 16:51  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	oops, enbugged...
	now --replaygain-accurate runs (at least it does not crash).

2005-02-12 16:31  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	fix decoder initialization when --replaygain-accurate.

2005-02-12 16:30  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	cleanup

2005-02-12 15:59  takehiro

	* libmp3lame/set_get.c (takehiro-2002_05_07-experimental):

	prepare for --replaygain-accurate. only preparation. not works.

2005-02-12 15:58  takehiro

	* include/lame.h (takehiro-2002_05_07-experimental):

	added/cleaned up the replaygain related APIs.

2005-02-12 08:32  takehiro

	* frontend/main.c, frontend/main.h, frontend/parse.c,
	  libmp3lame/bitstream.c, libmp3lame/encoder.h,
	  libmp3lame/gain_analysis.c, libmp3lame/lame.c,
	  libmp3lame/mpglib_interface.c, libmp3lame/set_get.c
	  (takehiro-2002_05_07-experimental):

	replaygain support (1)
	- fast replaygain now works.

2005-02-09 01:45  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	code simplification

2005-02-08 11:06  takehiro

	* libmp3lame/: Makefile.am, Makefile.in
	  (takehiro-2002_05_07-experimental):

	fix mingw build problem, as is done on the main branch by Robert.

2005-02-07 22:02  robert

	* configure.in, libmp3lame/Makefile.am, libmp3lame/Makefile.in:

	fixing mingw32 configure problems

2005-02-07 13:45  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	added (FLOAT) cast to the floating point constants.(one more)

2005-02-07 12:28  takehiro

	* libmp3lame/: encoder.h, lame.c
	  (takehiro-2002_05_07-experimental):

	reduce malloc/free as is done in the main branch by Robert.

2005-02-06 23:05  robert

	* libmp3lame/: quantize.c, vbrquantize.c, vbrquantize.h:

	some MSVC warning level 4 issues resolved

2005-02-06 20:23  robert

	* libmp3lame/: quantize.c, takehiro.c, vbrquantize.c:

	resolved compiler warnings

2005-02-06 19:49  robert

	* libmp3lame/: lame.c, machine.h, quantize_pvt.c, util.c, util.h,
	  vbrquantize.c:

	lame.c: fixed lost break in lame_init_parms
		reduced calloc/free calls (where called once per frame, now once per run)
	machine.h: removed IIPOW20
	util.c, util.h: removed VBR_t, added in_buffer_[0/1] to lame_internal_flags
	vbrquantize.c: fixed some small rounding problem in quantize routines

2005-02-05 14:14  robert

	* libmp3lame/vbrquantize.c:

	eleminating dead code
	expanding preprocessor defines
	works probably not with GPsycho anymore, but NSPSYTUNE only (G.not tested)
	doesn't try to use 126 bits at minimum per granule anymore, less bloating
	on mono like signals where the difference signal is almost zero.

2005-02-05 13:32  bouvigne

	* libmp3lame/version.h:

	bumped alpha

2005-02-05 13:31  bouvigne

	* libmp3lame/lame.c:

	enabled ath adjustment for abr/cbr

2005-02-04 18:34  bouvigne

	* libmp3lame/lame.c:

	sorry, I shouldn't have commited this one

2005-02-02 04:35  takehiro

	* include/lame.h (takehiro-2002_05_07-experimental):

	remove comma, which is not allowed in C++ (but allowed in C)

2005-02-02 04:11  takehiro

	* libmp3lame/: psymodel.c, set_get.c
	  (takehiro-2002_05_07-experimental):

	reduce warning when with "-W" option.

2005-02-01 10:29  bouvigne

	* libmp3lame/: bitstream.c, lame.c, takehiro.c:

	reduced warnings

2005-01-30 22:31  robert

	* Makefile.unix, libmp3lame/vbrquantize.c:

	scalefactor allocation should work now as expected

2005-01-30 22:27  robert

	* libmp3lame/: machine.h, quantize_pvt.c, quantize_pvt.h:

	off by one bug:
	we do access iipow20 by values in [0,Q_MAX2] inclusive,
	that makes Q_MAX2+1 entries in total

2005-01-30 19:34  takehiro

	* libmp3lame/set_get.c (takehiro-2002_05_07-experimental):

	there's no GPSYCHO.

2005-01-30 19:13  takehiro

	* configure (takehiro-2002_05_07-experimental):

	regen

2005-01-30 19:13  takehiro

	* configure.in (takehiro-2002_05_07-experimental):

	fix automatic CPU specific optimization on cygwin.

2005-01-30 18:01  takehiro

	* configure (takehiro-2002_05_07-experimental):

	regen.

2005-01-30 18:00  takehiro

	* configure.in (takehiro-2002_05_07-experimental):

	hope this will fix the build failure on MinGW + NASM

2005-01-30 16:00  takehiro

	* libmp3lame/: encoder.h, lame.c, tables.c
	  (takehiro-2002_05_07-experimental):

	optimize the layout of the coefficients for resampling.

2005-01-30 15:51  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	fix it outputs message even when with --silent.

2005-01-30 14:49  takehiro

	* libmp3lame/: psymodel.c, quantize.c
	  (takehiro-2002_05_07-experimental):

	added cast to the floating point constants (one more)

2005-01-30 14:42  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	added cast to floating point constants.

2005-01-30 12:31  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	use bit-consumption to estimate the "goodness" of quantization,
	as is done in LAME 3.x.

2005-01-29 19:40  bouvigne

	* libmp3lame/presets.c:

	updated vbr presets 9 to 4

2005-01-29 18:42  bouvigne

	* libmp3lame/takehiro.c:

	fixed a crash

2005-01-29 18:11  bouvigne

	* libmp3lame/: quantize_pvt.c, quantize_pvt.h, takehiro.c:

	quantize_xrpow: also re-use previously computed data in short blocks

2005-01-25 21:47  bouvigne

	* libmp3lame/quantize.c:

	X9: more bits into reservoir

2005-01-23 18:07  takehiro

	* frontend/parse.c, include/lame.h, libmp3lame/encoder.h,
	  libmp3lame/set_get.c (takehiro-2002_05_07-experimental):

	added replaygain/nogap API
	added replaygain commandline option.

2005-01-23 18:07  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	cosmetic

2005-01-23 18:06  takehiro

	* HACKING (takehiro-2002_05_07-experimental):

	update current state.

2005-01-23 16:25  bouvigne

	* libmp3lame/takehiro.c:

	oops, quantize_xrpow optimization has been accidentally disabled in november

2005-01-23 14:27  bouvigne

	* libmp3lame/lame.c:

	reinstated old q1 (increase only 1 sf per iteration)

2005-01-22 18:15  bouvigne

	* libmp3lame/quantize_pvt.c:

	problem with q1 and q0 finally found.
	I am unable to trace it prior to "the big 3.94 merge".

2005-01-22 09:19  takehiro

	* libmp3lame/: tags.c, tags.h (takehiro-2002_05_07-experimental):

	fix for unsigned/singed comparison warning.

2005-01-20 17:10  takehiro

	* libmp3lame/libmp3lame_vc6.dsp (takehiro-2002_05_07-experimental):

	added fftsse.nas support
	                                   /\\ - \\/

2005-01-20 17:07  takehiro

	* Makefile.MSVC, Makefile.unix (takehiro-2002_05_07-experimental):

	support SSE version of FFT.

2005-01-20 16:38  takehiro

	* libmp3lame/quantize.c:

	to clarify the relationship of "if-then-else" and suppress warnings from gcc,
	added braces.

2005-01-20 16:35  takehiro

	* libmp3lame/i386/: Makefile.am, Makefile.in, choose_table.nas,
	  fftsse.nas, ffttbl.nas (takehiro-2002_05_07-experimental):

	clean up. remove unused code and tables, and update comments.

2005-01-20 16:28  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	cosmetic

2005-01-20 16:28  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	trivial optimization

2005-01-19 16:08  takehiro

	* libmp3lame/: tables.c, i386/Makefile.am, i386/Makefile.in,
	  i386/fftsse.nas, i386/ffttbl.nas
	  (takehiro-2002_05_07-experimental):

	patched version of FHT_SSE (by Gilad Raichshtain).
	and support code for it (by me).

2005-01-18 07:04  takehiro

	* libmp3lame/bitstream.c, frontend/get_audio.c
	  (takehiro-2002_05_07-experimental):

	suppress warnings on MSVC6

2005-01-16 18:19  takehiro

	* libmp3lame/bitstream.c, libmp3lame/lame.c, mpglib/interface.h
	  (takehiro-2002_05_07-experimental):

	fix for when --disable-decoder

2005-01-16 18:12  takehiro

	* mpglib/interface.h (takehiro-2002_05_07-experimental):

	added prototype declaration of decode_init_for_replaygain()

2005-01-16 18:08  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	fix memory leak when RG used. This is enbugged by the previos commit.

2005-01-16 18:00  takehiro

	* libmp3lame/: bitstream.c, lame.c, mpglib_interface.c
	  (takehiro-2002_05_07-experimental):

	prepare for ReplayGain merge.

2005-01-15 18:12  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	to prevent a floating point exception, add a limit to retry.

2005-01-15 18:10  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	trivial optimization

2005-01-15 17:15  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	use libsndfile when input is unknown RIFF-wave format

2005-01-15 14:15  takehiro

	* libmp3lame/libmp3lame_vc6.dsp (takehiro-2002_05_07-experimental):

	libmp3lame/version.c was removed.

2005-01-15 14:08  takehiro

	* .cvsignore (takehiro-2002_05_07-experimental):

	added configure-stamp

2005-01-15 14:07  takehiro

	* TODO (takehiro-2002_05_07-experimental):

	update frontend TODO.

2005-01-15 14:02  takehiro

	* Makefile.MSVC, Makefile.unix (takehiro-2002_05_07-experimental):

	libmp3lame/version.c was removed.

2005-01-15 12:56  takehiro

	* configure (takehiro-2002_05_07-experimental):

	regen

2005-01-15 12:56  takehiro

	* configure.in (takehiro-2002_05_07-experimental):

	always use libsndfile if it is found.

2005-01-15 12:30  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	fix mp3 input....oops.

2005-01-15 12:27  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	fix endianness of RIFF wave PCM.

2005-01-15 12:05  takehiro

	* frontend/: get_audio.c, get_audio.h, gtkanal.c, main.c, main.h,
	  parse.c (takehiro-2002_05_07-experimental):

	cleaning up LIBSNDFILE, part 3.

	use libsndfile only when the frontend does not know how to handle the
	input file format.

2005-01-15 10:54  takehiro

	* frontend/rtp.h (takehiro-2002_05_07-experimental):

	make them static

2005-01-15 10:53  takehiro

	* frontend/mp3rtp.c (takehiro-2002_05_07-experimental):

	make those which can be static as static.

2005-01-15 09:43  takehiro

	* frontend/: get_audio.c, parse.c
	  (takehiro-2002_05_07-experimental):

	clean up arround libsndfile, part 2.

2005-01-15 09:30  takehiro

	* frontend/: get_audio.c, get_audio.h
	  (takehiro-2002_05_07-experimental):

	part of cleaning up LIBSNDFILE

2005-01-15 07:25  takehiro

	* frontend/: get_audio.c, get_audio.h, gtkanal.c, parse.c
	  (takehiro-2002_05_07-experimental):

	clean up MPEG Layer 1,2,3 input

2005-01-13 19:18  bouvigne

	* libmp3lame/version.h:

	bump alpha

2005-01-13 19:17  bouvigne

	* libmp3lame/: quantize.c, quantize_pvt.h:

	use bits in quant_comp

2005-01-13 18:54  bouvigne

	* libmp3lame/presets.c:

	updated ath values for abr/cbr

2005-01-13 18:20  bouvigne

	* frontend/gtkanal.c, libmp3lame/lame-analysis.h,
	  libmp3lame/quantize.c, libmp3lame/quantize_pvt.c,
	  libmp3lame/quantize_pvt.h:

	Replaced X9 by the former X10 (ssd).
	The abr/cbr modes are using this comparison

2005-01-13 16:28  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	fix rounding of bitrate calculation

2005-01-12 18:24  takehiro

	* mpglib/: common.c, layer1.c, layer2.c
	  (takehiro-2002_05_07-experimental):

	patches from the latest debian package, including some boundary check code.

2005-01-10 17:38  takehiro

	* libmp3lame/: lame.c, quantize.c, quantize.h
	  (takehiro-2002_05_07-experimental):

	changed one function name, iteration_loop -> CBR_iteration_loop

2005-01-10 17:11  takehiro

	* frontend/main.c (takehiro-2002_05_07-experimental):

	fix it always output the banner even when with --silent/--quiet.

2005-01-10 14:48  takehiro

	* testcase.mp3 (takehiro-2002_05_07-experimental):

	testcase for alpha12

2005-01-10 13:17  takehiro

	* libmp3lame/quantize_pvt.h (takehiro-2002_05_07-experimental):

	remove outdated comments

2005-01-10 13:16  takehiro

	* libmp3lame/version.h (takehiro-2002_05_07-experimental):

	update alpha version and psymodel version
	- fix too much slow down with higher VBR quality (like -V0)
	- changed long/short block switching code.

2005-01-10 13:13  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	changed VBR strategy to prevent "slow down" when the higher quality (like -V0)
	is selected.

	When we cannot encode the frame without noticible distortion with the allowed
	bitrate, simply encode the frame with the highest allowed bitrate.

2005-01-10 13:10  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix it abort when higher VBR. enbug at the previous comit. sorry.

2005-01-10 12:38  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	for better error message

2005-01-10 12:21  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.h, takehiro.c
	  (takehiro-2002_05_07-experimental):

	better use of "anything goes" scalefactor band when VBR.
	faster and smaller bitrate without any quality regression (theoretically)

2005-01-10 10:06  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	changed block switching to use "sum" of energy in subblocks,
	instead of their "max".

	and improve comments.

2005-01-10 09:23  takehiro

	* libmp3lame/quantize_pvt.c:

	seems it cannot build on Linux and some Unix.
	to fix this, I changed max() -> Max().

2005-01-09 17:31  bouvigne

	* frontend/gtkanal.c, libmp3lame/lame-analysis.h:

	display SSD in mp3x

2005-01-09 17:31  bouvigne

	* libmp3lame/: quantize.c, quantize_pvt.c, quantize_pvt.h:

	do not compute noise if best quant has no distorted band and current quant
	is bigger than the best one

2005-01-09 09:19  takehiro

	* frontend/: get_audio.h, gtkanal.c, mp3x.c
	  (takehiro-2002_05_07-experimental):

	cosmetic changes (fix comments and so on)

2005-01-09 09:14  takehiro

	* frontend/mp3rtp.c (takehiro-2002_05_07-experimental):

	clean up, mainly fixing comments

2005-01-09 09:06  takehiro

	* libmp3lame/: Makefile.am, Makefile.in, set_get.c, version.c
	  (takehiro-2002_05_07-experimental):

	merged version.c into set_get.c and fixed comments (there's no GPSYCHO support)

2005-01-08 11:47  bouvigne

	* libmp3lame/version.h:

	bumped alpha

2005-01-08 11:46  bouvigne

	* libmp3lame/psymodel.c:

	limited ATH effect in short blocks.
	This is fundamentally wrong, but otherwise it produces bad quality

2005-01-08 10:58  bouvigne

	* libmp3lame/: lame.c, presets.c, quantize.c, quantize_pvt.c,
	  quantize_pvt.h:

	updated VBR presets to match the cbr/abr changes
	(also corrected the --cbr behavior)

2005-01-08 10:56  bouvigne

	* doc/html/history.html:

	history

2005-01-05 14:23  takehiro

	* frontend/: main.c, main.h, mp3x.c, parse.c
	  (takehiro-2002_05_07-experimental):

	remove "lame_XXX" function to separate name space

2005-01-05 11:08  takehiro

	* TODO (takehiro-2002_05_07-experimental):

	updated. BTW, it seems plusv site is vanished...

2005-01-01 18:19  takehiro

	* configure, configure.in (takehiro-2002_05_07-experimental):

	adjust spacing

2004-12-31 14:42  takehiro

	* frontend/: get_audio.c, main.c, main.h, parse.c
	  (takehiro-2002_05_07-experimental):

	one more clean up arround get_audio

2004-12-31 14:33  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	simplify

2004-12-31 12:22  takehiro

	* frontend/.cvsignore (takehiro-2002_05_07-experimental):

	added mp3rtp to ignore

2004-12-31 12:07  takehiro

	* frontend/main.c:

	merge 1.73.2.34 -> 1.73.2.35
	fix it outputs CR even when --silent/--quiet
	(bug #973302)

2004-12-31 11:56  takehiro

	* frontend/main.c (takehiro-2002_05_07-experimental):

	fix it outputs CR even when --silent/--quiet
	(bug #973302)

2004-12-31 11:26  takehiro

	* frontend/mp3rtp.c:

	fix buffer overrun(same in my experimental branch).

2004-12-31 11:23  takehiro

	* frontend/mp3rtp.c (takehiro-2002_05_07-experimental):

	fix buffer overrun(related to bug #1036590)

	# but still it does not work correctly

2004-12-31 07:37  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	adjust ABR quality/bitrate control

2004-12-27 16:13  bouvigne

	* libmp3lame/lame.c:

	cbr/abr: adjusted lowpass

2004-12-27 15:32  bouvigne

	* libmp3lame/presets.c:

	abr/cbr: adjusted m/s and short/long

2004-12-27 10:03  takehiro

	* config.h.in (takehiro-2002_05_07-experimental):

	added for large(>2GB) file support.

2004-12-19 18:20  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix scalefactor band region... oops.

2004-12-19 18:14  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix the calculation of scalefactor value when VBR.

	In the band whose allowed noise threshold is very high, we do not need to
	encode the quantized values. Now LAME uses it properly.

2004-12-19 17:16  takehiro

	* libmp3lame/quantize_pvt.h (takehiro-2002_05_07-experimental):

	added parenthis to avoid some side effects.

2004-12-13 18:16  takehiro

	* libmp3lame/encoder.h (takehiro-2002_05_07-experimental):

	changed the order of members to localize the write access of memory.

2004-12-13 18:15  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	added hard limits of threshold for ABR, to prevent too much degration

2004-12-13 17:45  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix it sometimes slows down too much.

2004-12-13 17:16  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	change threshold for short blocks same as that of long blocks.

2004-12-13 17:04  takehiro

	* config.h.in (takehiro-2002_05_07-experimental):

	TAKEHIRO_IEEE754 -> USE_IEEE754

2004-12-13 15:09  takehiro

	* configure (takehiro-2002_05_07-experimental):

	regen

2004-12-13 14:01  takehiro

	* DEFINES, Makefile.MSVC, configMS.h, configure.in,
	  libmp3lame/bitstream.c, libmp3lame/machine.h,
	  libmp3lame/psymodel.c, libmp3lame/quantize.c,
	  libmp3lame/tables.c, libmp3lame/tables.h, libmp3lame/takehiro.c
	  (takehiro-2002_05_07-experimental):

	TAKEHIRO_IEEE754_HACK -> USE_IEEE754_HACK

2004-12-13 14:01  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	changed a commet.

2004-12-13 12:40  takehiro

	* mpglib/layer3.c (takehiro-2002_05_07-experimental):

	fix MPEG2 decoding, from foobar2k

2004-12-12 18:08  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	use MDCT filter in -q5 and the better.

2004-12-12 17:52  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	fix typo

2004-12-12 17:52  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	fix table value initialization.

2004-12-12 17:51  takehiro

	* libmp3lame/newmdct.c (takehiro-2002_05_07-experimental):

	fix filtering not working completely... oops.

2004-12-12 10:57  takehiro

	* libmp3lame/encoder.h (takehiro-2002_05_07-experimental):

	fix comment

2004-12-12 10:47  takehiro

	* libmp3lame/: encoder.h, lame.c, newmdct.c, tables.c
	  (takehiro-2002_05_07-experimental):

	new filtering algorithm. Better resolution (110Hz @ fs=44.1kHz)
	and "not" slow much.

	but not enabled by default.

2004-12-12 08:26  takehiro

	* libmp3lame/i386/ssesub.c (takehiro-2002_05_07-experimental):

	test implementation of SSE support with imtrinsic.

	TODO:
	- how to build it and configure support ?
	- need more functions to implement.

2004-12-10 17:56  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	trivial optimization in lossless coding.

2004-12-10 02:35  takehiro

	* libmp3lame/: encoder.h, lame.c, tables.c, i386/choose_table.nas,
	  i386/cpu_feat.nas (takehiro-2002_05_07-experimental):

	MMX2 support

2004-12-10 00:21  takehiro

	* configure (takehiro-2002_05_07-experimental):

	regen

2004-12-09 17:36  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	cosmetic changes & reduce warnings.

2004-12-09 17:29  takehiro

	* libmp3lame/: quantize.c, i386/choose_table.nas
	  (takehiro-2002_05_07-experimental):

	MMX version of xr_max()
	make VBR/ABR 1% faster.

2004-12-09 17:05  takehiro

	* configure.in (takehiro-2002_05_07-experimental):

	merge from main branch.
	- changed words; "default: foobar" -> "default=foobar"
	- enable bitrate histogram by default

2004-12-05 18:10  takehiro

	* libmp3lame/: bitstream.c, takehiro.c
	  (takehiro-2002_05_07-experimental):

	fix encoding failure of velvet.wav with CBR 128

2004-12-05 18:09  takehiro

	* libmp3lame/tags.c (takehiro-2002_05_07-experimental):

	cosmetic change

2004-12-05 17:59  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	considering the shape of window function when long/short block switching.

2004-12-05 12:18  takehiro

	* testcase.mp3 (takehiro-2002_05_07-experimental):

	regen with "tag fixed" version.

2004-12-05 12:16  takehiro

	* libmp3lame/tags.c (takehiro-2002_05_07-experimental):

	fix VBR(LAME) tag contains a gabage.

2004-12-02 16:29  takehiro

	* frontend/.indent.pro, libmp3lame/.indent.pro, misc/.indent.pro
	  (takehiro-2002_05_07-experimental):

	I think no one uses .indent.pro
	so I remove them.

2004-12-02 16:27  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	better threshold controll for ABR.

2004-11-30 19:00  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix it may overflow

2004-11-30 18:57  takehiro

	* libmp3lame/: psymodel.c, quantize.c
	  (takehiro-2002_05_07-experimental):

	VBR speed optimization

2004-11-30 18:55  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	fix assertion

2004-11-30 18:54  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	optimization by changing table values.

2004-11-30 10:19  takehiro

	* configMS.h (takehiro-2002_05_07-experimental):

	fix for MSVC "inline" keyword

2004-11-30 09:39  takehiro

	* libmp3lame/: encoder.h, lame.c
	  (takehiro-2002_05_07-experimental):

	precalculate width information

2004-11-30 08:58  takehiro

	* libmp3lame/: encoder.h, lame.c, quantize.c, quantize_pvt.h,
	  takehiro.c (takehiro-2002_05_07-experimental):

	table size reduction

2004-11-30 08:55  takehiro

	* libmp3lame/newmdct.c (takehiro-2002_05_07-experimental):

	clean up.

2004-11-30 07:59  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	generalized signbits encoding hack for IEEE754

2004-11-30 07:52  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	IEEE754 hack for sign bit.

2004-11-30 07:41  takehiro

	* frontend/main.c (takehiro-2002_05_07-experimental):

	fix decoding... oops...

2004-11-30 01:07  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	cleanup

2004-11-30 01:05  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	tuning VBR scalefactor prediction and fix treatment of almost silent scalefactor.

2004-11-29 23:41  takehiro

	* libmp3lame/psymodel.c:

	fix ATHlower is always "0".

2004-11-29 18:01  takehiro

	* libmp3lame/i386/choose_table.nas
	  (takehiro-2002_05_07-experimental):

	fix comments

2004-11-29 18:01  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	changed VBR scalefactor prediction method.
	use "previous" scalefactor's values as predicted value.

2004-11-29 16:46  takehiro

	* frontend/main.c (takehiro-2002_05_07-experimental):

	fix for out of memory.

2004-11-29 04:51  takehiro

	* frontend/parse.c (takehiro-2002_05_07-experimental):

	remove unused definitions

2004-11-29 04:51  takehiro

	* frontend/main.c (takehiro-2002_05_07-experimental):

	remove console.h

2004-11-28 19:10  bouvigne

	* libmp3lame/: quantize_pvt.c, quantize_pvt.h, takehiro.c:

	some FLOAT -> int

2004-11-28 19:09  takehiro

	* frontend/: Makefile.am, Makefile.in, console.c, console.h
	  (takehiro-2002_05_07-experimental):

	remove unused files.

2004-11-28 18:21  takehiro

	* Dll/BladeMP3EncDLL.c:

	added brancket to fix bugid#1003342 on sf.net

2004-11-28 17:15  takehiro

	* frontend/get_audio.c, frontend/parse.c, libmp3lame/lame.c
	  (takehiro-2002_05_07-experimental):

	"-s" option is now prior to the frequency data in .wav file header.

2004-11-28 15:21  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	changed double constants into FLOAT type

2004-11-28 14:47  takehiro

	* libmp3lame/: lame.c, mpglib_interface.c, quantize.c, takehiro.c
	  (takehiro-2002_05_07-experimental):

	To optimize more, changed sign of gfc->width[] (now they are minus value)

2004-11-28 14:24  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	trivial optimization

2004-11-28 14:09  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	trivial optimization

2004-11-28 14:01  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	now ABR is based on VBR, so the -q setting has no meaning.

2004-11-28 13:58  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	changed table type int -> char, to avoid cache line conflict.

2004-11-28 13:40  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	little bit optimizing

2004-11-28 12:58  takehiro

	* configure (takehiro-2002_05_07-experimental):

	regen

2004-11-28 12:57  takehiro

	* configure.in (takehiro-2002_05_07-experimental):

	oops... use "-mcpu" and "-mtune" by checking gcc version.

2004-11-28 11:38  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	use calculation instead of table.
	(encoding results may be different from previous versions, but that's "lossless" difference)

2004-11-28 11:06  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	make them static

2004-11-28 10:33  takehiro

	* configure, configure.in (takehiro-2002_05_07-experimental):

	changed -mcpu -> -mtune, because newer gcc doesn't like -mcpu.

2004-11-28 08:47  takehiro

	* configure (takehiro-2002_05_07-experimental):

	regen

2004-11-28 08:47  takehiro

	* configure.in (takehiro-2002_05_07-experimental):

	changed optimization option

2004-11-27 19:43  takehiro

	* Makefile.MSVC, Makefile.in, Makefile.unix, aclocal.m4, configure,
	  ACM/Makefile.in, ACM/ADbg/Makefile.in, ACM/ddk/Makefile.in,
	  ACM/tinyxml/Makefile.in, Dll/Makefile.in, debian/Makefile.in,
	  doc/Makefile.in, doc/html/Makefile.in, doc/man/Makefile.in,
	  dshow/Makefile.in, frontend/Makefile.am, frontend/Makefile.in,
	  frontend/get_audio.c, frontend/get_audio.h,
	  frontend/lame_vc6.dsp, frontend/main.c, frontend/mp3rtp.c,
	  frontend/mp3x_vc6.dsp, frontend/portableio.c,
	  frontend/portableio.h, include/Makefile.in,
	  libmp3lame/Makefile.in, libmp3lame/i386/Makefile.in,
	  mac/Makefile.in, misc/Makefile.in, mpglib/Makefile.in
	  (takehiro-2002_05_07-experimental):

	remove portableio.[ch]
	use automake 1.9.2 to regen the auto* stuffs.

2004-11-27 17:28  takehiro

	* frontend/: get_audio.c, portableio.c, portableio.h
	  (takehiro-2002_05_07-experimental):

	remove  Read32BitsHighLow()

2004-11-27 17:21  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	fix file size reading

2004-11-27 17:21  takehiro

	* frontend/: portableio.c, portableio.h
	  (takehiro-2002_05_07-experimental):

	remove unused functions.

2004-11-27 09:57  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	remove AIFF support from LAME standard input code.
	if you need an AIFF support, use libsndfile instead.

2004-11-23 18:38  takehiro

	* configure, configure.in, frontend/get_audio.c
	  (takehiro-2002_05_07-experimental):

	support libsndfile 1.0.x
	(and remove support that of 0.x)

2004-11-23 15:18  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	trivial optimization.

2004-11-23 15:18  takehiro

	* libmp3lame/set_get.c (takehiro-2002_05_07-experimental):

	- ABR quality adjustment.
	(oops, I forget to commit in the previous one)

2004-11-23 15:17  takehiro

	* libmp3lame/: quantize.c, encoder.h
	  (takehiro-2002_05_07-experimental):

	- ABR quality adjustment (little bit).
	- manually inlining finish_VBR_coding()

2004-11-23 09:46  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	supress magic numbers

2004-11-23 08:27  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	trivial optimization by reducing branch.

2004-11-21 18:45  takehiro

	* libmp3lame/version.h (takehiro-2002_05_07-experimental):

	now alpha 11, including new ABR

2004-11-21 18:45  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	clean up

2004-11-21 18:41  takehiro

	* libmp3lame/: encoder.h, quantize.c
	  (takehiro-2002_05_07-experimental):

	brand new ABR algorith.
	- simply adjust the psycho-threshold by checking (target bitrate) vs.
	 (current bitrate)

2004-11-21 18:32  takehiro

	* libmp3lame/tags.c (takehiro-2002_05_07-experimental):

	fix VBR tag is completely messed up!

2004-11-21 12:28  takehiro

	* libmp3lame/: bitstream.c, encoder.h, lame.c, psymodel.c,
	  quantize.c, quantize_pvt.h, tables.c
	  (takehiro-2002_05_07-experimental):

	simplify the initialization of gr_info[][]

2004-11-21 12:26  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	cosmetic change

2004-11-21 12:25  takehiro

	* libmp3lame/tables.h (takehiro-2002_05_07-experimental):

	changed comments

2004-11-21 12:23  takehiro

	* libmp3lame/i386/choose_table.nas
	  (takehiro-2002_05_07-experimental):

	optimize in the case of width = 2.

2004-11-21 10:45  takehiro

	* frontend/: get_audio.c, get_audio.h, main.c
	  (takehiro-2002_05_07-experimental):

	use 32bit input even when MP3 decoding, to prepare better precision mp3 decoder.
	remove "get_audio16()" function, because now it is not needed at all.

2004-11-20 18:43  takehiro

	* frontend/: gtkanal.c, main.c (takehiro-2002_05_07-experimental):

	To make mp3x use 32bit integer encoding interface.
	Because it has used 16bit interface, it could not analyze the 32bit input data.
	Now it is fixed.

2004-11-20 11:49  takehiro

	* frontend/gpkplotting.c (takehiro-2002_05_07-experimental):

	merge from main branch.
	- more explicit display of noise values

2004-11-17 19:54  bouvigne

	* libmp3lame/: quantize.c, util.h:

	noise shaping type 3:
	amplify bands within 50% of distortion,
	then refine by amplifying the most distorted band

2004-10-24 14:26  bouvigne

	* libmp3lame/version.h:

	bump alpha

2004-10-24 14:25  bouvigne

	* libmp3lame/lame.c:

	reworked -q values:
	noise_shaping_amp 2 removed
	full Huffman search removed in q0
	full outer loop search enabled in q0

2004-10-24 14:21  bouvigne

	* libmp3lame/: quantize.c, util.h:

	full outer loop search:
	allows to search for better quantization until global_gain==255

2004-09-18 10:20  takehiro

	* ACM/ACM.cpp (takehiro-2002_05_07-experimental):

	sync with main branch (r1.17)
	- fix by Dmitriy Startsev

2004-09-18 10:09  takehiro

	* Dll/BladeMP3EncDLL.c (takehiro-2002_05_07-experimental):

	fix bug item #1003342

2004-08-19 19:49  bouvigne

	* doc/html/history.html:

	added 3.96.1

2004-08-19 19:36  bouvigne

	* doc/html/modes.html:

	spelling, clarifications

2004-07-28 20:33  robert

	* configure, configure.in (RELEASE__3_96-bugfix-branch):

	updating configure to version number 3.96.1

2004-07-21 18:59  bouvigne

	* doc/html/: history.html, index.html
	  (RELEASE__3_96-bugfix-branch):

	updated for 3.96.1

2004-07-21 18:52  bouvigne

	* ACM/: ACM.cpp, ACMStream.cpp, acm.rc
	  (RELEASE__3_96-bugfix-branch):

	sync fixes from main branch

2004-07-21 18:46  bouvigne

	* ACM/ACM.cpp:

	fix by Dmitriy Startsev

2004-07-11 18:12  bouvigne

	* ACM/acm.rc:

	updated version number because of recent fixes

2004-07-11 18:11  bouvigne

	* ACM/ACMStream.cpp:

	fixed a potential crash

2004-07-11 18:05  bouvigne

	* ACM/ACM.cpp:

	Should fix the display issue under win95

2004-07-11 17:11  bouvigne

	* ACM/ACM.cpp:

	fix crash when used through directshow.
	It still does not work in this configuration, but at least it does not crash anymore.

2004-06-27 19:32  robert

	* libmp3lame/psymodel.c (RELEASE__3_96-bugfix-branch):

	fixed short block detection using mid and side channels

2004-06-27 13:02  bouvigne

	* libmp3lame/psymodel.c:

	fixed short block detection using mid and side channels

2004-06-26 17:08  robert

	* Makefile.unix, ACM/ACM.cpp, libmp3lame/gain_analysis.c,
	  libmp3lame/gain_analysis.h, libmp3lame/lame.c,
	  libmp3lame/psymodel.c, libmp3lame/vbrquantize.c,
	  libmp3lame/version.c, libmp3lame/version.h
	  (RELEASE__3_96-bugfix-branch):

	back porting some bug fixes into 3.96 stable branch

	patch by takehiro:

	 fix bug id 921798
	 http://sourceforge.net/tracker/index.php?func=detail&aid=921798&group_id=290&atid=100290

	 This is reported as bug for "BCC", but it may happen for every compiler.

	patch by olcios:

	 A better fix for the FP x86 problem. Provided by Andrew Church. Modified by olcios.

	patch by bouvigne:

	 restored use of padding when not using bit reservoir

	patch by robert:

	 bug fix for lame crashing occasionally when using --vbr-new

2004-06-26 15:35  bouvigne

	* libmp3lame/encoder.c:

	lame_encode_frame_init

2004-06-20 17:28  bouvigne

	* doc/html/history.html, libmp3lame/lame.c:

	restored use of padding when not using bit reservoir

2004-06-18 19:15  bouvigne

	* libmp3lame/: bitstream.c, encoder.c, l3side.h, lame.c,
	  mpglib_interface.c, newmdct.c, psymodel.c, quantize.c,
	  quantize_pvt.c, quantize_pvt.h, reservoir.c, takehiro.c, util.c,
	  VbrTag.c, util.h, vbrquantize.c, vbrquantize.h, version.h:

	FLOAT8 -> FLOAT

2004-06-06 15:31  bouvigne

	* frontend/: gpkplotting.c, gtkanal.c:

	more explicit display of noise values

2004-06-06 14:15  bouvigne

	* frontend/gtkanal.c:

	display more scalefactor band splitting lines.
	(as in exp branch)

2004-06-06 09:48  bouvigne

	* doc/html/history.html:

	history

2004-06-05 15:46  bouvigne

	* libmp3lame/quantize.c:

	small speedup: init_xrpow only up to max non-zero coeff

2004-05-31 17:35  bouvigne

	* libmp3lame/takehiro.c:

	reduced the number of calls to quantization function

2004-05-27 23:55  robert

	* libmp3lame/version.h:

	now at 3.97 alpha 2

2004-05-27 23:52  robert

	* libmp3lame/: takehiro.c, vbrquantize.c:

	bug fix for lame crashing occasionally when using --vbr-new
	PS: scalefactor allocation is still not optimal

2004-05-26 21:37  bouvigne

	* libmp3lame/takehiro.c:

	fixed a stupid bug

2004-05-26 21:04  bouvigne

	* libmp3lame/takehiro.c:

	fixed a bug in quantize_xrpow, but it is still crashing
	Oddly, cbr/abr are working fine, and low vbr settings are also working fine.
	-V2 is not working

2004-05-23 13:16  bouvigne

	* libmp3lame/: quantize_pvt.c, quantize_pvt.h, takehiro.c, util.h:

	Use function pointer to select between quantization methods.
	This should ease plugin of vectorized versions

2004-05-23 12:47  bouvigne

	* libmp3lame/takehiro.c:

	factorized code which is selecting which lines to quantize

2004-05-23 12:43  bouvigne

	* configMS.h:

	version

2004-05-23 06:23  takehiro

	* libmp3lame/: tables.c, tables.h, takehiro.c
	  (takehiro-2002_05_07-experimental):

	make some tables as static

2004-05-23 04:23  takehiro

	* libmp3lame/i386/: choose_table.nas, fft3dn.nas, quantSSE.nas
	  (takehiro-2002_05_07-experimental):

	fix possible link problem on cygwin

2004-05-22 16:18  takehiro

	* libmp3lame/i386/choose_table.nas
	  (takehiro-2002_05_07-experimental):

	fix cygwin build

2004-05-22 14:26  takehiro

